package telnet

var optionToName map[int]string

func init() {
	optionToName = make(map[int]string, 256)
	optionToName[0] = "Binary Transmission"
	optionToName[1] = "Echo"
	optionToName[2] = "Reconnection"
	optionToName[3] = "Suppress Go Ahead"
	optionToName[4] = "Approx Message Size Negotiation"
	optionToName[5] = "Status"
	optionToName[6] = "Timing Mark"
	optionToName[7] = "Remote Controlled Trans and Echo"
	optionToName[8] = "Output Line Width"
	optionToName[9] = "Output Page Size"
	optionToName[10] = "Output Carriage-Return Disposition"
	optionToName[11] = "Output Horizontal Tab Stops"
	optionToName[12] = "Output Horizontal Tab Disposition"
	optionToName[13] = "Output Formfeed Disposition"
	optionToName[14] = "Output Vertical Tabstops"
	optionToName[15] = "Output Vertical Tab Disposition"
	optionToName[16] = "Output Linefeed Disposition"
	optionToName[17] = "Extended ASCII"
	optionToName[18] = "Logout"
	optionToName[19] = "Byte Macro"
	optionToName[20] = "Data Entry Terminal"
	optionToName[21] = "SUPDUP"
	optionToName[22] = "SUPDUP Output"
	optionToName[23] = "Send Location"
	optionToName[24] = "Terminal Type"
	optionToName[25] = "End of Record"
	optionToName[26] = "TACACS User Identification"
	optionToName[27] = "Output Marking"
	optionToName[28] = "Terminal Location Number"
	optionToName[29] = "Telnet 3270 Regime"
	optionToName[30] = "X.3 PAD"
	optionToName[31] = "Negotiate About Window Size"
	optionToName[32] = "Terminal Speed"
	optionToName[33] = "Remote Flow Control"
	optionToName[34] = "Linemode"
	optionToName[35] = "X Display Location"
	optionToName[36] = "Environment Option"
	optionToName[37] = "Authentication Option"
	optionToName[38] = "Encryption Option"
	optionToName[39] = "New Environment Option"
	optionToName[40] = "TN3270E"
	optionToName[41] = "XAUTH"
	optionToName[42] = "CHARSET"
	optionToName[43] = "Telnet Remote Serial Port (RSP)"
	optionToName[44] = "Com Port Control Option"
	optionToName[45] = "Telnet Suppress Local Echo"
	optionToName[46] = "Telnet Start TLS"
	optionToName[47] = "KERMIT"
	optionToName[48] = "SEND-URL"
	optionToName[49] = "FORWARD_X"
	optionToName[138] = "TELOPT PRAGMA LOGON"
	optionToName[139] = "TELOPT SSPI LOGON"
	optionToName[140] = "TELOPT PRAGMA HEARTBEAT"
	optionToName[255] = "Extended-Options-List"
	for i := 50; i < 137; i++ {
		optionToName[i] = "Unassigned"
	}
	for i := 141; i <= 254; i++ {
		optionToName[i] = "Unassigned"
	}
}
