package mysql

// Auto-generated at 2018/05/21 12:12:17 using data aggregated from:
//   https://dev.mysql.com/doc/refman/5.5/en/error-messages-server.html
//   https://dev.mysql.com/doc/refman/5.6/en/error-messages-server.html
//   https://dev.mysql.com/doc/refman/5.7/en/error-messages-server.html
//   https://dev.mysql.com/doc/refman/8.0/en/error-messages-server.html

// ErrorCodes maps the 16-bit error codes to the "ErrorID"s defined in the docs.
var ErrorCodes = map[uint16]string {
    0x03e8: "ER_HASHCHK",
    0x03e9: "ER_NISAMCHK",
    0x03ea: "ER_NO",
    0x03eb: "ER_YES",
    0x03ec: "ER_CANT_CREATE_FILE",
    0x03ed: "ER_CANT_CREATE_TABLE",
    0x03ee: "ER_CANT_CREATE_DB",
    0x03ef: "ER_DB_CREATE_EXISTS",
    0x03f0: "ER_DB_DROP_EXISTS",
    0x03f1: "ER_DB_DROP_DELETE",
    0x03f2: "ER_DB_DROP_RMDIR",
    0x03f3: "ER_CANT_DELETE_FILE",
    0x03f4: "ER_CANT_FIND_SYSTEM_REC",
    0x03f5: "ER_CANT_GET_STAT",
    0x03f6: "ER_CANT_GET_WD",
    0x03f7: "ER_CANT_LOCK",
    0x03f8: "ER_CANT_OPEN_FILE",
    0x03f9: "ER_FILE_NOT_FOUND",
    0x03fa: "ER_CANT_READ_DIR",
    0x03fb: "ER_CANT_SET_WD",
    0x03fc: "ER_CHECKREAD",
    0x03fd: "ER_DISK_FULL",
    0x03fe: "ER_DUP_KEY",
    0x03ff: "ER_ERROR_ON_CLOSE",
    0x0400: "ER_ERROR_ON_READ",
    0x0401: "ER_ERROR_ON_RENAME",
    0x0402: "ER_ERROR_ON_WRITE",
    0x0403: "ER_FILE_USED",
    0x0404: "ER_FILSORT_ABORT",
    0x0405: "ER_FORM_NOT_FOUND",
    0x0406: "ER_GET_ERRNO",
    0x0407: "ER_ILLEGAL_HA",
    0x0408: "ER_KEY_NOT_FOUND",
    0x0409: "ER_NOT_FORM_FILE",
    0x040a: "ER_NOT_KEYFILE",
    0x040b: "ER_OLD_KEYFILE",
    0x040c: "ER_OPEN_AS_READONLY",
    0x040d: "ER_OUTOFMEMORY",
    0x040e: "ER_OUT_OF_SORTMEMORY",
    0x040f: "ER_UNEXPECTED_EOF",
    0x0410: "ER_CON_COUNT_ERROR",
    0x0411: "ER_OUT_OF_RESOURCES",
    0x0412: "ER_BAD_HOST_ERROR",
    0x0413: "ER_HANDSHAKE_ERROR",
    0x0414: "ER_DBACCESS_DENIED_ERROR",
    0x0415: "ER_ACCESS_DENIED_ERROR",
    0x0416: "ER_NO_DB_ERROR",
    0x0417: "ER_UNKNOWN_COM_ERROR",
    0x0418: "ER_BAD_NULL_ERROR",
    0x0419: "ER_BAD_DB_ERROR",
    0x041a: "ER_TABLE_EXISTS_ERROR",
    0x041b: "ER_BAD_TABLE_ERROR",
    0x041c: "ER_NON_UNIQ_ERROR",
    0x041d: "ER_SERVER_SHUTDOWN",
    0x041e: "ER_BAD_FIELD_ERROR",
    0x041f: "ER_WRONG_FIELD_WITH_GROUP",
    0x0420: "ER_WRONG_GROUP_FIELD",
    0x0421: "ER_WRONG_SUM_SELECT",
    0x0422: "ER_WRONG_VALUE_COUNT",
    0x0423: "ER_TOO_LONG_IDENT",
    0x0424: "ER_DUP_FIELDNAME",
    0x0425: "ER_DUP_KEYNAME",
    0x0426: "ER_DUP_ENTRY",
    0x0427: "ER_WRONG_FIELD_SPEC",
    0x0428: "ER_PARSE_ERROR",
    0x0429: "ER_EMPTY_QUERY",
    0x042a: "ER_NONUNIQ_TABLE",
    0x042b: "ER_INVALID_DEFAULT",
    0x042c: "ER_MULTIPLE_PRI_KEY",
    0x042d: "ER_TOO_MANY_KEYS",
    0x042e: "ER_TOO_MANY_KEY_PARTS",
    0x042f: "ER_TOO_LONG_KEY",
    0x0430: "ER_KEY_COLUMN_DOES_NOT_EXITS",
    0x0431: "ER_BLOB_USED_AS_KEY",
    0x0432: "ER_TOO_BIG_FIELDLENGTH",
    0x0433: "ER_WRONG_AUTO_KEY",
    0x0434: "ER_READY",
    0x0435: "ER_NORMAL_SHUTDOWN",
    0x0436: "ER_GOT_SIGNAL",
    0x0437: "ER_SHUTDOWN_COMPLETE",
    0x0438: "ER_FORCING_CLOSE",
    0x0439: "ER_IPSOCK_ERROR",
    0x043a: "ER_NO_SUCH_INDEX",
    0x043b: "ER_WRONG_FIELD_TERMINATORS",
    0x043c: "ER_BLOBS_AND_NO_TERMINATED",
    0x043d: "ER_TEXTFILE_NOT_READABLE",
    0x043e: "ER_FILE_EXISTS_ERROR",
    0x043f: "ER_LOAD_INFO",
    0x0440: "ER_ALTER_INFO",
    0x0441: "ER_WRONG_SUB_KEY",
    0x0442: "ER_CANT_REMOVE_ALL_FIELDS",
    0x0443: "ER_CANT_DROP_FIELD_OR_KEY",
    0x0444: "ER_INSERT_INFO",
    0x0445: "ER_UPDATE_TABLE_USED",
    0x0446: "ER_NO_SUCH_THREAD",
    0x0447: "ER_KILL_DENIED_ERROR",
    0x0448: "ER_NO_TABLES_USED",
    0x0449: "ER_TOO_BIG_SET",
    0x044a: "ER_NO_UNIQUE_LOGFILE",
    0x044b: "ER_TABLE_NOT_LOCKED_FOR_WRITE",
    0x044c: "ER_TABLE_NOT_LOCKED",
    0x044d: "ER_BLOB_CANT_HAVE_DEFAULT",
    0x044e: "ER_WRONG_DB_NAME",
    0x044f: "ER_WRONG_TABLE_NAME",
    0x0450: "ER_TOO_BIG_SELECT",
    0x0451: "ER_UNKNOWN_ERROR",
    0x0452: "ER_UNKNOWN_PROCEDURE",
    0x0453: "ER_WRONG_PARAMCOUNT_TO_PROCEDURE",
    0x0454: "ER_WRONG_PARAMETERS_TO_PROCEDURE",
    0x0455: "ER_UNKNOWN_TABLE",
    0x0456: "ER_FIELD_SPECIFIED_TWICE",
    0x0457: "ER_INVALID_GROUP_FUNC_USE",
    0x0458: "ER_UNSUPPORTED_EXTENSION",
    0x0459: "ER_TABLE_MUST_HAVE_COLUMNS",
    0x045a: "ER_RECORD_FILE_FULL",
    0x045b: "ER_UNKNOWN_CHARACTER_SET",
    0x045c: "ER_TOO_MANY_TABLES",
    0x045d: "ER_TOO_MANY_FIELDS",
    0x045e: "ER_TOO_BIG_ROWSIZE",
    0x045f: "ER_STACK_OVERRUN",
    0x0460: "ER_WRONG_OUTER_JOIN_UNUSED",
    0x0461: "ER_NULL_COLUMN_IN_INDEX",
    0x0462: "ER_CANT_FIND_UDF",
    0x0463: "ER_CANT_INITIALIZE_UDF",
    0x0464: "ER_UDF_NO_PATHS",
    0x0465: "ER_UDF_EXISTS",
    0x0466: "ER_CANT_OPEN_LIBRARY",
    0x0467: "ER_CANT_FIND_DL_ENTRY",
    0x0468: "ER_FUNCTION_NOT_DEFINED",
    0x0469: "ER_HOST_IS_BLOCKED",
    0x046a: "ER_HOST_NOT_PRIVILEGED",
    0x046b: "ER_PASSWORD_ANONYMOUS_USER",
    0x046c: "ER_PASSWORD_NOT_ALLOWED",
    0x046d: "ER_PASSWORD_NO_MATCH",
    0x046e: "ER_UPDATE_INFO",
    0x046f: "ER_CANT_CREATE_THREAD",
    0x0470: "ER_WRONG_VALUE_COUNT_ON_ROW",
    0x0471: "ER_CANT_REOPEN_TABLE",
    0x0472: "ER_INVALID_USE_OF_NULL",
    0x0473: "ER_REGEXP_ERROR",
    0x0474: "ER_MIX_OF_GROUP_FUNC_AND_FIELDS",
    0x0475: "ER_NONEXISTING_GRANT",
    0x0476: "ER_TABLEACCESS_DENIED_ERROR",
    0x0477: "ER_COLUMNACCESS_DENIED_ERROR",
    0x0478: "ER_ILLEGAL_GRANT_FOR_TABLE",
    0x0479: "ER_GRANT_WRONG_HOST_OR_USER",
    0x047a: "ER_NO_SUCH_TABLE",
    0x047b: "ER_NONEXISTING_TABLE_GRANT",
    0x047c: "ER_NOT_ALLOWED_COMMAND",
    0x047d: "ER_SYNTAX_ERROR",
    0x047e: "ER_UNUSED1",
    0x047f: "ER_UNUSED2",
    0x0480: "ER_ABORTING_CONNECTION",
    0x0481: "ER_NET_PACKET_TOO_LARGE",
    0x0482: "ER_NET_READ_ERROR_FROM_PIPE",
    0x0483: "ER_NET_FCNTL_ERROR",
    0x0484: "ER_NET_PACKETS_OUT_OF_ORDER",
    0x0485: "ER_NET_UNCOMPRESS_ERROR",
    0x0486: "ER_NET_READ_ERROR",
    0x0487: "ER_NET_READ_INTERRUPTED",
    0x0488: "ER_NET_ERROR_ON_WRITE",
    0x0489: "ER_NET_WRITE_INTERRUPTED",
    0x048a: "ER_TOO_LONG_STRING",
    0x048b: "ER_TABLE_CANT_HANDLE_BLOB",
    0x048c: "ER_TABLE_CANT_HANDLE_AUTO_INCREMENT",
    0x048d: "ER_UNUSED3",
    0x048e: "ER_WRONG_COLUMN_NAME",
    0x048f: "ER_WRONG_KEY_COLUMN",
    0x0490: "ER_WRONG_MRG_TABLE",
    0x0491: "ER_DUP_UNIQUE",
    0x0492: "ER_BLOB_KEY_WITHOUT_LENGTH",
    0x0493: "ER_PRIMARY_CANT_HAVE_NULL",
    0x0494: "ER_TOO_MANY_ROWS",
    0x0495: "ER_REQUIRES_PRIMARY_KEY",
    0x0496: "ER_NO_RAID_COMPILED",
    0x0497: "ER_UPDATE_WITHOUT_KEY_IN_SAFE_MODE",
    0x0498: "ER_KEY_DOES_NOT_EXITS",
    0x0499: "ER_CHECK_NO_SUCH_TABLE",
    0x049a: "ER_CHECK_NOT_IMPLEMENTED",
    0x049b: "ER_CANT_DO_THIS_DURING_AN_TRANSACTION",
    0x049c: "ER_ERROR_DURING_COMMIT",
    0x049d: "ER_ERROR_DURING_ROLLBACK",
    0x049e: "ER_ERROR_DURING_FLUSH_LOGS",
    0x049f: "ER_ERROR_DURING_CHECKPOINT",
    0x04a0: "ER_NEW_ABORTING_CONNECTION",
    0x04a1: "ER_DUMP_NOT_IMPLEMENTED",
    0x04a2: "ER_FLUSH_MASTER_BINLOG_CLOSED",
    0x04a3: "ER_INDEX_REBUILD",
    0x04a4: "ER_MASTER",
    0x04a5: "ER_MASTER_NET_READ",
    0x04a6: "ER_MASTER_NET_WRITE",
    0x04a7: "ER_FT_MATCHING_KEY_NOT_FOUND",
    0x04a8: "ER_LOCK_OR_ACTIVE_TRANSACTION",
    0x04a9: "ER_UNKNOWN_SYSTEM_VARIABLE",
    0x04aa: "ER_CRASHED_ON_USAGE",
    0x04ab: "ER_CRASHED_ON_REPAIR",
    0x04ac: "ER_WARNING_NOT_COMPLETE_ROLLBACK",
    0x04ad: "ER_TRANS_CACHE_FULL",
    0x04ae: "ER_SLAVE_MUST_STOP",
    0x04af: "ER_SLAVE_NOT_RUNNING",
    0x04b0: "ER_BAD_SLAVE",
    0x04b1: "ER_MASTER_INFO",
    0x04b2: "ER_SLAVE_THREAD",
    0x04b3: "ER_TOO_MANY_USER_CONNECTIONS",
    0x04b4: "ER_SET_CONSTANTS_ONLY",
    0x04b5: "ER_LOCK_WAIT_TIMEOUT",
    0x04b6: "ER_LOCK_TABLE_FULL",
    0x04b7: "ER_READ_ONLY_TRANSACTION",
    0x04b8: "ER_DROP_DB_WITH_READ_LOCK",
    0x04b9: "ER_CREATE_DB_WITH_READ_LOCK",
    0x04ba: "ER_WRONG_ARGUMENTS",
    0x04bb: "ER_NO_PERMISSION_TO_CREATE_USER",
    0x04bc: "ER_UNION_TABLES_IN_DIFFERENT_DIR",
    0x04bd: "ER_LOCK_DEADLOCK",
    0x04be: "ER_TABLE_CANT_HANDLE_FT",
    0x04bf: "ER_CANNOT_ADD_FOREIGN",
    0x04c0: "ER_NO_REFERENCED_ROW",
    0x04c1: "ER_ROW_IS_REFERENCED",
    0x04c2: "ER_CONNECT_TO_MASTER",
    0x04c3: "ER_QUERY_ON_MASTER",
    0x04c4: "ER_ERROR_WHEN_EXECUTING_COMMAND",
    0x04c5: "ER_WRONG_USAGE",
    0x04c6: "ER_WRONG_NUMBER_OF_COLUMNS_IN_SELECT",
    0x04c7: "ER_CANT_UPDATE_WITH_READLOCK",
    0x04c8: "ER_MIXING_NOT_ALLOWED",
    0x04c9: "ER_DUP_ARGUMENT",
    0x04ca: "ER_USER_LIMIT_REACHED",
    0x04cb: "ER_SPECIFIC_ACCESS_DENIED_ERROR",
    0x04cc: "ER_LOCAL_VARIABLE",
    0x04cd: "ER_GLOBAL_VARIABLE",
    0x04ce: "ER_NO_DEFAULT",
    0x04cf: "ER_WRONG_VALUE_FOR_VAR",
    0x04d0: "ER_WRONG_TYPE_FOR_VAR",
    0x04d1: "ER_VAR_CANT_BE_READ",
    0x04d2: "ER_CANT_USE_OPTION_HERE",
    0x04d3: "ER_NOT_SUPPORTED_YET",
    0x04d4: "ER_MASTER_FATAL_ERROR_READING_BINLOG",
    0x04d5: "ER_SLAVE_IGNORED_TABLE",
    0x04d6: "ER_INCORRECT_GLOBAL_LOCAL_VAR",
    0x04d7: "ER_WRONG_FK_DEF",
    0x04d8: "ER_KEY_REF_DO_NOT_MATCH_TABLE_REF",
    0x04d9: "ER_OPERAND_COLUMNS",
    0x04da: "ER_SUBQUERY_NO_1_ROW",
    0x04db: "ER_UNKNOWN_STMT_HANDLER",
    0x04dc: "ER_CORRUPT_HELP_DB",
    0x04dd: "ER_CYCLIC_REFERENCE",
    0x04de: "ER_AUTO_CONVERT",
    0x04df: "ER_ILLEGAL_REFERENCE",
    0x04e0: "ER_DERIVED_MUST_HAVE_ALIAS",
    0x04e1: "ER_SELECT_REDUCED",
    0x04e2: "ER_TABLENAME_NOT_ALLOWED_HERE",
    0x04e3: "ER_NOT_SUPPORTED_AUTH_MODE",
    0x04e4: "ER_SPATIAL_CANT_HAVE_NULL",
    0x04e5: "ER_COLLATION_CHARSET_MISMATCH",
    0x04e6: "ER_SLAVE_WAS_RUNNING",
    0x04e7: "ER_SLAVE_WAS_NOT_RUNNING",
    0x04e8: "ER_TOO_BIG_FOR_UNCOMPRESS",
    0x04e9: "ER_ZLIB_Z_MEM_ERROR",
    0x04ea: "ER_ZLIB_Z_BUF_ERROR",
    0x04eb: "ER_ZLIB_Z_DATA_ERROR",
    0x04ec: "ER_CUT_VALUE_GROUP_CONCAT",
    0x04ed: "ER_WARN_TOO_FEW_RECORDS",
    0x04ee: "ER_WARN_TOO_MANY_RECORDS",
    0x04ef: "ER_WARN_NULL_TO_NOTNULL",
    0x04f0: "ER_WARN_DATA_OUT_OF_RANGE",
    0x04f1: "WARN_DATA_TRUNCATED",
    0x04f2: "ER_WARN_USING_OTHER_HANDLER",
    0x04f3: "ER_CANT_AGGREGATE_2COLLATIONS",
    0x04f4: "ER_DROP_USER",
    0x04f5: "ER_REVOKE_GRANTS",
    0x04f6: "ER_CANT_AGGREGATE_3COLLATIONS",
    0x04f7: "ER_CANT_AGGREGATE_NCOLLATIONS",
    0x04f8: "ER_VARIABLE_IS_NOT_STRUCT",
    0x04f9: "ER_UNKNOWN_COLLATION",
    0x04fa: "ER_SLAVE_IGNORED_SSL_PARAMS",
    0x04fb: "ER_SERVER_IS_IN_SECURE_AUTH_MODE",
    0x04fc: "ER_WARN_FIELD_RESOLVED",
    0x04fd: "ER_BAD_SLAVE_UNTIL_COND",
    0x04fe: "ER_MISSING_SKIP_SLAVE",
    0x04ff: "ER_UNTIL_COND_IGNORED",
    0x0500: "ER_WRONG_NAME_FOR_INDEX",
    0x0501: "ER_WRONG_NAME_FOR_CATALOG",
    0x0502: "ER_WARN_QC_RESIZE",
    0x0503: "ER_BAD_FT_COLUMN",
    0x0504: "ER_UNKNOWN_KEY_CACHE",
    0x0505: "ER_WARN_HOSTNAME_WONT_WORK",
    0x0506: "ER_UNKNOWN_STORAGE_ENGINE",
    0x0507: "ER_WARN_DEPRECATED_SYNTAX",
    0x0508: "ER_NON_UPDATABLE_TABLE",
    0x0509: "ER_FEATURE_DISABLED",
    0x050a: "ER_OPTION_PREVENTS_STATEMENT",
    0x050b: "ER_DUPLICATED_VALUE_IN_TYPE",
    0x050c: "ER_TRUNCATED_WRONG_VALUE",
    0x050d: "ER_TOO_MUCH_AUTO_TIMESTAMP_COLS",
    0x050e: "ER_INVALID_ON_UPDATE",
    0x050f: "ER_UNSUPPORTED_PS",
    0x0510: "ER_GET_ERRMSG",
    0x0511: "ER_GET_TEMPORARY_ERRMSG",
    0x0512: "ER_UNKNOWN_TIME_ZONE",
    0x0513: "ER_WARN_INVALID_TIMESTAMP",
    0x0514: "ER_INVALID_CHARACTER_STRING",
    0x0515: "ER_WARN_ALLOWED_PACKET_OVERFLOWED",
    0x0516: "ER_CONFLICTING_DECLARATIONS",
    0x0517: "ER_SP_NO_RECURSIVE_CREATE",
    0x0518: "ER_SP_ALREADY_EXISTS",
    0x0519: "ER_SP_DOES_NOT_EXIST",
    0x051a: "ER_SP_DROP_FAILED",
    0x051b: "ER_SP_STORE_FAILED",
    0x051c: "ER_SP_LILABEL_MISMATCH",
    0x051d: "ER_SP_LABEL_REDEFINE",
    0x051e: "ER_SP_LABEL_MISMATCH",
    0x051f: "ER_SP_UNINIT_VAR",
    0x0520: "ER_SP_BADSELECT",
    0x0521: "ER_SP_BADRETURN",
    0x0522: "ER_SP_BADSTATEMENT",
    0x0523: "ER_UPDATE_LOG_DEPRECATED_IGNORED",
    0x0524: "ER_UPDATE_LOG_DEPRECATED_TRANSLATED",
    0x0525: "ER_QUERY_INTERRUPTED",
    0x0526: "ER_SP_WRONG_NO_OF_ARGS",
    0x0527: "ER_SP_COND_MISMATCH",
    0x0528: "ER_SP_NORETURN",
    0x0529: "ER_SP_NORETURNEND",
    0x052a: "ER_SP_BAD_CURSOR_QUERY",
    0x052b: "ER_SP_BAD_CURSOR_SELECT",
    0x052c: "ER_SP_CURSOR_MISMATCH",
    0x052d: "ER_SP_CURSOR_ALREADY_OPEN",
    0x052e: "ER_SP_CURSOR_NOT_OPEN",
    0x052f: "ER_SP_UNDECLARED_VAR",
    0x0530: "ER_SP_WRONG_NO_OF_FETCH_ARGS",
    0x0531: "ER_SP_FETCH_NO_DATA",
    0x0532: "ER_SP_DUP_PARAM",
    0x0533: "ER_SP_DUP_VAR",
    0x0534: "ER_SP_DUP_COND",
    0x0535: "ER_SP_DUP_CURS",
    0x0536: "ER_SP_CANT_ALTER",
    0x0537: "ER_SP_SUBSELECT_NYI",
    0x0538: "ER_STMT_NOT_ALLOWED_IN_SF_OR_TRG",
    0x0539: "ER_SP_VARCOND_AFTER_CURSHNDLR",
    0x053a: "ER_SP_CURSOR_AFTER_HANDLER",
    0x053b: "ER_SP_CASE_NOT_FOUND",
    0x053c: "ER_FPARSER_TOO_BIG_FILE",
    0x053d: "ER_FPARSER_BAD_HEADER",
    0x053e: "ER_FPARSER_EOF_IN_COMMENT",
    0x053f: "ER_FPARSER_ERROR_IN_PARAMETER",
    0x0540: "ER_FPARSER_EOF_IN_UNKNOWN_PARAMETER",
    0x0541: "ER_VIEW_NO_EXPLAIN",
    0x0542: "ER_FRM_UNKNOWN_TYPE",
    0x0543: "ER_WRONG_OBJECT",
    0x0544: "ER_NONUPDATEABLE_COLUMN",
    0x0545: "ER_VIEW_SELECT_DERIVED_UNUSED",
    0x0546: "ER_VIEW_SELECT_CLAUSE",
    0x0547: "ER_VIEW_SELECT_VARIABLE",
    0x0548: "ER_VIEW_SELECT_TMPTABLE",
    0x0549: "ER_VIEW_WRONG_LIST",
    0x054a: "ER_WARN_VIEW_MERGE",
    0x054b: "ER_WARN_VIEW_WITHOUT_KEY",
    0x054c: "ER_VIEW_INVALID",
    0x054d: "ER_SP_NO_DROP_SP",
    0x054e: "ER_SP_GOTO_IN_HNDLR",
    0x054f: "ER_TRG_ALREADY_EXISTS",
    0x0550: "ER_TRG_DOES_NOT_EXIST",
    0x0551: "ER_TRG_ON_VIEW_OR_TEMP_TABLE",
    0x0552: "ER_TRG_CANT_CHANGE_ROW",
    0x0553: "ER_TRG_NO_SUCH_ROW_IN_TRG",
    0x0554: "ER_NO_DEFAULT_FOR_FIELD",
    0x0555: "ER_DIVISION_BY_ZERO",
    0x0556: "ER_TRUNCATED_WRONG_VALUE_FOR_FIELD",
    0x0557: "ER_ILLEGAL_VALUE_FOR_TYPE",
    0x0558: "ER_VIEW_NONUPD_CHECK",
    0x0559: "ER_VIEW_CHECK_FAILED",
    0x055a: "ER_PROCACCESS_DENIED_ERROR",
    0x055b: "ER_RELAY_LOG_FAIL",
    0x055c: "ER_PASSWD_LENGTH",
    0x055d: "ER_UNKNOWN_TARGET_BINLOG",
    0x055e: "ER_IO_ERR_LOG_INDEX_READ",
    0x055f: "ER_BINLOG_PURGE_PROHIBITED",
    0x0560: "ER_FSEEK_FAIL",
    0x0561: "ER_BINLOG_PURGE_FATAL_ERR",
    0x0562: "ER_LOG_IN_USE",
    0x0563: "ER_LOG_PURGE_UNKNOWN_ERR",
    0x0564: "ER_RELAY_LOG_INIT",
    0x0565: "ER_NO_BINARY_LOGGING",
    0x0566: "ER_RESERVED_SYNTAX",
    0x0567: "ER_WSAS_FAILED",
    0x0568: "ER_DIFF_GROUPS_PROC",
    0x0569: "ER_NO_GROUP_FOR_PROC",
    0x056a: "ER_ORDER_WITH_PROC",
    0x056b: "ER_LOGGING_PROHIBIT_CHANGING_OF",
    0x056c: "ER_NO_FILE_MAPPING",
    0x056d: "ER_WRONG_MAGIC",
    0x056e: "ER_PS_MANY_PARAM",
    0x056f: "ER_KEY_PART_0",
    0x0570: "ER_VIEW_CHECKSUM",
    0x0571: "ER_VIEW_MULTIUPDATE",
    0x0572: "ER_VIEW_NO_INSERT_FIELD_LIST",
    0x0573: "ER_VIEW_DELETE_MERGE_VIEW",
    0x0574: "ER_CANNOT_USER",
    0x0575: "ER_XAER_NOTA",
    0x0576: "ER_XAER_INVAL",
    0x0577: "ER_XAER_RMFAIL",
    0x0578: "ER_XAER_OUTSIDE",
    0x0579: "ER_XAER_RMERR",
    0x057a: "ER_XA_RBROLLBACK",
    0x057b: "ER_NONEXISTING_PROC_GRANT",
    0x057c: "ER_PROC_AUTO_GRANT_FAIL",
    0x057d: "ER_PROC_AUTO_REVOKE_FAIL",
    0x057e: "ER_DATA_TOO_LONG",
    0x057f: "ER_SP_BAD_SQLSTATE",
    0x0580: "ER_STARTUP",
    0x0581: "ER_LOAD_FROM_FIXED_SIZE_ROWS_TO_VAR",
    0x0582: "ER_CANT_CREATE_USER_WITH_GRANT",
    0x0583: "ER_WRONG_VALUE_FOR_TYPE",
    0x0584: "ER_TABLE_DEF_CHANGED",
    0x0585: "ER_SP_DUP_HANDLER",
    0x0586: "ER_SP_NOT_VAR_ARG",
    0x0587: "ER_SP_NO_RETSET",
    0x0588: "ER_CANT_CREATE_GEOMETRY_OBJECT",
    0x0589: "ER_FAILED_ROUTINE_BREAK_BINLOG",
    0x058a: "ER_BINLOG_UNSAFE_ROUTINE",
    0x058b: "ER_BINLOG_CREATE_ROUTINE_NEED_SUPER",
    0x058c: "ER_EXEC_STMT_WITH_OPEN_CURSOR",
    0x058d: "ER_STMT_HAS_NO_OPEN_CURSOR",
    0x058e: "ER_COMMIT_NOT_ALLOWED_IN_SF_OR_TRG",
    0x058f: "ER_NO_DEFAULT_FOR_VIEW_FIELD",
    0x0590: "ER_SP_NO_RECURSION",
    0x0591: "ER_TOO_BIG_SCALE",
    0x0592: "ER_TOO_BIG_PRECISION",
    0x0593: "ER_M_BIGGER_THAN_D",
    0x0594: "ER_WRONG_LOCK_OF_SYSTEM_TABLE",
    0x0595: "ER_CONNECT_TO_FOREIGN_DATA_SOURCE",
    0x0596: "ER_QUERY_ON_FOREIGN_DATA_SOURCE",
    0x0597: "ER_FOREIGN_DATA_SOURCE_DOESNT_EXIST",
    0x0598: "ER_FOREIGN_DATA_STRING_INVALID_CANT_CREATE",
    0x0599: "ER_FOREIGN_DATA_STRING_INVALID",
    0x059a: "ER_CANT_CREATE_FEDERATED_TABLE",
    0x059b: "ER_TRG_IN_WRONG_SCHEMA",
    0x059c: "ER_STACK_OVERRUN_NEED_MORE",
    0x059d: "ER_TOO_LONG_BODY",
    0x059e: "ER_WARN_CANT_DROP_DEFAULT_KEYCACHE",
    0x059f: "ER_TOO_BIG_DISPLAYWIDTH",
    0x05a0: "ER_XAER_DUPID",
    0x05a1: "ER_DATETIME_FUNCTION_OVERFLOW",
    0x05a2: "ER_CANT_UPDATE_USED_TABLE_IN_SF_OR_TRG",
    0x05a3: "ER_VIEW_PREVENT_UPDATE",
    0x05a4: "ER_PS_NO_RECURSION",
    0x05a5: "ER_SP_CANT_SET_AUTOCOMMIT",
    0x05a6: "ER_MALFORMED_DEFINER",
    0x05a7: "ER_VIEW_FRM_NO_USER",
    0x05a8: "ER_VIEW_OTHER_USER",
    0x05a9: "ER_NO_SUCH_USER",
    0x05aa: "ER_FORBID_SCHEMA_CHANGE",
    0x05ab: "ER_ROW_IS_REFERENCED_2",
    0x05ac: "ER_NO_REFERENCED_ROW_2",
    0x05ad: "ER_SP_BAD_VAR_SHADOW",
    0x05ae: "ER_TRG_NO_DEFINER",
    0x05af: "ER_OLD_FILE_FORMAT",
    0x05b0: "ER_SP_RECURSION_LIMIT",
    0x05b1: "ER_SP_PROC_TABLE_CORRUPT",
    0x05b2: "ER_SP_WRONG_NAME",
    0x05b3: "ER_TABLE_NEEDS_UPGRADE",
    0x05b4: "ER_SP_NO_AGGREGATE",
    0x05b5: "ER_MAX_PREPARED_STMT_COUNT_REACHED",
    0x05b6: "ER_VIEW_RECURSIVE",
    0x05b7: "ER_NON_GROUPING_FIELD_USED",
    0x05b8: "ER_TABLE_CANT_HANDLE_SPKEYS",
    0x05b9: "ER_NO_TRIGGERS_ON_SYSTEM_SCHEMA",
    0x05ba: "ER_REMOVED_SPACES",
    0x05bb: "ER_AUTOINC_READ_FAILED",
    0x05bc: "ER_USERNAME",
    0x05bd: "ER_HOSTNAME",
    0x05be: "ER_WRONG_STRING_LENGTH",
    0x05bf: "ER_NON_INSERTABLE_TABLE",
    0x05c0: "ER_ADMIN_WRONG_MRG_TABLE",
    0x05c1: "ER_TOO_HIGH_LEVEL_OF_NESTING_FOR_SELECT",
    0x05c2: "ER_NAME_BECOMES_EMPTY",
    0x05c3: "ER_AMBIGUOUS_FIELD_TERM",
    0x05c4: "ER_FOREIGN_SERVER_EXISTS",
    0x05c5: "ER_FOREIGN_SERVER_DOESNT_EXIST",
    0x05c6: "ER_ILLEGAL_HA_CREATE_OPTION",
    0x05c7: "ER_PARTITION_REQUIRES_VALUES_ERROR",
    0x05c8: "ER_PARTITION_WRONG_VALUES_ERROR",
    0x05c9: "ER_PARTITION_MAXVALUE_ERROR",
    0x05ca: "ER_PARTITION_SUBPARTITION_ERROR",
    0x05cb: "ER_PARTITION_SUBPART_MIX_ERROR",
    0x05cc: "ER_PARTITION_WRONG_NO_PART_ERROR",
    0x05cd: "ER_PARTITION_WRONG_NO_SUBPART_ERROR",
    0x05ce: "ER_WRONG_EXPR_IN_PARTITION_FUNC_ERROR",
    0x05cf: "ER_NO_CONST_EXPR_IN_RANGE_OR_LIST_ERROR",
    0x05d0: "ER_FIELD_NOT_FOUND_PART_ERROR",
    0x05d1: "ER_LIST_OF_FIELDS_ONLY_IN_HASH_ERROR",
    0x05d2: "ER_INCONSISTENT_PARTITION_INFO_ERROR",
    0x05d3: "ER_PARTITION_FUNC_NOT_ALLOWED_ERROR",
    0x05d4: "ER_PARTITIONS_MUST_BE_DEFINED_ERROR",
    0x05d5: "ER_RANGE_NOT_INCREASING_ERROR",
    0x05d6: "ER_INCONSISTENT_TYPE_OF_FUNCTIONS_ERROR",
    0x05d7: "ER_MULTIPLE_DEF_CONST_IN_LIST_PART_ERROR",
    0x05d8: "ER_PARTITION_ENTRY_ERROR",
    0x05d9: "ER_MIX_HANDLER_ERROR",
    0x05da: "ER_PARTITION_NOT_DEFINED_ERROR",
    0x05db: "ER_TOO_MANY_PARTITIONS_ERROR",
    0x05dc: "ER_SUBPARTITION_ERROR",
    0x05dd: "ER_CANT_CREATE_HANDLER_FILE",
    0x05de: "ER_BLOB_FIELD_IN_PART_FUNC_ERROR",
    0x05df: "ER_UNIQUE_KEY_NEED_ALL_FIELDS_IN_PF",
    0x05e0: "ER_NO_PARTS_ERROR",
    0x05e1: "ER_PARTITION_MGMT_ON_NONPARTITIONED",
    0x05e2: "ER_FOREIGN_KEY_ON_PARTITIONED",
    0x05e3: "ER_DROP_PARTITION_NON_EXISTENT",
    0x05e4: "ER_DROP_LAST_PARTITION",
    0x05e5: "ER_COALESCE_ONLY_ON_HASH_PARTITION",
    0x05e6: "ER_REORG_HASH_ONLY_ON_SAME_NO",
    0x05e7: "ER_REORG_NO_PARAM_ERROR",
    0x05e8: "ER_ONLY_ON_RANGE_LIST_PARTITION",
    0x05e9: "ER_ADD_PARTITION_SUBPART_ERROR",
    0x05ea: "ER_ADD_PARTITION_NO_NEW_PARTITION",
    0x05eb: "ER_COALESCE_PARTITION_NO_PARTITION",
    0x05ec: "ER_REORG_PARTITION_NOT_EXIST",
    0x05ed: "ER_SAME_NAME_PARTITION",
    0x05ee: "ER_NO_BINLOG_ERROR",
    0x05ef: "ER_CONSECUTIVE_REORG_PARTITIONS",
    0x05f0: "ER_REORG_OUTSIDE_RANGE",
    0x05f1: "ER_PARTITION_FUNCTION_FAILURE",
    0x05f2: "ER_PART_STATE_ERROR",
    0x05f3: "ER_LIMITED_PART_RANGE",
    0x05f4: "ER_PLUGIN_IS_NOT_LOADED",
    0x05f5: "ER_WRONG_VALUE",
    0x05f6: "ER_NO_PARTITION_FOR_GIVEN_VALUE",
    0x05f7: "ER_FILEGROUP_OPTION_ONLY_ONCE",
    0x05f8: "ER_CREATE_FILEGROUP_FAILED",
    0x05f9: "ER_DROP_FILEGROUP_FAILED",
    0x05fa: "ER_TABLESPACE_AUTO_EXTEND_ERROR",
    0x05fb: "ER_WRONG_SIZE_NUMBER",
    0x05fc: "ER_SIZE_OVERFLOW_ERROR",
    0x05fd: "ER_ALTER_FILEGROUP_FAILED",
    0x05fe: "ER_BINLOG_ROW_LOGGING_FAILED",
    0x05ff: "ER_BINLOG_ROW_WRONG_TABLE_DEF",
    0x0600: "ER_BINLOG_ROW_RBR_TO_SBR",
    0x0601: "ER_EVENT_ALREADY_EXISTS",
    0x0602: "ER_EVENT_STORE_FAILED",
    0x0603: "ER_EVENT_DOES_NOT_EXIST",
    0x0604: "ER_EVENT_CANT_ALTER",
    0x0605: "ER_EVENT_DROP_FAILED",
    0x0606: "ER_EVENT_INTERVAL_NOT_POSITIVE_OR_TOO_BIG",
    0x0607: "ER_EVENT_ENDS_BEFORE_STARTS",
    0x0608: "ER_EVENT_EXEC_TIME_IN_THE_PAST",
    0x0609: "ER_EVENT_OPEN_TABLE_FAILED",
    0x060a: "ER_EVENT_NEITHER_M_EXPR_NOR_M_AT",
    0x060b: "ER_OBSOLETE_COL_COUNT_DOESNT_MATCH_CORRUPTED",
    0x060c: "ER_OBSOLETE_CANNOT_LOAD_FROM_TABLE",
    0x060d: "ER_EVENT_CANNOT_DELETE",
    0x060e: "ER_EVENT_COMPILE_ERROR",
    0x060f: "ER_EVENT_SAME_NAME",
    0x0610: "ER_EVENT_DATA_TOO_LONG",
    0x0611: "ER_DROP_INDEX_FK",
    0x0612: "ER_WARN_DEPRECATED_SYNTAX_WITH_VER",
    0x0613: "ER_CANT_WRITE_LOCK_LOG_TABLE",
    0x0614: "ER_CANT_LOCK_LOG_TABLE",
    0x0615: "ER_FOREIGN_DUPLICATE_KEY_OLD_UNUSED",
    0x0616: "ER_COL_COUNT_DOESNT_MATCH_PLEASE_UPDATE",
    0x0617: "ER_TEMP_TABLE_PREVENTS_SWITCH_OUT_OF_RBR",
    0x0618: "ER_STORED_FUNCTION_PREVENTS_SWITCH_BINLOG_FORMAT",
    0x0619: "ER_NDB_CANT_SWITCH_BINLOG_FORMAT",
    0x061a: "ER_PARTITION_NO_TEMPORARY",
    0x061b: "ER_PARTITION_CONST_DOMAIN_ERROR",
    0x061c: "ER_PARTITION_FUNCTION_IS_NOT_ALLOWED",
    0x061d: "ER_DDL_LOG_ERROR",
    0x061e: "ER_NULL_IN_VALUES_LESS_THAN",
    0x061f: "ER_WRONG_PARTITION_NAME",
    0x0620: "ER_CANT_CHANGE_TX_CHARACTERISTICS",
    0x0621: "ER_DUP_ENTRY_AUTOINCREMENT_CASE",
    0x0622: "ER_EVENT_MODIFY_QUEUE_ERROR",
    0x0623: "ER_EVENT_SET_VAR_ERROR",
    0x0624: "ER_PARTITION_MERGE_ERROR",
    0x0625: "ER_CANT_ACTIVATE_LOG",
    0x0626: "ER_RBR_NOT_AVAILABLE",
    0x0627: "ER_BASE64_DECODE_ERROR",
    0x0628: "ER_EVENT_RECURSION_FORBIDDEN",
    0x0629: "ER_EVENTS_DB_ERROR",
    0x062a: "ER_ONLY_INTEGERS_ALLOWED",
    0x062b: "ER_UNSUPORTED_LOG_ENGINE",
    0x062c: "ER_BAD_LOG_STATEMENT",
    0x062d: "ER_CANT_RENAME_LOG_TABLE",
    0x062e: "ER_WRONG_PARAMCOUNT_TO_NATIVE_FCT",
    0x062f: "ER_WRONG_PARAMETERS_TO_NATIVE_FCT",
    0x0630: "ER_WRONG_PARAMETERS_TO_STORED_FCT",
    0x0631: "ER_NATIVE_FCT_NAME_COLLISION",
    0x0632: "ER_DUP_ENTRY_WITH_KEY_NAME",
    0x0633: "ER_BINLOG_PURGE_EMFILE",
    0x0634: "ER_EVENT_CANNOT_CREATE_IN_THE_PAST",
    0x0635: "ER_EVENT_CANNOT_ALTER_IN_THE_PAST",
    0x0636: "ER_SLAVE_INCIDENT",
    0x0637: "ER_NO_PARTITION_FOR_GIVEN_VALUE_SILENT",
    0x0638: "ER_BINLOG_UNSAFE_STATEMENT",
    0x0639: "ER_BINLOG_FATAL_ERROR",
    0x063a: "ER_SLAVE_RELAY_LOG_READ_FAILURE",
    0x063b: "ER_SLAVE_RELAY_LOG_WRITE_FAILURE",
    0x063c: "ER_SLAVE_CREATE_EVENT_FAILURE",
    0x063d: "ER_SLAVE_MASTER_COM_FAILURE",
    0x063e: "ER_BINLOG_LOGGING_IMPOSSIBLE",
    0x063f: "ER_VIEW_NO_CREATION_CTX",
    0x0640: "ER_VIEW_INVALID_CREATION_CTX",
    0x0641: "ER_SR_INVALID_CREATION_CTX",
    0x0642: "ER_TRG_CORRUPTED_FILE",
    0x0643: "ER_TRG_NO_CREATION_CTX",
    0x0644: "ER_TRG_INVALID_CREATION_CTX",
    0x0645: "ER_EVENT_INVALID_CREATION_CTX",
    0x0646: "ER_TRG_CANT_OPEN_TABLE",
    0x0647: "ER_CANT_CREATE_SROUTINE",
    0x0648: "ER_NEVER_USED",
    0x0649: "ER_NO_FORMAT_DESCRIPTION_EVENT_BEFORE_BINLOG_STATEMENT",
    0x064a: "ER_SLAVE_CORRUPT_EVENT",
    0x064b: "ER_LOAD_DATA_INVALID_COLUMN_UNUSED",
    0x064c: "ER_LOG_PURGE_NO_FILE",
    0x064d: "ER_XA_RBTIMEOUT",
    0x064e: "ER_XA_RBDEADLOCK",
    0x064f: "ER_NEED_REPREPARE",
    0x0650: "ER_DELAYED_NOT_SUPPORTED",
    0x0651: "WARN_NO_MASTER_INFO",
    0x0652: "WARN_OPTION_IGNORED",
    0x0653: "ER_PLUGIN_DELETE_BUILTIN",
    0x0654: "WARN_PLUGIN_BUSY",
    0x0655: "ER_VARIABLE_IS_READONLY",
    0x0656: "ER_WARN_ENGINE_TRANSACTION_ROLLBACK",
    0x0657: "ER_SLAVE_HEARTBEAT_FAILURE",
    0x0658: "ER_SLAVE_HEARTBEAT_VALUE_OUT_OF_RANGE",
    0x0659: "ER_NDB_REPLICATION_SCHEMA_ERROR",
    0x065a: "ER_CONFLICT_FN_PARSE_ERROR",
    0x065b: "ER_EXCEPTIONS_WRITE_ERROR",
    0x065c: "ER_TOO_LONG_TABLE_COMMENT",
    0x065d: "ER_TOO_LONG_FIELD_COMMENT",
    0x065e: "ER_FUNC_INEXISTENT_NAME_COLLISION",
    0x065f: "ER_DATABASE_NAME",
    0x0660: "ER_TABLE_NAME",
    0x0661: "ER_PARTITION_NAME",
    0x0662: "ER_SUBPARTITION_NAME",
    0x0663: "ER_TEMPORARY_NAME",
    0x0664: "ER_RENAMED_NAME",
    0x0665: "ER_TOO_MANY_CONCURRENT_TRXS",
    0x0666: "WARN_NON_ASCII_SEPARATOR_NOT_IMPLEMENTED",
    0x0667: "ER_DEBUG_SYNC_TIMEOUT",
    0x0668: "ER_DEBUG_SYNC_HIT_LIMIT",
    0x0669: "ER_DUP_SIGNAL_SET",
    0x066a: "ER_SIGNAL_WARN",
    0x066b: "ER_SIGNAL_NOT_FOUND",
    0x066c: "ER_SIGNAL_EXCEPTION",
    0x066d: "ER_RESIGNAL_WITHOUT_ACTIVE_HANDLER",
    0x066e: "ER_SIGNAL_BAD_CONDITION_TYPE",
    0x066f: "WARN_COND_ITEM_TRUNCATED",
    0x0670: "ER_COND_ITEM_TOO_LONG",
    0x0671: "ER_UNKNOWN_LOCALE",
    0x0672: "ER_SLAVE_IGNORE_SERVER_IDS",
    0x0673: "ER_QUERY_CACHE_DISABLED",
    0x0674: "ER_SAME_NAME_PARTITION_FIELD",
    0x0675: "ER_PARTITION_COLUMN_LIST_ERROR",
    0x0676: "ER_WRONG_TYPE_COLUMN_VALUE_ERROR",
    0x0677: "ER_TOO_MANY_PARTITION_FUNC_FIELDS_ERROR",
    0x0678: "ER_MAXVALUE_IN_VALUES_IN",
    0x0679: "ER_TOO_MANY_VALUES_ERROR",
    0x067a: "ER_ROW_SINGLE_PARTITION_FIELD_ERROR",
    0x067b: "ER_FIELD_TYPE_NOT_ALLOWED_AS_PARTITION_FIELD",
    0x067c: "ER_PARTITION_FIELDS_TOO_LONG",
    0x067d: "ER_BINLOG_ROW_ENGINE_AND_STMT_ENGINE",
    0x067e: "ER_BINLOG_ROW_MODE_AND_STMT_ENGINE",
    0x067f: "ER_BINLOG_UNSAFE_AND_STMT_ENGINE",
    0x0680: "ER_BINLOG_ROW_INJECTION_AND_STMT_ENGINE",
    0x0681: "ER_BINLOG_STMT_MODE_AND_ROW_ENGINE",
    0x0682: "ER_BINLOG_ROW_INJECTION_AND_STMT_MODE",
    0x0683: "ER_BINLOG_MULTIPLE_ENGINES_AND_SELF_LOGGING_ENGINE",
    0x0684: "ER_BINLOG_UNSAFE_LIMIT",
    0x0685: "ER_UNUSED4",
    0x0686: "ER_BINLOG_UNSAFE_SYSTEM_TABLE",
    0x0687: "ER_BINLOG_UNSAFE_AUTOINC_COLUMNS",
    0x0688: "ER_BINLOG_UNSAFE_UDF",
    0x0689: "ER_BINLOG_UNSAFE_SYSTEM_VARIABLE",
    0x068a: "ER_BINLOG_UNSAFE_SYSTEM_FUNCTION",
    0x068b: "ER_BINLOG_UNSAFE_NONTRANS_AFTER_TRANS",
    0x068c: "ER_MESSAGE_AND_STATEMENT",
    0x068d: "ER_SLAVE_CONVERSION_FAILED",
    0x068e: "ER_SLAVE_CANT_CREATE_CONVERSION",
    0x068f: "ER_INSIDE_TRANSACTION_PREVENTS_SWITCH_BINLOG_FORMAT",
    0x0690: "ER_PATH_LENGTH",
    0x0691: "ER_WARN_DEPRECATED_SYNTAX_NO_REPLACEMENT",
    0x0692: "ER_WRONG_NATIVE_TABLE_STRUCTURE",
    0x0693: "ER_WRONG_PERFSCHEMA_USAGE",
    0x0694: "ER_WARN_I_S_SKIPPED_TABLE",
    0x0695: "ER_INSIDE_TRANSACTION_PREVENTS_SWITCH_BINLOG_DIRECT",
    0x0696: "ER_STORED_FUNCTION_PREVENTS_SWITCH_BINLOG_DIRECT",
    0x0697: "ER_SPATIAL_MUST_HAVE_GEOM_COL",
    0x0698: "ER_TOO_LONG_INDEX_COMMENT",
    0x0699: "ER_LOCK_ABORTED",
    0x069a: "ER_DATA_OUT_OF_RANGE",
    0x069b: "ER_WRONG_SPVAR_TYPE_IN_LIMIT",
    0x069c: "ER_BINLOG_UNSAFE_MULTIPLE_ENGINES_AND_SELF_LOGGING_ENGINE",
    0x069d: "ER_BINLOG_UNSAFE_MIXED_STATEMENT",
    0x069e: "ER_INSIDE_TRANSACTION_PREVENTS_SWITCH_SQL_LOG_BIN",
    0x069f: "ER_STORED_FUNCTION_PREVENTS_SWITCH_SQL_LOG_BIN",
    0x06a0: "ER_FAILED_READ_FROM_PAR_FILE",
    0x06a1: "ER_VALUES_IS_NOT_INT_TYPE_ERROR",
    0x06a2: "ER_ACCESS_DENIED_NO_PASSWORD_ERROR",
    0x06a3: "ER_SET_PASSWORD_AUTH_PLUGIN",
    0x06a4: "ER_GRANT_PLUGIN_USER_EXISTS",
    0x06a5: "ER_TRUNCATE_ILLEGAL_FK",
    0x06a6: "ER_PLUGIN_IS_PERMANENT",
    0x06a7: "ER_SLAVE_HEARTBEAT_VALUE_OUT_OF_RANGE_MIN",
    0x06a8: "ER_SLAVE_HEARTBEAT_VALUE_OUT_OF_RANGE_MAX",
    0x06a9: "ER_STMT_CACHE_FULL",
    0x06aa: "ER_MULTI_UPDATE_KEY_CONFLICT",
    0x06ab: "ER_TABLE_NEEDS_REBUILD",
    0x06ac: "WARN_OPTION_BELOW_LIMIT",
    0x06ad: "ER_INDEX_COLUMN_TOO_LONG",
    0x06ae: "ER_ERROR_IN_TRIGGER_BODY",
    0x06af: "ER_ERROR_IN_UNKNOWN_TRIGGER_BODY",
    0x06b0: "ER_INDEX_CORRUPT",
    0x06b1: "ER_UNDO_RECORD_TOO_BIG",
    0x06b2: "ER_BINLOG_UNSAFE_INSERT_IGNORE_SELECT",
    0x06b3: "ER_BINLOG_UNSAFE_INSERT_SELECT_UPDATE",
    0x06b4: "ER_BINLOG_UNSAFE_REPLACE_SELECT",
    0x06b5: "ER_BINLOG_UNSAFE_CREATE_IGNORE_SELECT",
    0x06b6: "ER_BINLOG_UNSAFE_CREATE_REPLACE_SELECT",
    0x06b7: "ER_BINLOG_UNSAFE_UPDATE_IGNORE",
    0x06b8: "ER_PLUGIN_NO_UNINSTALL",
    0x06b9: "ER_PLUGIN_NO_INSTALL",
    0x06ba: "ER_BINLOG_UNSAFE_WRITE_AUTOINC_SELECT",
    0x06bb: "ER_BINLOG_UNSAFE_CREATE_SELECT_AUTOINC",
    0x06bc: "ER_BINLOG_UNSAFE_INSERT_TWO_KEYS",
    0x06bd: "ER_TABLE_IN_FK_CHECK",
    0x06be: "ER_UNSUPPORTED_ENGINE",
    0x06bf: "ER_BINLOG_UNSAFE_AUTOINC_NOT_FIRST",
    0x06c0: "ER_CANNOT_LOAD_FROM_TABLE_V2",
    0x06c1: "ER_MASTER_DELAY_VALUE_OUT_OF_RANGE",
    0x06c2: "ER_ONLY_FD_AND_RBR_EVENTS_ALLOWED_IN_BINLOG_STATEMENT",
    0x06c3: "ER_PARTITION_EXCHANGE_DIFFERENT_OPTION",
    0x06c4: "ER_PARTITION_EXCHANGE_PART_TABLE",
    0x06c5: "ER_PARTITION_EXCHANGE_TEMP_TABLE",
    0x06c6: "ER_PARTITION_INSTEAD_OF_SUBPARTITION",
    0x06c7: "ER_UNKNOWN_PARTITION",
    0x06c8: "ER_TABLES_DIFFERENT_METADATA",
    0x06c9: "ER_ROW_DOES_NOT_MATCH_PARTITION",
    0x06ca: "ER_BINLOG_CACHE_SIZE_GREATER_THAN_MAX",
    0x06cb: "ER_WARN_INDEX_NOT_APPLICABLE",
    0x06cc: "ER_PARTITION_EXCHANGE_FOREIGN_KEY",
    0x06cd: "ER_NO_SUCH_KEY_VALUE",
    0x06ce: "ER_RPL_INFO_DATA_TOO_LONG",
    0x06cf: "ER_NETWORK_READ_EVENT_CHECKSUM_FAILURE",
    0x06d0: "ER_BINLOG_READ_EVENT_CHECKSUM_FAILURE",
    0x06d1: "ER_BINLOG_STMT_CACHE_SIZE_GREATER_THAN_MAX",
    0x06d2: "ER_CANT_UPDATE_TABLE_IN_CREATE_TABLE_SELECT",
    0x06d3: "ER_PARTITION_CLAUSE_ON_NONPARTITIONED",
    0x06d4: "ER_ROW_DOES_NOT_MATCH_GIVEN_PARTITION_SET",
    0x06d5: "ER_NO_SUCH_PARTITION__UNUSED",
    0x06d6: "ER_CHANGE_RPL_INFO_REPOSITORY_FAILURE",
    0x06d7: "ER_WARNING_NOT_COMPLETE_ROLLBACK_WITH_CREATED_TEMP_TABLE",
    0x06d8: "ER_WARNING_NOT_COMPLETE_ROLLBACK_WITH_DROPPED_TEMP_TABLE",
    0x06d9: "ER_MTS_FEATURE_IS_NOT_SUPPORTED",
    0x06da: "ER_MTS_UPDATED_DBS_GREATER_MAX",
    0x06db: "ER_MTS_CANT_PARALLEL",
    0x06dc: "ER_MTS_INCONSISTENT_DATA",
    0x06dd: "ER_FULLTEXT_NOT_SUPPORTED_WITH_PARTITIONING",
    0x06de: "ER_DA_INVALID_CONDITION_NUMBER",
    0x06df: "ER_INSECURE_PLAIN_TEXT",
    0x06e0: "ER_INSECURE_CHANGE_MASTER",
    0x06e1: "ER_FOREIGN_DUPLICATE_KEY_WITH_CHILD_INFO",
    0x06e2: "ER_FOREIGN_DUPLICATE_KEY_WITHOUT_CHILD_INFO",
    0x06e3: "ER_SQLTHREAD_WITH_SECURE_SLAVE",
    0x06e4: "ER_TABLE_HAS_NO_FT",
    0x06e5: "ER_VARIABLE_NOT_SETTABLE_IN_SF_OR_TRIGGER",
    0x06e6: "ER_VARIABLE_NOT_SETTABLE_IN_TRANSACTION",
    0x06e7: "ER_GTID_NEXT_IS_NOT_IN_GTID_NEXT_LIST",
    0x06e8: "ER_CANT_CHANGE_GTID_NEXT_IN_TRANSACTION",
    0x06e9: "ER_SET_STATEMENT_CANNOT_INVOKE_FUNCTION",
    0x06ea: "ER_GTID_NEXT_CANT_BE_AUTOMATIC_IF_GTID_NEXT_LIST_IS_NON_NULL",
    0x06eb: "ER_SKIPPING_LOGGED_TRANSACTION",
    0x06ec: "ER_MALFORMED_GTID_SET_SPECIFICATION",
    0x06ed: "ER_MALFORMED_GTID_SET_ENCODING",
    0x06ee: "ER_MALFORMED_GTID_SPECIFICATION",
    0x06ef: "ER_GNO_EXHAUSTED",
    0x06f0: "ER_BAD_SLAVE_AUTO_POSITION",
    0x06f1: "ER_AUTO_POSITION_REQUIRES_GTID_MODE_NOT_OFF",
    0x06f2: "ER_CANT_DO_IMPLICIT_COMMIT_IN_TRX_WHEN_GTID_NEXT_IS_SET",
    0x06f3: "ER_GTID_MODE_ON_REQUIRES_ENFORCE_GTID_CONSISTENCY_ON",
    0x06f4: "ER_GTID_MODE_REQUIRES_BINLOG",
    0x06f5: "ER_CANT_SET_GTID_NEXT_TO_GTID_WHEN_GTID_MODE_IS_OFF",
    0x06f6: "ER_CANT_SET_GTID_NEXT_TO_ANONYMOUS_WHEN_GTID_MODE_IS_ON",
    0x06f7: "ER_CANT_SET_GTID_NEXT_LIST_TO_NON_NULL_WHEN_GTID_MODE_IS_OFF",
    0x06f8: "ER_FOUND_GTID_EVENT_WHEN_GTID_MODE_IS_OFF__UNUSED",
    0x06f9: "ER_GTID_UNSAFE_NON_TRANSACTIONAL_TABLE",
    0x06fa: "ER_GTID_UNSAFE_CREATE_SELECT",
    0x06fb: "ER_GTID_UNSAFE_CREATE_DROP_TEMPORARY_TABLE_IN_TRANSACTION",
    0x06fc: "ER_GTID_MODE_CAN_ONLY_CHANGE_ONE_STEP_AT_A_TIME",
    0x06fd: "ER_MASTER_HAS_PURGED_REQUIRED_GTIDS",
    0x06fe: "ER_CANT_SET_GTID_NEXT_WHEN_OWNING_GTID",
    0x06ff: "ER_UNKNOWN_EXPLAIN_FORMAT",
    0x0700: "ER_CANT_EXECUTE_IN_READ_ONLY_TRANSACTION",
    0x0701: "ER_TOO_LONG_TABLE_PARTITION_COMMENT",
    0x0702: "ER_SLAVE_CONFIGURATION",
    0x0703: "ER_INNODB_FT_LIMIT",
    0x0704: "ER_INNODB_NO_FT_TEMP_TABLE",
    0x0705: "ER_INNODB_FT_WRONG_DOCID_COLUMN",
    0x0706: "ER_INNODB_FT_WRONG_DOCID_INDEX",
    0x0707: "ER_INNODB_ONLINE_LOG_TOO_BIG",
    0x0708: "ER_UNKNOWN_ALTER_ALGORITHM",
    0x0709: "ER_UNKNOWN_ALTER_LOCK",
    0x070a: "ER_MTS_CHANGE_MASTER_CANT_RUN_WITH_GAPS",
    0x070b: "ER_MTS_RECOVERY_FAILURE",
    0x070c: "ER_MTS_RESET_WORKERS",
    0x070d: "ER_COL_COUNT_DOESNT_MATCH_CORRUPTED_V2",
    0x070e: "ER_SLAVE_SILENT_RETRY_TRANSACTION",
    0x070f: "ER_DISCARD_FK_CHECKS_RUNNING",
    0x0710: "ER_TABLE_SCHEMA_MISMATCH",
    0x0711: "ER_TABLE_IN_SYSTEM_TABLESPACE",
    0x0712: "ER_IO_READ_ERROR",
    0x0713: "ER_IO_WRITE_ERROR",
    0x0714: "ER_TABLESPACE_MISSING",
    0x0715: "ER_TABLESPACE_EXISTS",
    0x0716: "ER_TABLESPACE_DISCARDED",
    0x0717: "ER_INTERNAL_ERROR",
    0x0718: "ER_INNODB_IMPORT_ERROR",
    0x0719: "ER_INNODB_INDEX_CORRUPT",
    0x071a: "ER_INVALID_YEAR_COLUMN_LENGTH",
    0x071b: "ER_NOT_VALID_PASSWORD",
    0x071c: "ER_MUST_CHANGE_PASSWORD",
    0x071d: "ER_FK_NO_INDEX_CHILD",
    0x071e: "ER_FK_NO_INDEX_PARENT",
    0x071f: "ER_FK_FAIL_ADD_SYSTEM",
    0x0720: "ER_FK_CANNOT_OPEN_PARENT",
    0x0721: "ER_FK_INCORRECT_OPTION",
    0x0722: "ER_FK_DUP_NAME",
    0x0723: "ER_PASSWORD_FORMAT",
    0x0724: "ER_FK_COLUMN_CANNOT_DROP",
    0x0725: "ER_FK_COLUMN_CANNOT_DROP_CHILD",
    0x0726: "ER_FK_COLUMN_NOT_NULL",
    0x0727: "ER_DUP_INDEX",
    0x0728: "ER_FK_COLUMN_CANNOT_CHANGE",
    0x0729: "ER_FK_COLUMN_CANNOT_CHANGE_CHILD",
    0x072a: "ER_UNUSED5",
    0x072b: "ER_MALFORMED_PACKET",
    0x072c: "ER_READ_ONLY_MODE",
    0x072d: "ER_GTID_NEXT_TYPE_UNDEFINED_GTID",
    0x072e: "ER_VARIABLE_NOT_SETTABLE_IN_SP",
    0x072f: "ER_CANT_SET_GTID_PURGED_WHEN_GTID_MODE_IS_OFF",
    0x0730: "ER_CANT_SET_GTID_PURGED_WHEN_GTID_EXECUTED_IS_NOT_EMPTY",
    0x0731: "ER_CANT_SET_GTID_PURGED_WHEN_OWNED_GTIDS_IS_NOT_EMPTY",
    0x0732: "ER_GTID_PURGED_WAS_CHANGED",
    0x0733: "ER_GTID_EXECUTED_WAS_CHANGED",
    0x0734: "ER_BINLOG_STMT_MODE_AND_NO_REPL_TABLES",
    0x0735: "ER_ALTER_OPERATION_NOT_SUPPORTED",
    0x0736: "ER_ALTER_OPERATION_NOT_SUPPORTED_REASON",
    0x0737: "ER_ALTER_OPERATION_NOT_SUPPORTED_REASON_COPY",
    0x0738: "ER_ALTER_OPERATION_NOT_SUPPORTED_REASON_PARTITION",
    0x0739: "ER_ALTER_OPERATION_NOT_SUPPORTED_REASON_FK_RENAME",
    0x073a: "ER_ALTER_OPERATION_NOT_SUPPORTED_REASON_COLUMN_TYPE",
    0x073b: "ER_ALTER_OPERATION_NOT_SUPPORTED_REASON_FK_CHECK",
    0x073c: "ER_UNUSED6",
    0x073d: "ER_ALTER_OPERATION_NOT_SUPPORTED_REASON_NOPK",
    0x073e: "ER_ALTER_OPERATION_NOT_SUPPORTED_REASON_AUTOINC",
    0x073f: "ER_ALTER_OPERATION_NOT_SUPPORTED_REASON_HIDDEN_FTS",
    0x0740: "ER_ALTER_OPERATION_NOT_SUPPORTED_REASON_CHANGE_FTS",
    0x0741: "ER_ALTER_OPERATION_NOT_SUPPORTED_REASON_FTS",
    0x0742: "ER_SQL_SLAVE_SKIP_COUNTER_NOT_SETTABLE_IN_GTID_MODE",
    0x0743: "ER_DUP_UNKNOWN_IN_INDEX",
    0x0744: "ER_IDENT_CAUSES_TOO_LONG_PATH",
    0x0745: "ER_ALTER_OPERATION_NOT_SUPPORTED_REASON_NOT_NULL",
    0x0746: "ER_MUST_CHANGE_PASSWORD_LOGIN",
    0x0747: "ER_ROW_IN_WRONG_PARTITION",
    0x0748: "ER_MTS_EVENT_BIGGER_PENDING_JOBS_SIZE_MAX",
    0x0749: "ER_INNODB_NO_FT_USES_PARSER",
    0x074a: "ER_BINLOG_LOGICAL_CORRUPTION",
    0x074b: "ER_WARN_PURGE_LOG_IN_USE",
    0x074c: "ER_WARN_PURGE_LOG_IS_ACTIVE",
    0x074d: "ER_AUTO_INCREMENT_CONFLICT",
    0x074e: "WARN_ON_BLOCKHOLE_IN_RBR",
    0x074f: "ER_SLAVE_MI_INIT_REPOSITORY",
    0x0750: "ER_SLAVE_RLI_INIT_REPOSITORY",
    0x0751: "ER_ACCESS_DENIED_CHANGE_USER_ERROR",
    0x0752: "ER_INNODB_READ_ONLY",
    0x0753: "ER_STOP_SLAVE_SQL_THREAD_TIMEOUT",
    0x0754: "ER_STOP_SLAVE_IO_THREAD_TIMEOUT",
    0x0755: "ER_TABLE_CORRUPT",
    0x0756: "ER_TEMP_FILE_WRITE_FAILURE",
    0x0757: "ER_INNODB_FT_AUX_NOT_HEX_ID",
    0x0758: "ER_OLD_TEMPORALS_UPGRADED",
    0x0759: "ER_INNODB_FORCED_RECOVERY",
    0x075a: "ER_AES_INVALID_IV",
    0x075b: "ER_PLUGIN_CANNOT_BE_UNINSTALLED",
    0x075c: "ER_GTID_UNSAFE_BINLOG_SPLITTABLE_STATEMENT_AND_ASSIGNED_GTID",
    0x075d: "ER_SLAVE_HAS_MORE_GTIDS_THAN_MASTER",
    0x075e: "ER_MISSING_KEY",
    0x0772: "ER_SLAVE_IO_THREAD_MUST_STOP",
    0x0bb8: "ER_FILE_CORRUPT",
    0x0bb9: "ER_ERROR_ON_MASTER",
    0x0bba: "ER_INCONSISTENT_ERROR",
    0x0bbb: "ER_STORAGE_ENGINE_NOT_LOADED",
    0x0bbc: "ER_GET_STACKED_DA_WITHOUT_ACTIVE_HANDLER",
    0x0bbd: "ER_WARN_LEGACY_SYNTAX_CONVERTED",
    0x0bbe: "ER_BINLOG_UNSAFE_FULLTEXT_PLUGIN",
    0x0bbf: "ER_CANNOT_DISCARD_TEMPORARY_TABLE",
    0x0bc0: "ER_FK_DEPTH_EXCEEDED",
    0x0bc1: "ER_COL_COUNT_DOESNT_MATCH_PLEASE_UPDATE_V2",
    0x0bc2: "ER_WARN_TRIGGER_DOESNT_HAVE_CREATED",
    0x0bc3: "ER_REFERENCED_TRG_DOES_NOT_EXIST",
    0x0bc4: "ER_EXPLAIN_NOT_SUPPORTED",
    0x0bc5: "ER_INVALID_FIELD_SIZE",
    0x0bc6: "ER_MISSING_HA_CREATE_OPTION",
    0x0bc7: "ER_ENGINE_OUT_OF_MEMORY",
    0x0bc8: "ER_PASSWORD_EXPIRE_ANONYMOUS_USER",
    0x0bc9: "ER_SLAVE_SQL_THREAD_MUST_STOP",
    0x0bca: "ER_NO_FT_MATERIALIZED_SUBQUERY",
    0x0bcb: "ER_INNODB_UNDO_LOG_FULL",
    0x0bcc: "ER_INVALID_ARGUMENT_FOR_LOGARITHM",
    0x0bcd: "ER_SLAVE_CHANNEL_IO_THREAD_MUST_STOP",
    0x0bce: "ER_WARN_OPEN_TEMP_TABLES_MUST_BE_ZERO",
    0x0bcf: "ER_WARN_ONLY_MASTER_LOG_FILE_NO_POS",
    0x0bd0: "ER_QUERY_TIMEOUT",
    0x0bd1: "ER_NON_RO_SELECT_DISABLE_TIMER",
    0x0bd2: "ER_DUP_LIST_ENTRY",
    0x0bd3: "ER_SQL_MODE_NO_EFFECT",
    0x0bd4: "ER_AGGREGATE_ORDER_FOR_UNION",
    0x0bd5: "ER_AGGREGATE_ORDER_NON_AGG_QUERY",
    0x0bd6: "ER_SLAVE_WORKER_STOPPED_PREVIOUS_THD_ERROR",
    0x0bd7: "ER_DONT_SUPPORT_SLAVE_PRESERVE_COMMIT_ORDER",
    0x0bd8: "ER_SERVER_OFFLINE_MODE",
    0x0bd9: "ER_GIS_DIFFERENT_SRIDS",
    0x0bda: "ER_GIS_UNSUPPORTED_ARGUMENT",
    0x0bdb: "ER_GIS_UNKNOWN_ERROR",
    0x0bdc: "ER_GIS_UNKNOWN_EXCEPTION",
    0x0bdd: "ER_GIS_INVALID_DATA",
    0x0bde: "ER_BOOST_GEOMETRY_EMPTY_INPUT_EXCEPTION",
    0x0bdf: "ER_BOOST_GEOMETRY_CENTROID_EXCEPTION",
    0x0be0: "ER_BOOST_GEOMETRY_OVERLAY_INVALID_INPUT_EXCEPTION",
    0x0be1: "ER_BOOST_GEOMETRY_TURN_INFO_EXCEPTION",
    0x0be2: "ER_BOOST_GEOMETRY_SELF_INTERSECTION_POINT_EXCEPTION",
    0x0be3: "ER_BOOST_GEOMETRY_UNKNOWN_EXCEPTION",
    0x0be4: "ER_STD_BAD_ALLOC_ERROR",
    0x0be5: "ER_STD_DOMAIN_ERROR",
    0x0be6: "ER_STD_LENGTH_ERROR",
    0x0be7: "ER_STD_INVALID_ARGUMENT",
    0x0be8: "ER_STD_OUT_OF_RANGE_ERROR",
    0x0be9: "ER_STD_OVERFLOW_ERROR",
    0x0bea: "ER_STD_RANGE_ERROR",
    0x0beb: "ER_STD_UNDERFLOW_ERROR",
    0x0bec: "ER_STD_LOGIC_ERROR",
    0x0bed: "ER_STD_RUNTIME_ERROR",
    0x0bee: "ER_STD_UNKNOWN_EXCEPTION",
    0x0bef: "ER_GIS_DATA_WRONG_ENDIANESS",
    0x0bf0: "ER_CHANGE_MASTER_PASSWORD_LENGTH",
    0x0bf1: "ER_USER_LOCK_WRONG_NAME",
    0x0bf2: "ER_USER_LOCK_DEADLOCK",
    0x0bf3: "ER_REPLACE_INACCESSIBLE_ROWS",
    0x0bf4: "ER_ALTER_OPERATION_NOT_SUPPORTED_REASON_GIS",
    0x0bf5: "ER_ILLEGAL_USER_VAR",
    0x0bf6: "ER_GTID_MODE_OFF",
    0x0bf7: "ER_UNSUPPORTED_BY_REPLICATION_THREAD",
    0x0bf8: "ER_INCORRECT_TYPE",
    0x0bf9: "ER_FIELD_IN_ORDER_NOT_SELECT",
    0x0bfa: "ER_AGGREGATE_IN_ORDER_NOT_SELECT",
    0x0bfb: "ER_INVALID_RPL_WILD_TABLE_FILTER_PATTERN",
    0x0bfc: "ER_NET_OK_PACKET_TOO_LARGE",
    0x0bfd: "ER_INVALID_JSON_DATA",
    0x0bfe: "ER_INVALID_GEOJSON_MISSING_MEMBER",
    0x0bff: "ER_INVALID_GEOJSON_WRONG_TYPE",
    0x0c00: "ER_INVALID_GEOJSON_UNSPECIFIED",
    0x0c01: "ER_DIMENSION_UNSUPPORTED",
    0x0c02: "ER_SLAVE_CHANNEL_DOES_NOT_EXIST",
    0x0c03: "ER_SLAVE_MULTIPLE_CHANNELS_HOST_PORT",
    0x0c04: "ER_SLAVE_CHANNEL_NAME_INVALID_OR_TOO_LONG",
    0x0c05: "ER_SLAVE_NEW_CHANNEL_WRONG_REPOSITORY",
    0x0c06: "ER_SLAVE_CHANNEL_DELETE",
    0x0c07: "ER_SLAVE_MULTIPLE_CHANNELS_CMD",
    0x0c08: "ER_SLAVE_MAX_CHANNELS_EXCEEDED",
    0x0c09: "ER_SLAVE_CHANNEL_MUST_STOP",
    0x0c0a: "ER_SLAVE_CHANNEL_NOT_RUNNING",
    0x0c0b: "ER_SLAVE_CHANNEL_WAS_RUNNING",
    0x0c0c: "ER_SLAVE_CHANNEL_WAS_NOT_RUNNING",
    0x0c0d: "ER_SLAVE_CHANNEL_SQL_THREAD_MUST_STOP",
    0x0c0e: "ER_SLAVE_CHANNEL_SQL_SKIP_COUNTER",
    0x0c0f: "ER_WRONG_FIELD_WITH_GROUP_V2",
    0x0c10: "ER_MIX_OF_GROUP_FUNC_AND_FIELDS_V2",
    0x0c11: "ER_WARN_DEPRECATED_SYSVAR_UPDATE",
    0x0c12: "ER_WARN_DEPRECATED_SQLMODE",
    0x0c13: "ER_CANNOT_LOG_PARTIAL_DROP_DATABASE_WITH_GTID",
    0x0c14: "ER_GROUP_REPLICATION_CONFIGURATION",
    0x0c15: "ER_GROUP_REPLICATION_RUNNING",
    0x0c16: "ER_GROUP_REPLICATION_APPLIER_INIT_ERROR",
    0x0c17: "ER_GROUP_REPLICATION_STOP_APPLIER_THREAD_TIMEOUT",
    0x0c18: "ER_GROUP_REPLICATION_COMMUNICATION_LAYER_SESSION_ERROR",
    0x0c19: "ER_GROUP_REPLICATION_COMMUNICATION_LAYER_JOIN_ERROR",
    0x0c1a: "ER_BEFORE_DML_VALIDATION_ERROR",
    0x0c1b: "ER_PREVENTS_VARIABLE_WITHOUT_RBR",
    0x0c1c: "ER_RUN_HOOK_ERROR",
    0x0c1d: "ER_TRANSACTION_ROLLBACK_DURING_COMMIT",
    0x0c1e: "ER_GENERATED_COLUMN_FUNCTION_IS_NOT_ALLOWED",
    0x0c1f: "ER_UNSUPPORTED_ALTER_INPLACE_ON_VIRTUAL_COLUMN",
    0x0c20: "ER_WRONG_FK_OPTION_FOR_GENERATED_COLUMN",
    0x0c21: "ER_NON_DEFAULT_VALUE_FOR_GENERATED_COLUMN",
    0x0c22: "ER_UNSUPPORTED_ACTION_ON_GENERATED_COLUMN",
    0x0c23: "ER_GENERATED_COLUMN_NON_PRIOR",
    0x0c24: "ER_DEPENDENT_BY_GENERATED_COLUMN",
    0x0c25: "ER_GENERATED_COLUMN_REF_AUTO_INC",
    0x0c26: "ER_FEATURE_NOT_AVAILABLE",
    0x0c27: "ER_CANT_SET_GTID_MODE",
    0x0c28: "ER_CANT_USE_AUTO_POSITION_WITH_GTID_MODE_OFF",
    0x0c29: "ER_CANT_REPLICATE_ANONYMOUS_WITH_AUTO_POSITION",
    0x0c2a: "ER_CANT_REPLICATE_ANONYMOUS_WITH_GTID_MODE_ON",
    0x0c2b: "ER_CANT_REPLICATE_GTID_WITH_GTID_MODE_OFF",
    0x0c2c: "ER_CANT_ENFORCE_GTID_CONSISTENCY_WITH_ONGOING_GTID_VIOLATING_TX",
    0x0c2d: "ER_ENFORCE_GTID_CONSISTENCY_WARN_WITH_ONGOING_GTID_VIOLATING_TX",
    0x0c2e: "ER_ACCOUNT_HAS_BEEN_LOCKED",
    0x0c2f: "ER_WRONG_TABLESPACE_NAME",
    0x0c30: "ER_TABLESPACE_IS_NOT_EMPTY",
    0x0c31: "ER_WRONG_FILE_NAME",
    0x0c32: "ER_BOOST_GEOMETRY_INCONSISTENT_TURNS_EXCEPTION",
    0x0c33: "ER_WARN_OPTIMIZER_HINT_SYNTAX_ERROR",
    0x0c34: "ER_WARN_BAD_MAX_EXECUTION_TIME",
    0x0c35: "ER_WARN_UNSUPPORTED_MAX_EXECUTION_TIME",
    0x0c36: "ER_WARN_CONFLICTING_HINT",
    0x0c37: "ER_WARN_UNKNOWN_QB_NAME",
    0x0c38: "ER_UNRESOLVED_HINT_NAME",
    0x0c39: "ER_WARN_ON_MODIFYING_GTID_EXECUTED_TABLE",
    0x0c3a: "ER_PLUGGABLE_PROTOCOL_COMMAND_NOT_SUPPORTED",
    0x0c3b: "ER_LOCKING_SERVICE_WRONG_NAME",
    0x0c3c: "ER_LOCKING_SERVICE_DEADLOCK",
    0x0c3d: "ER_LOCKING_SERVICE_TIMEOUT",
    0x0c3e: "ER_GIS_MAX_POINTS_IN_GEOMETRY_OVERFLOWED",
    0x0c3f: "ER_SQL_MODE_MERGED",
    0x0c40: "ER_VTOKEN_PLUGIN_TOKEN_MISMATCH",
    0x0c41: "ER_VTOKEN_PLUGIN_TOKEN_NOT_FOUND",
    0x0c42: "ER_CANT_SET_VARIABLE_WHEN_OWNING_GTID",
    0x0c43: "ER_SLAVE_CHANNEL_OPERATION_NOT_ALLOWED",
    0x0c44: "ER_INVALID_JSON_TEXT",
    0x0c45: "ER_INVALID_JSON_TEXT_IN_PARAM",
    0x0c46: "ER_INVALID_JSON_BINARY_DATA",
    0x0c47: "ER_INVALID_JSON_PATH",
    0x0c48: "ER_INVALID_JSON_CHARSET",
    0x0c49: "ER_INVALID_JSON_CHARSET_IN_FUNCTION",
    0x0c4a: "ER_INVALID_TYPE_FOR_JSON",
    0x0c4b: "ER_INVALID_CAST_TO_JSON",
    0x0c4c: "ER_INVALID_JSON_PATH_CHARSET",
    0x0c4d: "ER_INVALID_JSON_PATH_WILDCARD",
    0x0c4e: "ER_JSON_VALUE_TOO_BIG",
    0x0c4f: "ER_JSON_KEY_TOO_BIG",
    0x0c50: "ER_JSON_USED_AS_KEY",
    0x0c51: "ER_JSON_VACUOUS_PATH",
    0x0c52: "ER_JSON_BAD_ONE_OR_ALL_ARG",
    0x0c53: "ER_NUMERIC_JSON_VALUE_OUT_OF_RANGE",
    0x0c54: "ER_INVALID_JSON_VALUE_FOR_CAST",
    0x0c55: "ER_JSON_DOCUMENT_TOO_DEEP",
    0x0c56: "ER_JSON_DOCUMENT_NULL_KEY",
    0x0c57: "ER_SECURE_TRANSPORT_REQUIRED",
    0x0c58: "ER_NO_SECURE_TRANSPORTS_CONFIGURED",
    0x0c59: "ER_DISABLED_STORAGE_ENGINE",
    0x0c5a: "ER_USER_DOES_NOT_EXIST",
    0x0c5b: "ER_USER_ALREADY_EXISTS",
    0x0c5c: "ER_AUDIT_API_ABORT",
    0x0c5d: "ER_INVALID_JSON_PATH_ARRAY_CELL",
    0x0c5e: "ER_BUFPOOL_RESIZE_INPROGRESS",
    0x0c5f: "ER_FEATURE_DISABLED_SEE_DOC",
    0x0c60: "ER_SERVER_ISNT_AVAILABLE",
    0x0c61: "ER_SESSION_WAS_KILLED",
    0x0c62: "ER_CAPACITY_EXCEEDED",
    0x0c63: "ER_CAPACITY_EXCEEDED_IN_RANGE_OPTIMIZER",
    0x0c64: "ER_TABLE_NEEDS_UPG_PART",
    0x0c65: "ER_CANT_WAIT_FOR_EXECUTED_GTID_SET_WHILE_OWNING_A_GTID",
    0x0c66: "ER_CANNOT_ADD_FOREIGN_BASE_COL_VIRTUAL",
    0x0c67: "ER_CANNOT_CREATE_VIRTUAL_INDEX_CONSTRAINT",
    0x0c68: "ER_ERROR_ON_MODIFYING_GTID_EXECUTED_TABLE",
    0x0c69: "ER_LOCK_REFUSED_BY_ENGINE",
    0x0c6a: "ER_UNSUPPORTED_ALTER_ONLINE_ON_VIRTUAL_COLUMN",
    0x0c6b: "ER_MASTER_KEY_ROTATION_NOT_SUPPORTED_BY_SE",
    0x0c6c: "ER_MASTER_KEY_ROTATION_ERROR_BY_SE",
    0x0c6d: "ER_MASTER_KEY_ROTATION_BINLOG_FAILED",
    0x0c6e: "ER_MASTER_KEY_ROTATION_SE_UNAVAILABLE",
    0x0c6f: "ER_TABLESPACE_CANNOT_ENCRYPT",
    0x0c70: "ER_INVALID_ENCRYPTION_OPTION",
    0x0c71: "ER_CANNOT_FIND_KEY_IN_KEYRING",
    0x0c72: "ER_CAPACITY_EXCEEDED_IN_PARSER",
    0x0c73: "ER_UNSUPPORTED_ALTER_ENCRYPTION_INPLACE",
    0x0c74: "ER_KEYRING_UDF_KEYRING_SERVICE_ERROR",
    0x0c75: "ER_USER_COLUMN_OLD_LENGTH",
    0x0c76: "ER_CANT_RESET_MASTER",
    0x0c77: "ER_GROUP_REPLICATION_MAX_GROUP_SIZE",
    0x0c78: "ER_CANNOT_ADD_FOREIGN_BASE_COL_STORED",
    0x0c79: "ER_TABLE_REFERENCED",
    0x0c7a: "ER_PARTITION_ENGINE_DEPRECATED_FOR_TABLE",
    0x0c7b: "ER_WARN_USING_GEOMFROMWKB_TO_SET_SRID_ZERO",
    0x0c7c: "ER_WARN_USING_GEOMFROMWKB_TO_SET_SRID",
    0x0c7d: "ER_XA_RETRY",
    0x0c7e: "ER_KEYRING_AWS_UDF_AWS_KMS_ERROR",
    0x0c7f: "ER_BINLOG_UNSAFE_XA",
    0x0c80: "ER_UDF_ERROR",
    0x0c81: "ER_KEYRING_MIGRATION_FAILURE",
    0x0c82: "ER_KEYRING_ACCESS_DENIED_ERROR",
    0x0c83: "ER_KEYRING_MIGRATION_STATUS",
    0x0c84: "ER_PLUGIN_FAILED_TO_OPEN_TABLES",
    0x0c85: "ER_PLUGIN_FAILED_TO_OPEN_TABLE",
    0x0c86: "ER_AUDIT_LOG_NO_KEYRING_PLUGIN_INSTALLED",
    0x0c87: "ER_AUDIT_LOG_ENCRYPTION_PASSWORD_HAS_NOT_BEEN_SET",
    0x0c88: "ER_AUDIT_LOG_COULD_NOT_CREATE_AES_KEY",
    0x0c89: "ER_AUDIT_LOG_ENCRYPTION_PASSWORD_CANNOT_BE_FETCHED",
    0x0c8a: "ER_AUDIT_LOG_JSON_FILTERING_NOT_ENABLED",
    0x0c8b: "ER_AUDIT_LOG_UDF_INSUFFICIENT_PRIVILEGE",
    0x0c8c: "ER_AUDIT_LOG_SUPER_PRIVILEGE_REQUIRED",
    0x0c8d: "ER_COULD_NOT_REINITIALIZE_AUDIT_LOG_FILTERS",
    0x0c8e: "ER_AUDIT_LOG_UDF_INVALID_ARGUMENT_TYPE",
    0x0c8f: "ER_AUDIT_LOG_UDF_INVALID_ARGUMENT_COUNT",
    0x0c90: "ER_AUDIT_LOG_HAS_NOT_BEEN_INSTALLED",
    0x0c91: "ER_AUDIT_LOG_UDF_READ_INVALID_MAX_ARRAY_LENGTH_ARG_TYPE",
    0x0c92: "ER_AUDIT_LOG_UDF_READ_INVALID_MAX_ARRAY_LENGTH_ARG_VALUE",
    0x0c93: "ER_AUDIT_LOG_JSON_FILTER_PARSING_ERROR",
    0x0c94: "ER_AUDIT_LOG_JSON_FILTER_NAME_CANNOT_BE_EMPTY",
    0x0c95: "ER_AUDIT_LOG_JSON_USER_NAME_CANNOT_BE_EMPTY",
    0x0c96: "ER_AUDIT_LOG_JSON_FILTER_DOES_NOT_EXISTS",
    0x0c97: "ER_AUDIT_LOG_USER_FIRST_CHARACTER_MUST_BE_ALPHANUMERIC",
    0x0c98: "ER_AUDIT_LOG_USER_NAME_INVALID_CHARACTER",
    0x0c99: "ER_AUDIT_LOG_HOST_NAME_INVALID_CHARACTER",
    0x0c9a: "WARN_DEPRECATED_MAXDB_SQL_MODE_FOR_TIMESTAMP",
    0x0c9b: "ER_XA_REPLICATION_FILTERS",
    0x0dac: "ER_UNSUPPORT_COMPRESSED_TEMPORARY_TABLE",
    0x0dad: "ER_ACL_OPERATION_FAILED",
    0x0dae: "ER_UNSUPPORTED_INDEX_ALGORITHM",
    0x0daf: "ER_NO_SUCH_DB",
    0x0db0: "ER_TOO_BIG_ENUM",
    0x0db1: "ER_TOO_LONG_SET_ENUM_VALUE",
    0x0db2: "ER_INVALID_DD_OBJECT",
    0x0db3: "ER_UPDATING_DD_TABLE",
    0x0db4: "ER_INVALID_DD_OBJECT_ID",
    0x0db5: "ER_INVALID_DD_OBJECT_NAME",
    0x0db6: "ER_TABLESPACE_MISSING_WITH_NAME",
    0x0db7: "ER_TOO_LONG_ROUTINE_COMMENT",
    0x0db8: "ER_SP_LOAD_FAILED",
    0x0db9: "ER_INVALID_BITWISE_OPERANDS_SIZE",
    0x0dba: "ER_INVALID_BITWISE_AGGREGATE_OPERANDS_SIZE",
    0x0dbb: "ER_WARN_UNSUPPORTED_HINT",
    0x0dbc: "ER_UNEXPECTED_GEOMETRY_TYPE",
    0x0dbd: "ER_SRS_PARSE_ERROR",
    0x0dbe: "ER_SRS_PROJ_PARAMETER_MISSING",
    0x0dbf: "ER_WARN_SRS_NOT_FOUND",
    0x0dc0: "ER_SRS_NOT_CARTESIAN",
    0x0dc1: "ER_SRS_NOT_CARTESIAN_UNDEFINED",
    0x0dc2: "ER_PK_INDEX_CANT_BE_INVISIBLE",
    0x0dc3: "ER_UNKNOWN_AUTHID",
    0x0dc4: "ER_FAILED_ROLE_GRANT",
    0x0dc5: "ER_OPEN_ROLE_TABLES",
    0x0dc6: "ER_FAILED_DEFAULT_ROLES",
    0x0dc7: "ER_COMPONENTS_NO_SCHEME",
    0x0dc8: "ER_COMPONENTS_NO_SCHEME_SERVICE",
    0x0dc9: "ER_COMPONENTS_CANT_LOAD",
    0x0dca: "ER_ROLE_NOT_GRANTED",
    0x0dcb: "ER_FAILED_REVOKE_ROLE",
    0x0dcc: "ER_RENAME_ROLE",
    0x0dcd: "ER_COMPONENTS_CANT_ACQUIRE_SERVICE_IMPLEMENTATION",
    0x0dce: "ER_COMPONENTS_CANT_SATISFY_DEPENDENCY",
    0x0dcf: "ER_COMPONENTS_LOAD_CANT_REGISTER_SERVICE_IMPLEMENTATION",
    0x0dd0: "ER_COMPONENTS_LOAD_CANT_INITIALIZE",
    0x0dd1: "ER_COMPONENTS_UNLOAD_NOT_LOADED",
    0x0dd2: "ER_COMPONENTS_UNLOAD_CANT_DEINITIALIZE",
    0x0dd3: "ER_COMPONENTS_CANT_RELEASE_SERVICE",
    0x0dd4: "ER_COMPONENTS_UNLOAD_CANT_UNREGISTER_SERVICE",
    0x0dd5: "ER_COMPONENTS_CANT_UNLOAD",
    0x0dd6: "ER_WARN_UNLOAD_THE_NOT_PERSISTED",
    0x0dd7: "ER_COMPONENT_TABLE_INCORRECT",
    0x0dd8: "ER_COMPONENT_MANIPULATE_ROW_FAILED",
    0x0dd9: "ER_COMPONENTS_UNLOAD_DUPLICATE_IN_GROUP",
    0x0dda: "ER_CANT_SET_GTID_PURGED_DUE_SETS_CONSTRAINTS",
    0x0ddb: "ER_CANNOT_LOCK_USER_MANAGEMENT_CACHES",
    0x0ddc: "ER_SRS_NOT_FOUND",
    0x0ddd: "ER_VARIABLE_NOT_PERSISTED",
    0x0dde: "ER_IS_QUERY_INVALID_CLAUSE",
    0x0ddf: "ER_UNABLE_TO_STORE_STATISTICS",
    0x0de0: "ER_NO_SYSTEM_SCHEMA_ACCESS",
    0x0de1: "ER_NO_SYSTEM_TABLESPACE_ACCESS",
    0x0de2: "ER_NO_SYSTEM_TABLE_ACCESS",
    0x0de3: "ER_NO_SYSTEM_TABLE_ACCESS_FOR_DICTIONARY_TABLE",
    0x0de4: "ER_NO_SYSTEM_TABLE_ACCESS_FOR_SYSTEM_TABLE",
    0x0de5: "ER_NO_SYSTEM_TABLE_ACCESS_FOR_TABLE",
    0x0de6: "ER_INVALID_OPTION_KEY",
    0x0de7: "ER_INVALID_OPTION_VALUE",
    0x0de8: "ER_INVALID_OPTION_KEY_VALUE_PAIR",
    0x0de9: "ER_INVALID_OPTION_START_CHARACTER",
    0x0dea: "ER_INVALID_OPTION_END_CHARACTER",
    0x0deb: "ER_INVALID_OPTION_CHARACTERS",
    0x0dec: "ER_DUPLICATE_OPTION_KEY",
    0x0ded: "ER_WARN_SRS_NOT_FOUND_AXIS_ORDER",
    0x0dee: "ER_NO_ACCESS_TO_NATIVE_FCT",
    0x0def: "ER_RESET_MASTER_TO_VALUE_OUT_OF_RANGE",
    0x0df0: "ER_UNRESOLVED_TABLE_LOCK",
    0x0df1: "ER_DUPLICATE_TABLE_LOCK",
    0x0df2: "ER_BINLOG_UNSAFE_SKIP_LOCKED",
    0x0df3: "ER_BINLOG_UNSAFE_NOWAIT",
    0x0df4: "ER_LOCK_NOWAIT",
    0x0df5: "ER_CTE_RECURSIVE_REQUIRES_UNION",
    0x0df6: "ER_CTE_RECURSIVE_REQUIRES_NONRECURSIVE_FIRST",
    0x0df7: "ER_CTE_RECURSIVE_FORBIDS_AGGREGATION",
    0x0df8: "ER_CTE_RECURSIVE_FORBIDDEN_JOIN_ORDER",
    0x0df9: "ER_CTE_RECURSIVE_REQUIRES_SINGLE_REFERENCE",
    0x0dfa: "ER_SWITCH_TMP_ENGINE",
    0x0dfb: "ER_WINDOW_NO_SUCH_WINDOW",
    0x0dfc: "ER_WINDOW_CIRCULARITY_IN_WINDOW_GRAPH",
    0x0dfd: "ER_WINDOW_NO_CHILD_PARTITIONING",
    0x0dfe: "ER_WINDOW_NO_INHERIT_FRAME",
    0x0dff: "ER_WINDOW_NO_REDEFINE_ORDER_BY",
    0x0e00: "ER_WINDOW_FRAME_START_ILLEGAL",
    0x0e01: "ER_WINDOW_FRAME_END_ILLEGAL",
    0x0e02: "ER_WINDOW_FRAME_ILLEGAL",
    0x0e03: "ER_WINDOW_RANGE_FRAME_ORDER_TYPE",
    0x0e04: "ER_WINDOW_RANGE_FRAME_TEMPORAL_TYPE",
    0x0e05: "ER_WINDOW_RANGE_FRAME_NUMERIC_TYPE",
    0x0e06: "ER_WINDOW_RANGE_BOUND_NOT_CONSTANT",
    0x0e07: "ER_WINDOW_DUPLICATE_NAME",
    0x0e08: "ER_WINDOW_ILLEGAL_ORDER_BY",
    0x0e09: "ER_WINDOW_INVALID_WINDOW_FUNC_USE",
    0x0e0a: "ER_WINDOW_INVALID_WINDOW_FUNC_ALIAS_USE",
    0x0e0b: "ER_WINDOW_NESTED_WINDOW_FUNC_USE_IN_WINDOW_SPEC",
    0x0e0c: "ER_WINDOW_ROWS_INTERVAL_USE",
    0x0e0d: "ER_WINDOW_NO_GROUP_ORDER",
    0x0e0e: "ER_WINDOW_EXPLAIN_JSON",
    0x0e0f: "ER_WINDOW_FUNCTION_IGNORES_FRAME",
    0x0e10: "ER_WL9236_NOW_UNUSED",
    0x0e11: "ER_INVALID_NO_OF_ARGS",
    0x0e12: "ER_FIELD_IN_GROUPING_NOT_GROUP_BY",
    0x0e13: "ER_TOO_LONG_TABLESPACE_COMMENT",
    0x0e14: "ER_ENGINE_CANT_DROP_TABLE",
    0x0e15: "ER_ENGINE_CANT_DROP_MISSING_TABLE",
    0x0e16: "ER_TABLESPACE_DUP_FILENAME",
    0x0e17: "ER_DB_DROP_RMDIR2",
    0x0e18: "ER_IMP_NO_FILES_MATCHED",
    0x0e19: "ER_IMP_SCHEMA_DOES_NOT_EXIST",
    0x0e1a: "ER_IMP_TABLE_ALREADY_EXISTS",
    0x0e1b: "ER_IMP_INCOMPATIBLE_MYSQLD_VERSION",
    0x0e1c: "ER_IMP_INCOMPATIBLE_DD_VERSION",
    0x0e1d: "ER_IMP_INCOMPATIBLE_SDI_VERSION",
    0x0e1e: "ER_WARN_INVALID_HINT",
    0x0e1f: "ER_VAR_DOES_NOT_EXIST",
    0x0e20: "ER_LONGITUDE_OUT_OF_RANGE",
    0x0e21: "ER_LATITUDE_OUT_OF_RANGE",
    0x0e22: "ER_NOT_IMPLEMENTED_FOR_GEOGRAPHIC_SRS",
    0x0e23: "ER_ILLEGAL_PRIVILEGE_LEVEL",
    0x0e24: "ER_NO_SYSTEM_VIEW_ACCESS",
    0x0e25: "ER_COMPONENT_FILTER_FLABBERGASTED",
    0x0e26: "ER_PART_EXPR_TOO_LONG",
    0x0e27: "ER_UDF_DROP_DYNAMICALLY_REGISTERED",
    0x0e28: "ER_UNABLE_TO_STORE_COLUMN_STATISTICS",
    0x0e29: "ER_UNABLE_TO_UPDATE_COLUMN_STATISTICS",
    0x0e2a: "ER_UNABLE_TO_DROP_COLUMN_STATISTICS",
    0x0e2b: "ER_UNABLE_TO_BUILD_HISTOGRAM",
    0x0e2c: "ER_MANDATORY_ROLE",
    0x0e2d: "ER_MISSING_TABLESPACE_FILE",
    0x0e2e: "ER_PERSIST_ONLY_ACCESS_DENIED_ERROR",
    0x0e2f: "ER_CMD_NEED_SUPER",
    0x0e30: "ER_PATH_IN_DATADIR",
    0x0e31: "ER_DDL_IN_PROGRESS",
    0x0e32: "ER_TOO_MANY_CONCURRENT_CLONES",
    0x0e33: "ER_APPLIER_LOG_EVENT_VALIDATION_ERROR",
    0x0e34: "ER_CTE_MAX_RECURSION_DEPTH",
    0x0e35: "ER_NOT_HINT_UPDATABLE_VARIABLE",
    0x0e36: "ER_CREDENTIALS_CONTRADICT_TO_HISTORY",
    0x0e37: "ER_WARNING_PASSWORD_HISTORY_CLAUSES_VOID",
    0x0e38: "ER_CLIENT_DOES_NOT_SUPPORT",
    0x0e39: "ER_I_S_SKIPPED_TABLESPACE",
    0x0e3a: "ER_TABLESPACE_ENGINE_MISMATCH",
    0x0e3b: "ER_WRONG_SRID_FOR_COLUMN",
    0x0e3c: "ER_CANNOT_ALTER_SRID_DUE_TO_INDEX",
    0x0e3d: "ER_WARN_BINLOG_PARTIAL_UPDATES_DISABLED",
    0x0e3e: "ER_WARN_BINLOG_V1_ROW_EVENTS_DISABLED",
    0x0e3f: "ER_WARN_BINLOG_PARTIAL_UPDATES_SUGGESTS_PARTIAL_IMAGES",
    0x0e40: "ER_COULD_NOT_APPLY_JSON_DIFF",
    0x0e41: "ER_CORRUPTED_JSON_DIFF",
    0x0e42: "ER_RESOURCE_GROUP_EXISTS",
    0x0e43: "ER_RESOURCE_GROUP_NOT_EXISTS",
    0x0e44: "ER_INVALID_VCPU_ID",
    0x0e45: "ER_INVALID_VCPU_RANGE",
    0x0e46: "ER_INVALID_THREAD_PRIORITY",
    0x0e47: "ER_DISALLOWED_OPERATION",
    0x0e48: "ER_RESOURCE_GROUP_BUSY",
    0x0e49: "ER_RESOURCE_GROUP_DISABLED",
    0x0e4a: "ER_FEATURE_UNSUPPORTED",
    0x0e4b: "ER_ATTRIBUTE_IGNORED",
    0x0e4c: "ER_INVALID_THREAD_ID",
    0x0e4d: "ER_RESOURCE_GROUP_BIND_FAILED",
    0x0e4e: "ER_INVALID_USE_OF_FORCE_OPTION",
    0x0e4f: "ER_GROUP_REPLICATION_COMMAND_FAILURE",
    0x0e50: "ER_SDI_OPERATION_FAILED",
    0x0e51: "ER_MISSING_JSON_TABLE_VALUE",
    0x0e52: "ER_WRONG_JSON_TABLE_VALUE",
    0x0e53: "ER_TF_MUST_HAVE_ALIAS",
    0x0e54: "ER_TF_FORBIDDEN_JOIN_TYPE",
    0x0e55: "ER_JT_VALUE_OUT_OF_RANGE",
    0x0e56: "ER_JT_MAX_NESTED_PATH",
    0x0e57: "ER_PASSWORD_EXPIRATION_NOT_SUPPORTED_BY_AUTH_METHOD",
    0x0e58: "ER_INVALID_GEOJSON_CRS_NOT_TOP_LEVEL",
    0x0e59: "ER_BAD_NULL_ERROR_NOT_IGNORED",
    0x0e5a: "WARN_USELESS_SPATIAL_INDEX",
    0x0e5b: "ER_DISK_FULL_NOWAIT",
    0x0e5c: "ER_PARSE_ERROR_IN_DIGEST_FN",
    0x0e5d: "ER_UNDISCLOSED_PARSE_ERROR_IN_DIGEST_FN",
    0x0e5e: "ER_SCHEMA_DIR_EXISTS",
    0x0e5f: "ER_SCHEMA_DIR_MISSING",
    0x0e60: "ER_SCHEMA_DIR_CREATE_FAILED",
    0x0e61: "ER_SCHEMA_DIR_UNKNOWN",
    0x0e62: "ER_ONLY_IMPLEMENTED_FOR_SRID_0_AND_4326",
    0x0e63: "ER_BINLOG_EXPIRE_LOG_DAYS_AND_SECS_USED_TOGETHER",
    0x0e64: "ER_REGEXP_BUFFER_OVERFLOW",
    0x0e65: "ER_REGEXP_ILLEGAL_ARGUMENT",
    0x0e66: "ER_REGEXP_INDEX_OUTOFBOUNDS_ERROR",
    0x0e67: "ER_REGEXP_INTERNAL_ERROR",
    0x0e68: "ER_REGEXP_RULE_SYNTAX",
    0x0e69: "ER_REGEXP_BAD_ESCAPE_SEQUENCE",
    0x0e6a: "ER_REGEXP_UNIMPLEMENTED",
    0x0e6b: "ER_REGEXP_MISMATCHED_PAREN",
    0x0e6c: "ER_REGEXP_BAD_INTERVAL",
    0x0e6d: "ER_REGEXP_MAX_LT_MIN",
    0x0e6e: "ER_REGEXP_INVALID_BACK_REF",
    0x0e6f: "ER_REGEXP_LOOK_BEHIND_LIMIT",
    0x0e70: "ER_REGEXP_MISSING_CLOSE_BRACKET",
    0x0e71: "ER_REGEXP_INVALID_RANGE",
    0x0e72: "ER_REGEXP_STACK_OVERFLOW",
    0x0e73: "ER_REGEXP_TIME_OUT",
    0x0e74: "ER_REGEXP_PATTERN_TOO_BIG",
    0x0e75: "ER_CANT_SET_ERROR_LOG_SERVICE",
    0x0e76: "ER_EMPTY_PIPELINE_FOR_ERROR_LOG_SERVICE",
    0x0e77: "ER_COMPONENT_FILTER_DIAGNOSTICS",
    0x0e78: "ER_NOT_IMPLEMENTED_FOR_CARTESIAN_SRS",
    0x0e79: "ER_NOT_IMPLEMENTED_FOR_PROJECTED_SRS",
    0x0e7a: "ER_NONPOSITIVE_RADIUS",
    0x0e7b: "ER_RESTART_SERVER_FAILED",
    0x0e7c: "ER_SRS_MISSING_MANDATORY_ATTRIBUTE",
    0x0e7d: "ER_SRS_MULTIPLE_ATTRIBUTE_DEFINITIONS",
    0x0e7e: "ER_SRS_NAME_CANT_BE_EMPTY_OR_WHITESPACE",
    0x0e7f: "ER_SRS_ORGANIZATION_CANT_BE_EMPTY_OR_WHITESPACE",
    0x0e80: "ER_SRS_ID_ALREADY_EXISTS",
    0x0e81: "ER_WARN_SRS_ID_ALREADY_EXISTS",
    0x0e82: "ER_CANT_MODIFY_SRID_0",
    0x0e83: "ER_WARN_RESERVED_SRID_RANGE",
    0x0e84: "ER_CANT_MODIFY_SRS_USED_BY_COLUMN",
    0x0e85: "ER_SRS_INVALID_CHARACTER_IN_ATTRIBUTE",
    0x0e86: "ER_SRS_ATTRIBUTE_STRING_TOO_LONG",
    0x0e87: "ER_DEPRECATED_UTF8_ALIAS",
    0x0e88: "ER_DEPRECATED_NATIONAL",
    0x0e89: "ER_INVALID_DEFAULT_UTF8MB4_COLLATION",
    0x0e8a: "ER_UNABLE_TO_COLLECT_LOG_STATUS",
    0x0e8b: "ER_RESERVED_TABLESPACE_NAME",
    0x0e8c: "ER_UNABLE_TO_SET_OPTION",
    0x0e8d: "ER_SLAVE_POSSIBLY_DIVERGED_AFTER_DDL",
    0x0e8e: "ER_SRS_NOT_GEOGRAPHIC",
    0x0e8f: "ER_POLYGON_TOO_LARGE",
    0x0e90: "ER_SPATIAL_UNIQUE_INDEX",
    0x0e91: "ER_INDEX_TYPE_NOT_SUPPORTED_FOR_SPATIAL_INDEX",
    0x0e92: "ER_FK_CANNOT_DROP_PARENT",
    0x0e93: "ER_GEOMETRY_PARAM_LONGITUDE_OUT_OF_RANGE",
    0x0e94: "ER_GEOMETRY_PARAM_LATITUDE_OUT_OF_RANGE",
    0x0e95: "ER_FK_CANNOT_USE_VIRTUAL_COLUMN",
    0x0e96: "ER_FK_NO_COLUMN_PARENT",
    0x0f61: "ER_AUTHCACHE_ROLE_TABLES_DODGY",
    0x11e0: "ER_DISK_FULL",
    0x2710: "ER_PARSER_TRACE",
    0x2711: "ER_BOOTSTRAP_CANT_THREAD",
    0x2712: "ER_TRIGGER_INVALID_VALUE",
    0x2713: "ER_OPT_WRONG_TREE",
    0x2714: "ER_DD_FAILSAFE",
    0x2715: "ER_DD_NO_WRITES_NO_REPOPULATION",
    0x2716: "ER_DD_VERSION_FOUND",
    0x2717: "ER_DD_VERSION_INSTALLED",
    0x2718: "ER_DD_VERSION_UNSUPPORTED",
    0x2719: "ER_LOG_SYSLOG_FACILITY_FAIL",
    0x271a: "ER_LOG_SYSLOG_CANNOT_OPEN",
    0x271b: "ER_LOG_SLOW_CANNOT_OPEN",
    0x271c: "ER_LOG_GENERAL_CANNOT_OPEN",
    0x271d: "ER_LOG_CANNOT_WRITE",
    0x271e: "ER_RPL_ZOMBIE_ENCOUNTERED",
    0x271f: "ER_RPL_GTID_TABLE_CANNOT_OPEN",
    0x2720: "ER_SYSTEM_SCHEMA_NOT_FOUND",
    0x2721: "ER_DD_INIT_UPGRADE_FAILED",
    0x2722: "ER_VIEW_UNKNOWN_CHARSET_OR_COLLATION",
    0x2723: "ER_DD_VIEW_CANT_ALLOC_CHARSET",
    0x2724: "ER_DD_INIT_FAILED",
    0x2725: "ER_DD_UPDATING_PLUGIN_MD_FAILED",
    0x2726: "ER_DD_POPULATING_TABLES_FAILED",
    0x2727: "ER_DD_VIEW_CANT_CREATE",
    0x2728: "ER_DD_METADATA_NOT_FOUND",
    0x2729: "ER_DD_CACHE_NOT_EMPTY_AT_SHUTDOWN",
    0x272a: "ER_DD_OBJECT_REMAINS",
    0x272b: "ER_DD_OBJECT_REMAINS_IN_RELEASER",
    0x272c: "ER_DD_OBJECT_RELEASER_REMAINS",
    0x272d: "ER_DD_CANT_GET_OBJECT_KEY",
    0x272e: "ER_DD_CANT_CREATE_OBJECT_KEY",
    0x272f: "ER_CANT_CREATE_HANDLE_MGR_THREAD",
    0x2730: "ER_RPL_REPO_HAS_GAPS",
    0x2731: "ER_INVALID_VALUE_FOR_ENFORCE_GTID_CONSISTENCY",
    0x2732: "ER_CHANGED_ENFORCE_GTID_CONSISTENCY",
    0x2733: "ER_CHANGED_GTID_MODE",
    0x2734: "ER_DISABLED_STORAGE_ENGINE_AS_DEFAULT",
    0x2735: "ER_DEBUG_SYNC_HIT",
    0x2736: "ER_DEBUG_SYNC_EXECUTED",
    0x2737: "ER_DEBUG_SYNC_THREAD_MAX",
    0x2738: "ER_DEBUG_SYNC_OOM",
    0x2739: "ER_CANT_INIT_TC_LOG",
    0x273a: "ER_EVENT_CANT_INIT_QUEUE",
    0x273b: "ER_EVENT_PURGING_QUEUE",
    0x273c: "ER_EVENT_LAST_EXECUTION",
    0x273d: "ER_EVENT_MESSAGE_STACK",
    0x273e: "ER_EVENT_EXECUTION_FAILED",
    0x273f: "ER_CANT_INIT_SCHEDULER_THREAD",
    0x2740: "ER_SCHEDULER_STOPPED",
    0x2741: "ER_CANT_CREATE_SCHEDULER_THREAD",
    0x2742: "ER_SCHEDULER_WAITING",
    0x2743: "ER_SCHEDULER_STARTED",
    0x2744: "ER_SCHEDULER_STOPPING_FAILED_TO_GET_EVENT",
    0x2745: "ER_SCHEDULER_STOPPING_FAILED_TO_CREATE_WORKER",
    0x2746: "ER_SCHEDULER_KILLING",
    0x2747: "ER_UNABLE_TO_RESOLVE_IP",
    0x2748: "ER_UNABLE_TO_RESOLVE_HOSTNAME",
    0x2749: "ER_HOSTNAME_RESEMBLES_IPV4",
    0x274a: "ER_HOSTNAME_DOESNT_RESOLVE_TO",
    0x274b: "ER_ADDRESSES_FOR_HOSTNAME_HEADER",
    0x274c: "ER_ADDRESSES_FOR_HOSTNAME_LIST_ITEM",
    0x274d: "ER_TRG_WITHOUT_DEFINER",
    0x274e: "ER_TRG_NO_CLIENT_CHARSET",
    0x274f: "ER_PARSING_VIEW",
    0x2750: "ER_COMPONENTS_INFRASTRUCTURE_BOOTSTRAP",
    0x2751: "ER_COMPONENTS_INFRASTRUCTURE_SHUTDOWN",
    0x2752: "ER_COMPONENTS_PERSIST_LOADER_BOOTSTRAP",
    0x2753: "ER_DEPART_WITH_GRACE",
    0x2754: "ER_CA_SELF_SIGNED",
    0x2755: "ER_SSL_LIBRARY_ERROR",
    0x2756: "ER_NO_THD_NO_UUID",
    0x2757: "ER_UUID_SALT",
    0x2758: "ER_UUID_IS",
    0x2759: "ER_UUID_INVALID",
    0x275a: "ER_UUID_SCRUB",
    0x275b: "ER_CREATING_NEW_UUID",
    0x275c: "ER_CANT_CREATE_UUID",
    0x275d: "ER_UNKNOWN_UNSUPPORTED_STORAGE_ENGINE",
    0x275e: "ER_SECURE_AUTH_VALUE_UNSUPPORTED",
    0x275f: "ER_INVALID_INSTRUMENT",
    0x2760: "ER_INNODB_MANDATORY",
    0x2762: "ER_OLD_PASSWORDS_NO_MIDDLE_GROUND",
    0x2763: "ER_VERBOSE_REQUIRES_HELP",
    0x2764: "ER_POINTLESS_WITHOUT_SLOWLOG",
    0x2765: "ER_WASTEFUL_NET_BUFFER_SIZE",
    0x2766: "ER_DEPRECATED_TIMESTAMP_IMPLICIT_DEFAULTS",
    0x2767: "ER_FT_BOOL_SYNTAX_INVALID",
    0x2768: "ER_CREDENTIALLESS_AUTO_USER_BAD",
    0x2769: "ER_CONNECTION_HANDLING_OOM",
    0x276a: "ER_THREAD_HANDLING_OOM",
    0x276b: "ER_CANT_CREATE_TEST_FILE",
    0x276c: "ER_CANT_CREATE_PID_FILE",
    0x276d: "ER_CANT_REMOVE_PID_FILE",
    0x276e: "ER_CANT_CREATE_SHUTDOWN_THREAD",
    0x276f: "ER_SEC_FILE_PRIV_CANT_ACCESS_DIR",
    0x2770: "ER_SEC_FILE_PRIV_IGNORED",
    0x2771: "ER_SEC_FILE_PRIV_EMPTY",
    0x2772: "ER_SEC_FILE_PRIV_NULL",
    0x2773: "ER_SEC_FILE_PRIV_DIRECTORY_INSECURE",
    0x2774: "ER_SEC_FILE_PRIV_CANT_STAT",
    0x2775: "ER_SEC_FILE_PRIV_DIRECTORY_PERMISSIONS",
    0x2776: "ER_SEC_FILE_PRIV_ARGUMENT_TOO_LONG",
    0x2777: "ER_CANT_CREATE_NAMED_PIPES_THREAD",
    0x2778: "ER_CANT_CREATE_TCPIP_THREAD",
    0x2779: "ER_CANT_CREATE_SHM_THREAD",
    0x277a: "ER_CANT_CREATE_INTERRUPT_THREAD",
    0x277b: "ER_WRITABLE_CONFIG_REMOVED",
    0x277c: "ER_CORE_VALUES",
    0x277d: "ER_WRONG_DATETIME_SPEC",
    0x277e: "ER_RPL_BINLOG_FILTERS_OOM",
    0x277f: "ER_KEYCACHE_OOM",
    0x2780: "ER_CONFIRMING_THE_FUTURE",
    0x2781: "ER_BACK_IN_TIME",
    0x2782: "ER_FUTURE_DATE",
    0x2783: "ER_UNSUPPORTED_DATE",
    0x2784: "ER_STARTING_AS",
    0x2785: "ER_SHUTTING_DOWN_SLAVE_THREADS",
    0x2786: "ER_DISCONNECTING_REMAINING_CLIENTS",
    0x2787: "ER_ABORTING",
    0x2788: "ER_BINLOG_END",
    0x2789: "ER_CALL_ME_LOCALHOST",
    0x278a: "ER_USER_REQUIRES_ROOT",
    0x278b: "ER_REALLY_RUN_AS_ROOT",
    0x278c: "ER_USER_WHAT_USER",
    0x278d: "ER_TRANSPORTS_WHAT_TRANSPORTS",
    0x278e: "ER_FAIL_SETGID",
    0x278f: "ER_FAIL_SETUID",
    0x2790: "ER_FAIL_SETREGID",
    0x2791: "ER_FAIL_SETREUID",
    0x2792: "ER_FAIL_CHROOT",
    0x2793: "ER_WIN_LISTEN_BUT_HOW",
    0x2794: "ER_NOT_RIGHT_NOW",
    0x2795: "ER_FIXING_CLIENT_CHARSET",
    0x2796: "ER_OOM",
    0x2797: "ER_FAILED_TO_LOCK_MEM",
    0x2798: "ER_MYINIT_FAILED",
    0x2799: "ER_BEG_INITFILE",
    0x279a: "ER_END_INITFILE",
    0x279b: "ER_CHANGED_MAX_OPEN_FILES",
    0x279c: "ER_CANT_INCREASE_MAX_OPEN_FILES",
    0x279d: "ER_CHANGED_MAX_CONNECTIONS",
    0x279e: "ER_CHANGED_TABLE_OPEN_CACHE",
    0x279f: "ER_THE_USER_ABIDES",
    0x27a0: "ER_RPL_CANT_ADD_DO_TABLE",
    0x27a1: "ER_RPL_CANT_ADD_IGNORE_TABLE",
    0x27a2: "ER_TRACK_VARIABLES_BOGUS",
    0x27a3: "ER_EXCESS_ARGUMENTS",
    0x27a4: "ER_VERBOSE_HINT",
    0x27a5: "ER_CANT_READ_ERRMSGS",
    0x27a6: "ER_CANT_INIT_DBS",
    0x27a7: "ER_LOG_OUTPUT_CONTRADICTORY",
    0x27a8: "ER_NO_CSV_NO_LOG_TABLES",
    0x27a9: "ER_RPL_REWRITEDB_MISSING_ARROW",
    0x27aa: "ER_RPL_REWRITEDB_EMPTY_FROM",
    0x27ab: "ER_RPL_REWRITEDB_EMPTY_TO",
    0x27ac: "ER_LOG_FILES_GIVEN_LOG_OUTPUT_IS_TABLE",
    0x27ad: "ER_LOG_FILE_INVALID",
    0x27ae: "ER_LOWER_CASE_TABLE_NAMES_CS_DD_ON_CI_FS_UNSUPPORTED",
    0x27af: "ER_LOWER_CASE_TABLE_NAMES_USING_2",
    0x27b0: "ER_LOWER_CASE_TABLE_NAMES_USING_0",
    0x27b1: "ER_NEED_LOG_BIN",
    0x27b2: "ER_NEED_FILE_INSTEAD_OF_DIR",
    0x27b3: "ER_LOG_BIN_BETTER_WITH_NAME",
    0x27b4: "ER_BINLOG_NEEDS_SERVERID",
    0x27b5: "ER_RPL_CANT_MAKE_PATHS",
    0x27b6: "ER_CANT_INITIALIZE_GTID",
    0x27b7: "ER_CANT_INITIALIZE_EARLY_PLUGINS",
    0x27b8: "ER_CANT_INITIALIZE_BUILTIN_PLUGINS",
    0x27b9: "ER_CANT_INITIALIZE_DYNAMIC_PLUGINS",
    0x27ba: "ER_PERFSCHEMA_INIT_FAILED",
    0x27bb: "ER_STACKSIZE_UNEXPECTED",
    0x27bc: "ER_CANT_SET_DATADIR",
    0x27bd: "ER_CANT_STAT_DATADIR",
    0x27be: "ER_CANT_CHOWN_DATADIR",
    0x27bf: "ER_CANT_SET_UP_PERSISTED_VALUES",
    0x27c0: "ER_CANT_SAVE_GTIDS",
    0x27c1: "ER_AUTH_CANT_SET_DEFAULT_PLUGIN",
    0x27c2: "ER_CANT_JOIN_SHUTDOWN_THREAD",
    0x27c3: "ER_CANT_HASH_DO_AND_IGNORE_RULES",
    0x27c4: "ER_CANT_OPEN_CA",
    0x27c5: "ER_CANT_ACCESS_CAPATH",
    0x27c6: "ER_SSL_TRYING_DATADIR_DEFAULTS",
    0x27c7: "ER_AUTO_OPTIONS_FAILED",
    0x27c8: "ER_CANT_INIT_TIMER",
    0x27c9: "ER_SERVERID_TOO_LARGE",
    0x27ca: "ER_DEFAULT_SE_UNAVAILABLE",
    0x27cb: "ER_CANT_OPEN_ERROR_LOG",
    0x27cc: "ER_INVALID_ERROR_LOG_NAME",
    0x27cd: "ER_RPL_INFINITY_DENIED",
    0x27ce: "ER_RPL_INFINITY_IGNORED",
    0x27cf: "ER_NDB_TABLES_NOT_READY",
    0x27d0: "ER_TABLE_CHECK_INTACT",
    0x27d1: "ER_DD_TABLESPACE_NOT_FOUND",
    0x27d2: "ER_DD_TRG_CONNECTION_COLLATION_MISSING",
    0x27d3: "ER_DD_TRG_DB_COLLATION_MISSING",
    0x27d4: "ER_DD_TRG_DEFINER_OOM",
    0x27d5: "ER_DD_TRG_FILE_UNREADABLE",
    0x27d6: "ER_TRG_CANT_PARSE",
    0x27d7: "ER_DD_TRG_CANT_ADD",
    0x27d8: "ER_DD_CANT_RESOLVE_VIEW",
    0x27d9: "ER_DD_VIEW_WITHOUT_DEFINER",
    0x27da: "ER_PLUGIN_INIT_FAILED",
    0x27db: "ER_RPL_TRX_DELEGATES_INIT_FAILED",
    0x27dc: "ER_RPL_BINLOG_STORAGE_DELEGATES_INIT_FAILED",
    0x27dd: "ER_RPL_BINLOG_TRANSMIT_DELEGATES_INIT_FAILED",
    0x27de: "ER_RPL_BINLOG_RELAY_DELEGATES_INIT_FAILED",
    0x27df: "ER_RPL_PLUGIN_FUNCTION_FAILED",
    0x27e0: "ER_SQL_HA_READ_FAILED",
    0x27e1: "ER_SR_BOGUS_VALUE",
    0x27e2: "ER_SR_INVALID_CONTEXT",
    0x27e3: "ER_READING_TABLE_FAILED",
    0x27e4: "ER_DES_FILE_WRONG_KEY",
    0x27e5: "ER_CANT_SET_PERSISTED",
    0x27e6: "ER_JSON_PARSE_ERROR",
    0x27e7: "ER_CONFIG_OPTION_WITHOUT_GROUP",
    0x27e8: "ER_VALGRIND_DO_QUICK_LEAK_CHECK",
    0x27e9: "ER_VALGRIND_COUNT_LEAKS",
    0x27ea: "ER_LOAD_DATA_INFILE_FAILED_IN_UNEXPECTED_WAY",
    0x27eb: "ER_UNKNOWN_ERROR_NUMBER",
    0x27ec: "ER_UDF_CANT_ALLOC_FOR_STRUCTURES",
    0x27ed: "ER_UDF_CANT_ALLOC_FOR_FUNCTION",
    0x27ee: "ER_UDF_INVALID_ROW_IN_FUNCTION_TABLE",
    0x27ef: "ER_UDF_CANT_OPEN_FUNCTION_TABLE",
    0x27f0: "ER_XA_RECOVER_FOUND_TRX_IN_SE",
    0x27f1: "ER_XA_RECOVER_FOUND_XA_TRX",
    0x27f2: "ER_XA_IGNORING_XID",
    0x27f3: "ER_XA_COMMITTING_XID",
    0x27f4: "ER_XA_ROLLING_BACK_XID",
    0x27f5: "ER_XA_STARTING_RECOVERY",
    0x27f6: "ER_XA_NO_MULTI_2PC_HEURISTIC_RECOVER",
    0x27f7: "ER_XA_RECOVER_EXPLANATION",
    0x27f8: "ER_XA_RECOVERY_DONE",
    0x27f9: "ER_TRX_GTID_COLLECT_REJECT",
    0x27fa: "ER_SQL_AUTHOR_DEFAULT_ROLES_FAIL",
    0x27fb: "ER_SQL_USER_TABLE_CREATE_WARNING",
    0x27fc: "ER_SQL_USER_TABLE_ALTER_WARNING",
    0x27fd: "ER_ROW_IN_WRONG_PARTITION_PLEASE_REPAIR",
    0x27fe: "ER_MYISAM_CRASHED_ERROR_IN_THREAD",
    0x27ff: "ER_MYISAM_CRASHED_ERROR_IN",
    0x2800: "ER_TOO_MANY_STORAGE_ENGINES",
    0x2801: "ER_SE_TYPECODE_CONFLICT",
    0x2802: "ER_TRX_WRITE_SET_OOM",
    0x2803: "ER_HANDLERTON_OOM",
    0x2804: "ER_CONN_SHM_LISTENER",
    0x2805: "ER_CONN_SHM_CANT_CREATE_SERVICE",
    0x2806: "ER_CONN_SHM_CANT_CREATE_CONNECTION",
    0x2807: "ER_CONN_PIP_CANT_CREATE_EVENT",
    0x2808: "ER_CONN_PIP_CANT_CREATE_PIPE",
    0x2809: "ER_CONN_PER_THREAD_NO_THREAD",
    0x280a: "ER_CONN_TCP_NO_SOCKET",
    0x280b: "ER_CONN_TCP_CREATED",
    0x280c: "ER_CONN_TCP_ADDRESS",
    0x280d: "ER_CONN_TCP_IPV6_AVAILABLE",
    0x280e: "ER_CONN_TCP_IPV6_UNAVAILABLE",
    0x280f: "ER_CONN_TCP_ERROR_WITH_STRERROR",
    0x2810: "ER_CONN_TCP_CANT_RESOLVE_HOSTNAME",
    0x2811: "ER_CONN_TCP_IS_THERE_ANOTHER_USING_PORT",
    0x2812: "ER_CONN_UNIX_IS_THERE_ANOTHER_USING_SOCKET",
    0x2813: "ER_CONN_UNIX_PID_CLAIMED_SOCKET_FILE",
    0x2814: "ER_CONN_TCP_CANT_RESET_V6ONLY",
    0x2815: "ER_CONN_TCP_BIND_RETRY",
    0x2816: "ER_CONN_TCP_BIND_FAIL",
    0x2817: "ER_CONN_TCP_IP_NOT_LOGGED",
    0x2818: "ER_CONN_TCP_RESOLVE_INFO",
    0x2819: "ER_CONN_TCP_START_FAIL",
    0x281a: "ER_CONN_TCP_LISTEN_FAIL",
    0x281b: "ER_CONN_UNIX_PATH_TOO_LONG",
    0x281c: "ER_CONN_UNIX_LOCK_FILE_FAIL",
    0x281d: "ER_CONN_UNIX_NO_FD",
    0x281e: "ER_CONN_UNIX_NO_BIND_NO_START",
    0x281f: "ER_CONN_UNIX_LISTEN_FAILED",
    0x2820: "ER_CONN_UNIX_LOCK_FILE_GIVING_UP",
    0x2821: "ER_CONN_UNIX_LOCK_FILE_CANT_CREATE",
    0x2822: "ER_CONN_UNIX_LOCK_FILE_CANT_OPEN",
    0x2823: "ER_CONN_UNIX_LOCK_FILE_CANT_READ",
    0x2824: "ER_CONN_UNIX_LOCK_FILE_EMPTY",
    0x2825: "ER_CONN_UNIX_LOCK_FILE_PIDLESS",
    0x2826: "ER_CONN_UNIX_LOCK_FILE_CANT_WRITE",
    0x2827: "ER_CONN_UNIX_LOCK_FILE_CANT_DELETE",
    0x2828: "ER_CONN_UNIX_LOCK_FILE_CANT_SYNC",
    0x2829: "ER_CONN_UNIX_LOCK_FILE_CANT_CLOSE",
    0x282a: "ER_CONN_SOCKET_SELECT_FAILED",
    0x282b: "ER_CONN_SOCKET_ACCEPT_FAILED",
    0x282c: "ER_AUTH_RSA_CANT_FIND",
    0x282d: "ER_AUTH_RSA_CANT_PARSE",
    0x282e: "ER_AUTH_RSA_CANT_READ",
    0x282f: "ER_AUTH_RSA_FILES_NOT_FOUND",
    0x2830: "ER_CONN_ATTR_TRUNCATED",
    0x2831: "ER_X509_CIPHERS_MISMATCH",
    0x2832: "ER_X509_ISSUER_MISMATCH",
    0x2833: "ER_X509_SUBJECT_MISMATCH",
    0x2834: "ER_AUTH_CANT_ACTIVATE_ROLE",
    0x2835: "ER_X509_NEEDS_RSA_PRIVKEY",
    0x2836: "ER_X509_CANT_WRITE_KEY",
    0x2837: "ER_X509_CANT_CHMOD_KEY",
    0x2838: "ER_X509_CANT_READ_CA_KEY",
    0x2839: "ER_X509_CANT_READ_CA_CERT",
    0x283a: "ER_X509_CANT_CREATE_CERT",
    0x283b: "ER_X509_CANT_WRITE_CERT",
    0x283c: "ER_AUTH_CANT_CREATE_RSA_PAIR",
    0x283d: "ER_AUTH_CANT_WRITE_PRIVKEY",
    0x283e: "ER_AUTH_CANT_WRITE_PUBKEY",
    0x283f: "ER_AUTH_SSL_CONF_PREVENTS_CERT_GENERATION",
    0x2840: "ER_AUTH_USING_EXISTING_CERTS",
    0x2841: "ER_AUTH_CERTS_SAVED_TO_DATADIR",
    0x2842: "ER_AUTH_CERT_GENERATION_DISABLED",
    0x2843: "ER_AUTH_RSA_CONF_PREVENTS_KEY_GENERATION",
    0x2844: "ER_AUTH_KEY_GENERATION_SKIPPED_PAIR_PRESENT",
    0x2845: "ER_AUTH_KEYS_SAVED_TO_DATADIR",
    0x2846: "ER_AUTH_KEY_GENERATION_DISABLED",
    0x2847: "ER_AUTHCACHE_PROXIES_PRIV_SKIPPED_NEEDS_RESOLVE",
    0x2848: "ER_AUTHCACHE_PLUGIN_MISSING",
    0x2849: "ER_AUTHCACHE_PLUGIN_CONFIG",
    0x284b: "ER_AUTHCACHE_USER_SKIPPED_NEEDS_RESOLVE",
    0x284c: "ER_AUTHCACHE_USER_TABLE_DODGY",
    0x284d: "ER_AUTHCACHE_USER_IGNORED_DEPRECATED_PASSWORD",
    0x284e: "ER_AUTHCACHE_USER_IGNORED_NEEDS_PLUGIN",
    0x284f: "ER_AUTHCACHE_USER_IGNORED_INVALID_PASSWORD",
    0x2850: "ER_AUTHCACHE_EXPIRED_PASSWORD_UNSUPPORTED",
    0x2851: "ER_NO_SUPER_WITHOUT_USER_PLUGIN",
    0x2852: "ER_AUTHCACHE_DB_IGNORED_EMPTY_NAME",
    0x2853: "ER_AUTHCACHE_DB_SKIPPED_NEEDS_RESOLVE",
    0x2854: "ER_AUTHCACHE_DB_ENTRY_LOWERCASED_REVOKE_WILL_FAIL",
    0x2855: "ER_AUTHCACHE_TABLE_PROXIES_PRIV_MISSING",
    0x2856: "ER_AUTHCACHE_CANT_OPEN_AND_LOCK_PRIVILEGE_TABLES",
    0x2857: "ER_AUTHCACHE_CANT_INIT_GRANT_SUBSYSTEM",
    0x2858: "ER_AUTHCACHE_PROCS_PRIV_SKIPPED_NEEDS_RESOLVE",
    0x2859: "ER_AUTHCACHE_PROCS_PRIV_ENTRY_IGNORED_BAD_ROUTINE_TYPE",
    0x285a: "ER_AUTHCACHE_TABLES_PRIV_SKIPPED_NEEDS_RESOLVE",
    0x285b: "ER_USER_NOT_IN_EXTRA_USERS_BINLOG_POSSIBLY_INCOMPLETE",
    0x285c: "ER_DD_SCHEMA_NOT_FOUND",
    0x285d: "ER_DD_TABLE_NOT_FOUND",
    0x285e: "ER_DD_SE_INIT_FAILED",
    0x285f: "ER_DD_ABORTING_PARTIAL_UPGRADE",
    0x2860: "ER_DD_FRM_EXISTS_FOR_TABLE",
    0x2861: "ER_DD_CREATED_FOR_UPGRADE",
    0x2862: "ER_ERRMSG_CANT_FIND_FILE",
    0x2863: "ER_ERRMSG_LOADING_55_STYLE",
    0x2864: "ER_ERRMSG_MISSING_IN_FILE",
    0x2865: "ER_ERRMSG_OOM",
    0x2866: "ER_ERRMSG_CANT_READ",
    0x2867: "ER_TABLE_INCOMPATIBLE_DECIMAL_FIELD",
    0x2868: "ER_TABLE_INCOMPATIBLE_YEAR_FIELD",
    0x2869: "ER_INVALID_CHARSET_AND_DEFAULT_IS_MB",
    0x286a: "ER_TABLE_WRONG_KEY_DEFINITION",
    0x286b: "ER_CANT_OPEN_FRM_FILE",
    0x286c: "ER_CANT_READ_FRM_FILE",
    0x286d: "ER_TABLE_CREATED_WITH_DIFFERENT_VERSION",
    0x286e: "ER_VIEW_UNPARSABLE",
    0x286f: "ER_FILE_TYPE_UNKNOWN",
    0x2870: "ER_INVALID_INFO_IN_FRM",
    0x2871: "ER_CANT_OPEN_AND_LOCK_PRIVILEGE_TABLES",
    0x2872: "ER_AUDIT_PLUGIN_DOES_NOT_SUPPORT_AUDIT_AUTH_EVENTS",
    0x2873: "ER_AUDIT_PLUGIN_HAS_INVALID_DATA",
    0x2874: "ER_TZ_OOM_INITIALIZING_TIME_ZONES",
    0x2875: "ER_TZ_CANT_OPEN_AND_LOCK_TIME_ZONE_TABLE",
    0x2876: "ER_TZ_OOM_LOADING_LEAP_SECOND_TABLE",
    0x2877: "ER_TZ_TOO_MANY_LEAPS_IN_LEAP_SECOND_TABLE",
    0x2878: "ER_TZ_ERROR_LOADING_LEAP_SECOND_TABLE",
    0x2879: "ER_TZ_UNKNOWN_OR_ILLEGAL_DEFAULT_TIME_ZONE",
    0x287a: "ER_TZ_CANT_FIND_DESCRIPTION_FOR_TIME_ZONE",
    0x287b: "ER_TZ_CANT_FIND_DESCRIPTION_FOR_TIME_ZONE_ID",
    0x287c: "ER_TZ_TRANSITION_TYPE_TABLE_TYPE_TOO_LARGE",
    0x287d: "ER_TZ_TRANSITION_TYPE_TABLE_ABBREVIATIONS_EXCEED_SPACE",
    0x287e: "ER_TZ_TRANSITION_TYPE_TABLE_LOAD_ERROR",
    0x287f: "ER_TZ_TRANSITION_TABLE_TOO_MANY_TRANSITIONS",
    0x2880: "ER_TZ_TRANSITION_TABLE_BAD_TRANSITION_TYPE",
    0x2881: "ER_TZ_TRANSITION_TABLE_LOAD_ERROR",
    0x2882: "ER_TZ_NO_TRANSITION_TYPES_IN_TIME_ZONE",
    0x2883: "ER_TZ_OOM_LOADING_TIME_ZONE_DESCRIPTION",
    0x2884: "ER_TZ_CANT_BUILD_MKTIME_MAP",
    0x2885: "ER_TZ_OOM_WHILE_LOADING_TIME_ZONE",
    0x2886: "ER_TZ_OOM_WHILE_SETTING_TIME_ZONE",
    0x2887: "ER_SLAVE_SQL_THREAD_STOPPED_UNTIL_CONDITION_BAD",
    0x2888: "ER_SLAVE_SQL_THREAD_STOPPED_UNTIL_POSITION_REACHED",
    0x2889: "ER_SLAVE_SQL_THREAD_STOPPED_BEFORE_GTIDS_ALREADY_APPLIED",
    0x288a: "ER_SLAVE_SQL_THREAD_STOPPED_BEFORE_GTIDS_REACHED",
    0x288b: "ER_SLAVE_SQL_THREAD_STOPPED_AFTER_GTIDS_REACHED",
    0x288c: "ER_SLAVE_SQL_THREAD_STOPPED_GAP_TRX_PROCESSED",
    0x288d: "ER_GROUP_REPLICATION_PLUGIN_NOT_INSTALLED",
    0x288e: "ER_GTID_ALREADY_ADDED_BY_USER",
    0x288f: "ER_FAILED_TO_DELETE_FROM_GTID_EXECUTED_TABLE",
    0x2890: "ER_FAILED_TO_COMPRESS_GTID_EXECUTED_TABLE",
    0x2891: "ER_FAILED_TO_COMPRESS_GTID_EXECUTED_TABLE_OOM",
    0x2892: "ER_FAILED_TO_INIT_THREAD_ATTR_FOR_GTID_TABLE_COMPRESSION",
    0x2893: "ER_FAILED_TO_CREATE_GTID_TABLE_COMPRESSION_THREAD",
    0x2894: "ER_FAILED_TO_JOIN_GTID_TABLE_COMPRESSION_THREAD",
    0x2895: "ER_NPIPE_FAILED_TO_INIT_SECURITY_DESCRIPTOR",
    0x2896: "ER_NPIPE_FAILED_TO_SET_SECURITY_DESCRIPTOR",
    0x2897: "ER_NPIPE_PIPE_ALREADY_IN_USE",
    0x2898: "ER_NDB_SLAVE_SAW_EPOCH_LOWER_THAN_PREVIOUS_ON_START",
    0x2899: "ER_NDB_SLAVE_SAW_EPOCH_LOWER_THAN_PREVIOUS",
    0x289a: "ER_NDB_SLAVE_SAW_ALREADY_COMMITTED_EPOCH",
    0x289b: "ER_NDB_SLAVE_PREVIOUS_EPOCH_NOT_COMMITTED",
    0x289c: "ER_NDB_SLAVE_MISSING_DATA_FOR_TIMESTAMP_COLUMN",
    0x289d: "ER_NDB_SLAVE_LOGGING_EXCEPTIONS_TO",
    0x289e: "ER_NDB_SLAVE_LOW_EPOCH_RESOLUTION",
    0x289f: "ER_NDB_INFO_FOUND_UNEXPECTED_FIELD_TYPE",
    0x28a0: "ER_NDB_INFO_FAILED_TO_CREATE_NDBINFO",
    0x28a1: "ER_NDB_INFO_FAILED_TO_INIT_NDBINFO",
    0x28a2: "ER_NDB_CLUSTER_WRONG_NUMBER_OF_FUNCTION_ARGUMENTS",
    0x28a3: "ER_NDB_CLUSTER_SCHEMA_INFO",
    0x28a4: "ER_NDB_CLUSTER_GENERIC_MESSAGE",
    0x28a5: "ER_RPL_CANT_OPEN_INFO_TABLE",
    0x28a6: "ER_RPL_CANT_SCAN_INFO_TABLE",
    0x28a7: "ER_RPL_CORRUPTED_INFO_TABLE",
    0x28a8: "ER_RPL_CORRUPTED_KEYS_IN_INFO_TABLE",
    0x28a9: "ER_RPL_WORKER_ID_IS",
    0x28aa: "ER_RPL_INCONSISTENT_TIMESTAMPS_IN_TRX",
    0x28ab: "ER_RPL_INCONSISTENT_SEQUENCE_NO_IN_TRX",
    0x28ac: "ER_RPL_CHANNELS_REQUIRE_TABLES_AS_INFO_REPOSITORIES",
    0x28ad: "ER_RPL_CHANNELS_REQUIRE_NON_ZERO_SERVER_ID",
    0x28ae: "ER_RPL_REPO_SHOULD_BE_TABLE",
    0x28af: "ER_RPL_ERROR_CREATING_MASTER_INFO",
    0x28b0: "ER_RPL_ERROR_CHANGING_MASTER_INFO_REPO_TYPE",
    0x28b1: "ER_RPL_CHANGING_RELAY_LOG_INFO_REPO_TYPE_FAILED_DUE_TO_GAPS",
    0x28b2: "ER_RPL_ERROR_CREATING_RELAY_LOG_INFO",
    0x28b3: "ER_RPL_ERROR_CHANGING_RELAY_LOG_INFO_REPO_TYPE",
    0x28b4: "ER_RPL_FAILED_TO_DELETE_FROM_SLAVE_WORKERS_INFO_REPOSITORY",
    0x28b5: "ER_RPL_FAILED_TO_RESET_STATE_IN_SLAVE_INFO_REPOSITORY",
    0x28b6: "ER_RPL_ERROR_CHECKING_REPOSITORY",
    0x28b7: "ER_RPL_SLAVE_GENERIC_MESSAGE",
    0x28b8: "ER_RPL_SLAVE_COULD_NOT_CREATE_CHANNEL_LIST",
    0x28b9: "ER_RPL_MULTISOURCE_REQUIRES_TABLE_TYPE_REPOSITORIES",
    0x28ba: "ER_RPL_SLAVE_FAILED_TO_INIT_A_MASTER_INFO_STRUCTURE",
    0x28bb: "ER_RPL_SLAVE_FAILED_TO_INIT_MASTER_INFO_STRUCTURE",
    0x28bc: "ER_RPL_SLAVE_FAILED_TO_CREATE_CHANNEL_FROM_MASTER_INFO",
    0x28bd: "ER_RPL_FAILED_TO_CREATE_NEW_INFO_FILE",
    0x28be: "ER_RPL_FAILED_TO_CREATE_CACHE_FOR_INFO_FILE",
    0x28bf: "ER_RPL_FAILED_TO_OPEN_INFO_FILE",
    0x28c0: "ER_RPL_GTID_MEMORY_FINALLY_AVAILABLE",
    0x28c1: "ER_SERVER_COST_UNKNOWN_COST_CONSTANT",
    0x28c2: "ER_SERVER_COST_INVALID_COST_CONSTANT",
    0x28c3: "ER_ENGINE_COST_UNKNOWN_COST_CONSTANT",
    0x28c4: "ER_ENGINE_COST_UNKNOWN_STORAGE_ENGINE",
    0x28c5: "ER_ENGINE_COST_INVALID_DEVICE_TYPE_FOR_SE",
    0x28c6: "ER_ENGINE_COST_INVALID_CONST_CONSTANT_FOR_SE_AND_DEVICE",
    0x28c7: "ER_SERVER_COST_FAILED_TO_READ",
    0x28c8: "ER_ENGINE_COST_FAILED_TO_READ",
    0x28c9: "ER_FAILED_TO_OPEN_COST_CONSTANT_TABLES",
    0x28ca: "ER_RPL_UNSUPPORTED_UNIGNORABLE_EVENT_IN_STREAM",
    0x28cb: "ER_RPL_GTID_LOG_EVENT_IN_STREAM",
    0x28cc: "ER_RPL_UNEXPECTED_BEGIN_IN_STREAM",
    0x28cd: "ER_RPL_UNEXPECTED_COMMIT_ROLLBACK_OR_XID_LOG_EVENT_IN_STREAM",
    0x28ce: "ER_RPL_UNEXPECTED_XA_ROLLBACK_IN_STREAM",
    0x28cf: "ER_EVENT_EXECUTION_FAILED_CANT_AUTHENTICATE_USER",
    0x28d0: "ER_EVENT_EXECUTION_FAILED_USER_LOST_EVEN_PRIVILEGE",
    0x28d1: "ER_EVENT_ERROR_DURING_COMPILATION",
    0x28d2: "ER_EVENT_DROPPING",
    0x28d3: "ER_NDB_SCHEMA_GENERIC_MESSAGE",
    0x28d4: "ER_RPL_INCOMPATIBLE_DECIMAL_IN_RBR",
    0x28d5: "ER_INIT_ROOT_WITHOUT_PASSWORD",
    0x28d6: "ER_INIT_GENERATING_TEMP_PASSWORD_FOR_ROOT",
    0x28d7: "ER_INIT_CANT_OPEN_BOOTSTRAP_FILE",
    0x28d8: "ER_INIT_BOOTSTRAP_COMPLETE",
    0x28d9: "ER_INIT_DATADIR_NOT_EMPTY_WONT_INITIALIZE",
    0x28da: "ER_INIT_DATADIR_EXISTS_WONT_INITIALIZE",
    0x28db: "ER_INIT_DATADIR_EXISTS_AND_PATH_TOO_LONG_WONT_INITIALIZE",
    0x28dc: "ER_INIT_DATADIR_EXISTS_AND_NOT_WRITABLE_WONT_INITIALIZE",
    0x28dd: "ER_INIT_CREATING_DD",
    0x28de: "ER_RPL_BINLOG_STARTING_DUMP",
    0x28df: "ER_RPL_BINLOG_MASTER_SENDS_HEARTBEAT",
    0x28e0: "ER_RPL_BINLOG_SKIPPING_REMAINING_HEARTBEAT_INFO",
    0x28e1: "ER_RPL_BINLOG_MASTER_USES_CHECKSUM_AND_SLAVE_CANT",
    0x28e2: "ER_NDB_QUERY_FAILED",
    0x28e3: "ER_KILLING_THREAD",
    0x28e4: "ER_DETACHING_SESSION_LEFT_BY_PLUGIN",
    0x28e5: "ER_CANT_DETACH_SESSION_LEFT_BY_PLUGIN",
    0x28e6: "ER_DETACHED_SESSIONS_LEFT_BY_PLUGIN",
    0x28e7: "ER_FAILED_TO_DECREMENT_NUMBER_OF_THREADS",
    0x28e8: "ER_PLUGIN_DID_NOT_DEINITIALIZE_THREADS",
    0x28e9: "ER_KILLED_THREADS_OF_PLUGIN",
    0x28ea: "ER_NDB_SLAVE_MAX_REPLICATED_EPOCH_UNKNOWN",
    0x28eb: "ER_NDB_SLAVE_MAX_REPLICATED_EPOCH_SET_TO",
    0x28ec: "ER_NDB_NODE_ID_AND_MANAGEMENT_SERVER_INFO",
    0x28ed: "ER_NDB_DISCONNECT_INFO",
    0x28ee: "ER_NDB_COLUMN_DEFAULTS_DIFFER",
    0x28ef: "ER_NDB_COLUMN_SHOULD_NOT_HAVE_NATIVE_DEFAULT",
    0x28f0: "ER_NDB_FIELD_INFO",
    0x28f1: "ER_NDB_COLUMN_INFO",
    0x28f2: "ER_NDB_OOM_IN_FIX_UNIQUE_INDEX_ATTR_ORDER",
    0x28f3: "ER_NDB_SLAVE_MALFORMED_EVENT_RECEIVED_ON_TABLE",
    0x28f4: "ER_NDB_SLAVE_CONFLICT_FUNCTION_REQUIRES_ROLE",
    0x28f5: "ER_NDB_SLAVE_CONFLICT_DETECTION_REQUIRES_TRANSACTION_IDS",
    0x28f6: "ER_NDB_SLAVE_BINLOG_MISSING_INFO_FOR_CONFLICT_DETECTION",
    0x28f7: "ER_NDB_ERROR_IN_READAUTOINCREMENTVALUE",
    0x28f8: "ER_NDB_FOUND_UNCOMMITTED_AUTOCOMMIT",
    0x28f9: "ER_NDB_SLAVE_TOO_MANY_RETRIES",
    0x28fa: "ER_NDB_SLAVE_ERROR_IN_UPDATE_CREATE_INFO",
    0x28fb: "ER_NDB_SLAVE_CANT_ALLOCATE_TABLE_SHARE",
    0x28fc: "ER_NDB_BINLOG_ERROR_INFO_FROM_DA",
    0x28fd: "ER_NDB_BINLOG_CREATE_TABLE_EVENT",
    0x28fe: "ER_NDB_BINLOG_FAILED_CREATE_TABLE_EVENT_OPERATIONS",
    0x28ff: "ER_NDB_BINLOG_RENAME_EVENT",
    0x2900: "ER_NDB_BINLOG_FAILED_CREATE_EVENT_OPERATIONS_DURING_RENAME",
    0x2901: "ER_NDB_UNEXPECTED_RENAME_TYPE",
    0x2902: "ER_NDB_ERROR_IN_GET_AUTO_INCREMENT",
    0x2903: "ER_NDB_CREATING_SHARE_IN_OPEN",
    0x2904: "ER_NDB_TABLE_OPENED_READ_ONLY",
    0x2905: "ER_NDB_INITIALIZE_GIVEN_CLUSTER_PLUGIN_DISABLED",
    0x2906: "ER_NDB_BINLOG_FORMAT_CHANGED_FROM_STMT_TO_MIXED",
    0x2907: "ER_NDB_TRAILING_SHARE_RELEASED_BY_CLOSE_CACHED_TABLES",
    0x2908: "ER_NDB_SHARE_ALREADY_EXISTS",
    0x2909: "ER_NDB_HANDLE_TRAILING_SHARE_INFO",
    0x290a: "ER_NDB_CLUSTER_GET_SHARE_INFO",
    0x290b: "ER_NDB_CLUSTER_REAL_FREE_SHARE_INFO",
    0x290c: "ER_NDB_CLUSTER_REAL_FREE_SHARE_DROP_FAILED",
    0x290d: "ER_NDB_CLUSTER_FREE_SHARE_INFO",
    0x290e: "ER_NDB_CLUSTER_MARK_SHARE_DROPPED_INFO",
    0x290f: "ER_NDB_CLUSTER_MARK_SHARE_DROPPED_DESTROYING_SHARE",
    0x2910: "ER_NDB_CLUSTER_OOM_THD_NDB",
    0x2911: "ER_NDB_BINLOG_NDB_TABLES_INITIALLY_READ_ONLY",
    0x2912: "ER_NDB_UTIL_THREAD_OOM",
    0x2913: "ER_NDB_ILLEGAL_VALUE_FOR_NDB_RECV_THREAD_CPU_MASK",
    0x2914: "ER_NDB_TOO_MANY_CPUS_IN_NDB_RECV_THREAD_CPU_MASK",
    0x2915: "ER_DBUG_CHECK_SHARES_OPEN",
    0x2916: "ER_DBUG_CHECK_SHARES_INFO",
    0x2917: "ER_DBUG_CHECK_SHARES_DROPPED",
    0x2918: "ER_INVALID_OR_OLD_TABLE_OR_DB_NAME",
    0x2919: "ER_TC_RECOVERING_AFTER_CRASH_USING",
    0x291a: "ER_TC_CANT_AUTO_RECOVER_WITH_TC_HEURISTIC_RECOVER",
    0x291b: "ER_TC_BAD_MAGIC_IN_TC_LOG",
    0x291c: "ER_TC_NEED_N_SE_SUPPORTING_2PC_FOR_RECOVERY",
    0x291d: "ER_TC_RECOVERY_FAILED_THESE_ARE_YOUR_OPTIONS",
    0x291e: "ER_TC_HEURISTIC_RECOVERY_MODE",
    0x291f: "ER_TC_HEURISTIC_RECOVERY_FAILED",
    0x2920: "ER_TC_RESTART_WITHOUT_TC_HEURISTIC_RECOVER",
    0x2921: "ER_RPL_SLAVE_FAILED_TO_CREATE_OR_RECOVER_INFO_REPOSITORIES",
    0x2922: "ER_RPL_SLAVE_AUTO_POSITION_IS_1_AND_GTID_MODE_IS_OFF",
    0x2923: "ER_RPL_SLAVE_CANT_START_SLAVE_FOR_CHANNEL",
    0x2924: "ER_RPL_SLAVE_CANT_STOP_SLAVE_FOR_CHANNEL",
    0x2925: "ER_RPL_RECOVERY_NO_ROTATE_EVENT_FROM_MASTER",
    0x2926: "ER_RPL_RECOVERY_ERROR_READ_RELAY_LOG",
    0x2927: "ER_RPL_RECOVERY_ERROR_FREEING_IO_CACHE",
    0x2928: "ER_RPL_RECOVERY_SKIPPED_GROUP_REPLICATION_CHANNEL",
    0x2929: "ER_RPL_RECOVERY_ERROR",
    0x292a: "ER_RPL_RECOVERY_IO_ERROR_READING_RELAY_LOG_INDEX",
    0x292b: "ER_RPL_RECOVERY_FILE_MASTER_POS_INFO",
    0x292c: "ER_RPL_RECOVERY_REPLICATE_SAME_SERVER_ID_REQUIRES_POSITION",
    0x292d: "ER_RPL_MTS_RECOVERY_STARTING_COORDINATOR",
    0x292e: "ER_RPL_MTS_RECOVERY_FAILED_TO_START_COORDINATOR",
    0x292f: "ER_RPL_MTS_AUTOMATIC_RECOVERY_FAILED",
    0x2930: "ER_RPL_MTS_RECOVERY_CANT_OPEN_RELAY_LOG",
    0x2931: "ER_RPL_MTS_RECOVERY_SUCCESSFUL",
    0x2932: "ER_RPL_SERVER_ID_MISSING",
    0x2933: "ER_RPL_CANT_CREATE_SLAVE_THREAD",
    0x2934: "ER_RPL_SLAVE_IO_THREAD_WAS_KILLED",
    0x2935: "ER_RPL_SLAVE_MASTER_UUID_HAS_CHANGED",
    0x2936: "ER_RPL_SLAVE_USES_CHECKSUM_AND_MASTER_PRE_50",
    0x2937: "ER_RPL_SLAVE_SECONDS_BEHIND_MASTER_DUBIOUS",
    0x2938: "ER_RPL_SLAVE_CANT_FLUSH_MASTER_INFO_FILE",
    0x2939: "ER_RPL_SLAVE_REPORT_HOST_TOO_LONG",
    0x293a: "ER_RPL_SLAVE_REPORT_USER_TOO_LONG",
    0x293b: "ER_RPL_SLAVE_REPORT_PASSWORD_TOO_LONG",
    0x293c: "ER_RPL_SLAVE_ERROR_RETRYING",
    0x293d: "ER_RPL_SLAVE_ERROR_READING_FROM_SERVER",
    0x293e: "ER_RPL_SLAVE_DUMP_THREAD_KILLED_BY_MASTER",
    0x293f: "ER_RPL_MTS_STATISTICS",
    0x2940: "ER_RPL_MTS_RECOVERY_COMPLETE",
    0x2941: "ER_RPL_SLAVE_CANT_INIT_RELAY_LOG_POSITION",
    0x2942: "ER_RPL_SLAVE_CONNECTED_TO_MASTER_REPLICATION_STARTED",
    0x2943: "ER_RPL_SLAVE_IO_THREAD_KILLED",
    0x2944: "ER_RPL_SLAVE_IO_THREAD_CANT_REGISTER_ON_MASTER",
    0x2945: "ER_RPL_SLAVE_FORCING_TO_RECONNECT_IO_THREAD",
    0x2946: "ER_RPL_SLAVE_ERROR_REQUESTING_BINLOG_DUMP",
    0x2947: "ER_RPL_LOG_ENTRY_EXCEEDS_SLAVE_MAX_ALLOWED_PACKET",
    0x2948: "ER_RPL_SLAVE_STOPPING_AS_MASTER_OOM",
    0x2949: "ER_RPL_SLAVE_IO_THREAD_ABORTED_WAITING_FOR_RELAY_LOG_SPACE",
    0x294a: "ER_RPL_SLAVE_IO_THREAD_EXITING",
    0x294b: "ER_RPL_SLAVE_CANT_INITIALIZE_SLAVE_WORKER",
    0x294c: "ER_RPL_MTS_GROUP_RECOVERY_RELAY_LOG_INFO_FOR_WORKER",
    0x294d: "ER_RPL_ERROR_LOOKING_FOR_LOG",
    0x294e: "ER_RPL_MTS_GROUP_RECOVERY_RELAY_LOG_INFO",
    0x294f: "ER_RPL_CANT_FIND_FOLLOWUP_FILE",
    0x2950: "ER_RPL_MTS_CHECKPOINT_PERIOD_DIFFERS_FROM_CNT",
    0x2951: "ER_RPL_SLAVE_WORKER_THREAD_CREATION_FAILED",
    0x2952: "ER_RPL_SLAVE_WORKER_THREAD_CREATION_FAILED_WITH_ERRNO",
    0x2953: "ER_RPL_SLAVE_FAILED_TO_INIT_PARTITIONS_HASH",
    0x2954: "ER_RPL_SLAVE_NDB_TABLES_NOT_AVAILABLE",
    0x2955: "ER_RPL_SLAVE_SQL_THREAD_STARTING",
    0x2956: "ER_RPL_SLAVE_SKIP_COUNTER_EXECUTED",
    0x2957: "ER_RPL_SLAVE_ADDITIONAL_ERROR_INFO_FROM_DA",
    0x2958: "ER_RPL_SLAVE_ERROR_INFO_FROM_DA",
    0x2959: "ER_RPL_SLAVE_ERROR_LOADING_USER_DEFINED_LIBRARY",
    0x295a: "ER_RPL_SLAVE_ERROR_RUNNING_QUERY",
    0x295b: "ER_RPL_SLAVE_SQL_THREAD_EXITING",
    0x295c: "ER_RPL_SLAVE_READ_INVALID_EVENT_FROM_MASTER",
    0x295d: "ER_RPL_SLAVE_QUEUE_EVENT_FAILED_INVALID_CONFIGURATION",
    0x295e: "ER_RPL_SLAVE_IO_THREAD_DETECTED_UNEXPECTED_EVENT_SEQUENCE",
    0x295f: "ER_RPL_SLAVE_CANT_USE_CHARSET",
    0x2960: "ER_RPL_SLAVE_CONNECTED_TO_MASTER_REPLICATION_RESUMED",
    0x2961: "ER_RPL_SLAVE_NEXT_LOG_IS_ACTIVE",
    0x2962: "ER_RPL_SLAVE_NEXT_LOG_IS_INACTIVE",
    0x2963: "ER_RPL_SLAVE_SQL_THREAD_IO_ERROR_READING_EVENT",
    0x2964: "ER_RPL_SLAVE_ERROR_READING_RELAY_LOG_EVENTS",
    0x2965: "ER_SLAVE_CHANGE_MASTER_TO_EXECUTED",
    0x2966: "ER_RPL_SLAVE_NEW_MASTER_INFO_NEEDS_REPOS_TYPE_OTHER_THAN_FILE",
    0x2967: "ER_RPL_FAILED_TO_STAT_LOG_IN_INDEX",
    0x2968: "ER_RPL_LOG_NOT_FOUND_WHILE_COUNTING_RELAY_LOG_SPACE",
    0x2969: "ER_SLAVE_CANT_USE_TEMPDIR",
    0x296a: "ER_RPL_RELAY_LOG_NEEDS_FILE_NOT_DIRECTORY",
    0x296b: "ER_RPL_RELAY_LOG_INDEX_NEEDS_FILE_NOT_DIRECTORY",
    0x296c: "ER_RPL_PLEASE_USE_OPTION_RELAY_LOG",
    0x296d: "ER_RPL_OPEN_INDEX_FILE_FAILED",
    0x296e: "ER_RPL_CANT_INITIALIZE_GTID_SETS_IN_RLI_INIT_INFO",
    0x296f: "ER_RPL_CANT_OPEN_LOG_IN_RLI_INIT_INFO",
    0x2970: "ER_RPL_ERROR_WRITING_RELAY_LOG_CONFIGURATION",
    0x2971: "ER_NDB_OOM_GET_NDB_BLOBS_VALUE",
    0x2972: "ER_NDB_THREAD_TIMED_OUT",
    0x2973: "ER_NDB_TABLE_IS_NOT_DISTRIBUTED",
    0x2974: "ER_NDB_CREATING_TABLE",
    0x2975: "ER_NDB_FLUSHING_TABLE_INFO",
    0x2976: "ER_NDB_CLEANING_STRAY_TABLES",
    0x2977: "ER_NDB_DISCOVERED_MISSING_DB",
    0x2978: "ER_NDB_DISCOVERED_REMAINING_DB",
    0x2979: "ER_NDB_CLUSTER_FIND_ALL_DBS_RETRY",
    0x297a: "ER_NDB_CLUSTER_FIND_ALL_DBS_FAIL",
    0x297b: "ER_NDB_SKIPPING_SETUP_TABLE",
    0x297c: "ER_NDB_FAILED_TO_SET_UP_TABLE",
    0x297d: "ER_NDB_MISSING_FRM_DISCOVERING",
    0x297e: "ER_NDB_MISMATCH_IN_FRM_DISCOVERING",
    0x297f: "ER_NDB_BINLOG_CLEANING_UP_SETUP_LEFTOVERS",
    0x2980: "ER_NDB_WAITING_INFO",
    0x2981: "ER_NDB_WAITING_INFO_WITH_MAP",
    0x2982: "ER_NDB_TIMEOUT_WHILE_DISTRIBUTING",
    0x2983: "ER_NDB_NOT_WAITING_FOR_DISTRIBUTING",
    0x2984: "ER_NDB_DISTRIBUTED_INFO",
    0x2985: "ER_NDB_DISTRIBUTION_COMPLETE",
    0x2986: "ER_NDB_SCHEMA_DISTRIBUTION_FAILED",
    0x2987: "ER_NDB_SCHEMA_DISTRIBUTION_REPORTS_SUBSCRIBE",
    0x2988: "ER_NDB_SCHEMA_DISTRIBUTION_REPORTS_UNSUBSCRIBE",
    0x2989: "ER_NDB_BINLOG_CANT_DISCOVER_TABLE_FROM_SCHEMA_EVENT",
    0x298a: "ER_NDB_BINLOG_SIGNALLING_UNKNOWN_VALUE",
    0x298b: "ER_NDB_BINLOG_REPLY_TO",
    0x298c: "ER_NDB_BINLOG_CANT_RELEASE_SLOCK",
    0x298d: "ER_NDB_CANT_FIND_TABLE",
    0x298e: "ER_NDB_DISCARDING_EVENT_NO_OBJ",
    0x298f: "ER_NDB_DISCARDING_EVENT_ID_VERSION_MISMATCH",
    0x2990: "ER_NDB_CLEAR_SLOCK_INFO",
    0x2991: "ER_NDB_BINLOG_SKIPPING_LOCAL_TABLE",
    0x2992: "ER_NDB_BINLOG_ONLINE_ALTER_RENAME",
    0x2993: "ER_NDB_BINLOG_CANT_REOPEN_SHADOW_TABLE",
    0x2994: "ER_NDB_BINLOG_ONLINE_ALTER_RENAME_COMPLETE",
    0x2995: "ER_NDB_BINLOG_SKIPPING_DROP_OF_LOCAL_TABLE",
    0x2996: "ER_NDB_BINLOG_SKIPPING_RENAME_OF_LOCAL_TABLE",
    0x2997: "ER_NDB_BINLOG_SKIPPING_DROP_OF_DB_CONTAINING_LOCAL_TABLES",
    0x2998: "ER_NDB_BINLOG_GOT_DIST_PRIV_EVENT_FLUSHING_PRIVILEGES",
    0x2999: "ER_NDB_BINLOG_GOT_SCHEMA_EVENT",
    0x299a: "ER_NDB_BINLOG_SKIPPING_OLD_SCHEMA_OPERATION",
    0x299b: "ER_NDB_CLUSTER_FAILURE",
    0x299c: "ER_NDB_TABLES_INITIALLY_READ_ONLY_ON_RECONNECT",
    0x299d: "ER_NDB_IGNORING_UNKNOWN_EVENT",
    0x299e: "ER_NDB_BINLOG_OPENING_INDEX",
    0x299f: "ER_NDB_BINLOG_CANT_LOCK_NDB_BINLOG_INDEX",
    0x29a0: "ER_NDB_BINLOG_INJECTING_RANDOM_WRITE_FAILURE",
    0x29a1: "ER_NDB_BINLOG_CANT_WRITE_TO_NDB_BINLOG_INDEX",
    0x29a2: "ER_NDB_BINLOG_WRITING_TO_NDB_BINLOG_INDEX",
    0x29a3: "ER_NDB_BINLOG_CANT_COMMIT_TO_NDB_BINLOG_INDEX",
    0x29a4: "ER_NDB_BINLOG_WRITE_TO_NDB_BINLOG_INDEX_FAILED_AFTER_KILL",
    0x29a5: "ER_NDB_BINLOG_USING_SERVER_ID_0_SLAVES_WILL_NOT",
    0x29a6: "ER_NDB_SERVER_ID_RESERVED_OR_TOO_LARGE",
    0x29a7: "ER_NDB_BINLOG_NDB_LOG_TRANSACTION_ID_REQUIRES_V2_ROW_EVENTS",
    0x29a8: "ER_NDB_BINLOG_NDB_LOG_APPLY_STATUS_FORCING_FULL_USE_WRITE",
    0x29a9: "ER_NDB_BINLOG_GENERIC_MESSAGE",
    0x29aa: "ER_NDB_CONFLICT_GENERIC_MESSAGE",
    0x29ab: "ER_NDB_TRANS_DEPENDENCY_TRACKER_ERROR",
    0x29ac: "ER_NDB_CONFLICT_FN_PARSE_ERROR",
    0x29ad: "ER_NDB_CONFLICT_FN_SETUP_ERROR",
    0x29ae: "ER_NDB_BINLOG_FAILED_TO_GET_TABLE",
    0x29af: "ER_NDB_BINLOG_NOT_LOGGING",
    0x29b0: "ER_NDB_BINLOG_CREATE_TABLE_EVENT_FAILED",
    0x29b1: "ER_NDB_BINLOG_CREATE_TABLE_EVENT_INFO",
    0x29b2: "ER_NDB_BINLOG_DISCOVER_TABLE_EVENT_INFO",
    0x29b3: "ER_NDB_BINLOG_BLOB_REQUIRES_PK",
    0x29b4: "ER_NDB_BINLOG_CANT_CREATE_EVENT_IN_DB",
    0x29b5: "ER_NDB_BINLOG_CANT_CREATE_EVENT_IN_DB_AND_CANT_DROP",
    0x29b6: "ER_NDB_BINLOG_CANT_CREATE_EVENT_IN_DB_DROPPED",
    0x29b7: "ER_NDB_BINLOG_DISCOVER_REUSING_OLD_EVENT_OPS",
    0x29b8: "ER_NDB_BINLOG_CREATING_NDBEVENTOPERATION_FAILED",
    0x29b9: "ER_NDB_BINLOG_CANT_CREATE_BLOB",
    0x29ba: "ER_NDB_BINLOG_NDBEVENT_EXECUTE_FAILED",
    0x29bb: "ER_NDB_CREATE_EVENT_OPS_LOGGING_INFO",
    0x29bc: "ER_NDB_BINLOG_CANT_DROP_EVENT_FROM_DB",
    0x29bd: "ER_NDB_TIMED_OUT_IN_DROP_TABLE",
    0x29be: "ER_NDB_BINLOG_UNHANDLED_ERROR_FOR_TABLE",
    0x29bf: "ER_NDB_BINLOG_CLUSTER_FAILURE",
    0x29c0: "ER_NDB_BINLOG_UNKNOWN_NON_DATA_EVENT",
    0x29c1: "ER_NDB_BINLOG_INJECTOR_DISCARDING_ROW_EVENT_METADATA",
    0x29c2: "ER_NDB_REMAINING_OPEN_TABLES",
    0x29c3: "ER_NDB_REMAINING_OPEN_TABLE_INFO",
    0x29c4: "ER_NDB_COULD_NOT_GET_APPLY_STATUS_SHARE",
    0x29c5: "ER_NDB_BINLOG_SERVER_SHUTDOWN_DURING_NDB_CLUSTER_START",
    0x29c6: "ER_NDB_BINLOG_CLUSTER_RESTARTED_RESET_MASTER_SUGGESTED",
    0x29c7: "ER_NDB_BINLOG_CLUSTER_HAS_RECONNECTED",
    0x29c8: "ER_NDB_BINLOG_STARTING_LOG_AT_EPOCH",
    0x29c9: "ER_NDB_BINLOG_NDB_TABLES_WRITABLE",
    0x29ca: "ER_NDB_BINLOG_SHUTDOWN_DETECTED",
    0x29cb: "ER_NDB_BINLOG_LOST_SCHEMA_CONNECTION_WAITING",
    0x29cc: "ER_NDB_BINLOG_LOST_SCHEMA_CONNECTION_CONTINUING",
    0x29cd: "ER_NDB_BINLOG_ERROR_HANDLING_SCHEMA_EVENT",
    0x29ce: "ER_NDB_BINLOG_CANT_INJECT_APPLY_STATUS_WRITE_ROW",
    0x29cf: "ER_NDB_BINLOG_ERROR_DURING_GCI_ROLLBACK",
    0x29d0: "ER_NDB_BINLOG_ERROR_DURING_GCI_COMMIT",
    0x29d1: "ER_NDB_BINLOG_LATEST_TRX_IN_EPOCH_NOT_IN_BINLOG",
    0x29d2: "ER_NDB_BINLOG_RELEASING_EXTRA_SHARE_REFERENCES",
    0x29d3: "ER_NDB_BINLOG_REMAINING_OPEN_TABLES",
    0x29d4: "ER_NDB_BINLOG_REMAINING_OPEN_TABLE_INFO",
    0x29d5: "ER_TREE_CORRUPT_PARENT_SHOULD_POINT_AT_PARENT",
    0x29d6: "ER_TREE_CORRUPT_ROOT_SHOULD_BE_BLACK",
    0x29d7: "ER_TREE_CORRUPT_2_CONSECUTIVE_REDS",
    0x29d8: "ER_TREE_CORRUPT_RIGHT_IS_LEFT",
    0x29d9: "ER_TREE_CORRUPT_INCORRECT_BLACK_COUNT",
    0x29da: "ER_WRONG_COUNT_FOR_ORIGIN",
    0x29db: "ER_WRONG_COUNT_FOR_KEY",
    0x29dc: "ER_WRONG_COUNT_OF_ELEMENTS",
    0x29dd: "ER_RPL_ERROR_READING_SLAVE_WORKER_CONFIGURATION",
    0x29de: "ER_RPL_ERROR_WRITING_SLAVE_WORKER_CONFIGURATION",
    0x29df: "ER_RPL_FAILED_TO_OPEN_RELAY_LOG",
    0x29e0: "ER_RPL_WORKER_CANT_READ_RELAY_LOG",
    0x29e1: "ER_RPL_WORKER_CANT_FIND_NEXT_RELAY_LOG",
    0x29e2: "ER_RPL_MTS_SLAVE_COORDINATOR_HAS_WAITED",
    0x29e3: "ER_BINLOG_FAILED_TO_WRITE_DROP_FOR_TEMP_TABLES",
    0x29e4: "ER_BINLOG_OOM_WRITING_DELETE_WHILE_OPENING_HEAP_TABLE",
    0x29e5: "ER_FAILED_TO_REPAIR_TABLE",
    0x29e6: "ER_FAILED_TO_REMOVE_TEMP_TABLE",
    0x29e7: "ER_SYSTEM_TABLE_NOT_TRANSACTIONAL",
    0x29e8: "ER_RPL_ERROR_WRITING_MASTER_CONFIGURATION",
    0x29e9: "ER_RPL_ERROR_READING_MASTER_CONFIGURATION",
    0x29ea: "ER_RPL_SSL_INFO_IN_MASTER_INFO_IGNORED",
    0x29eb: "ER_PLUGIN_FAILED_DEINITIALIZATION",
    0x29ec: "ER_PLUGIN_HAS_NONZERO_REFCOUNT_AFTER_DEINITIALIZATION",
    0x29ed: "ER_PLUGIN_SHUTTING_DOWN_PLUGIN",
    0x29ee: "ER_PLUGIN_REGISTRATION_FAILED",
    0x29ef: "ER_PLUGIN_CANT_OPEN_PLUGIN_TABLE",
    0x29f0: "ER_PLUGIN_CANT_LOAD",
    0x29f1: "ER_PLUGIN_LOAD_PARAMETER_TOO_LONG",
    0x29f2: "ER_PLUGIN_FORCING_SHUTDOWN",
    0x29f3: "ER_PLUGIN_HAS_NONZERO_REFCOUNT_AFTER_SHUTDOWN",
    0x29f4: "ER_PLUGIN_UNKNOWN_VARIABLE_TYPE",
    0x29f5: "ER_PLUGIN_VARIABLE_SET_READ_ONLY",
    0x29f6: "ER_PLUGIN_VARIABLE_MISSING_NAME",
    0x29f7: "ER_PLUGIN_VARIABLE_NOT_ALLOCATED_THREAD_LOCAL",
    0x29f8: "ER_PLUGIN_OOM",
    0x29f9: "ER_PLUGIN_BAD_OPTIONS",
    0x29fa: "ER_PLUGIN_PARSING_OPTIONS_FAILED",
    0x29fb: "ER_PLUGIN_DISABLED",
    0x29fc: "ER_PLUGIN_HAS_CONFLICTING_SYSTEM_VARIABLES",
    0x29fd: "ER_PLUGIN_CANT_SET_PERSISTENT_OPTIONS",
    0x29fe: "ER_MY_NET_WRITE_FAILED_FALLING_BACK_ON_STDERR",
    0x29ff: "ER_RETRYING_REPAIR_WITHOUT_QUICK",
    0x2a00: "ER_RETRYING_REPAIR_WITH_KEYCACHE",
    0x2a01: "ER_FOUND_ROWS_WHILE_REPAIRING",
    0x2a02: "ER_ERROR_DURING_OPTIMIZE_TABLE",
    0x2a03: "ER_ERROR_ENABLING_KEYS",
    0x2a04: "ER_CHECKING_TABLE",
    0x2a05: "ER_RECOVERING_TABLE",
    0x2a06: "ER_CANT_CREATE_TABLE_SHARE_FROM_FRM",
    0x2a07: "ER_CANT_LOCK_TABLE",
    0x2a08: "ER_CANT_ALLOC_TABLE_OBJECT",
    0x2a09: "ER_CANT_CREATE_HANDLER_OBJECT_FOR_TABLE",
    0x2a0a: "ER_CANT_SET_HANDLER_REFERENCE_FOR_TABLE",
    0x2a0b: "ER_CANT_LOCK_TABLESPACE",
    0x2a0c: "ER_CANT_UPGRADE_GENERATED_COLUMNS_TO_DD",
    0x2a0d: "ER_DD_ERROR_CREATING_ENTRY",
    0x2a0e: "ER_DD_CANT_FETCH_TABLE_DATA",
    0x2a0f: "ER_DD_CANT_FIX_SE_DATA",
    0x2a10: "ER_DD_CANT_CREATE_SP",
    0x2a11: "ER_CANT_OPEN_DB_OPT_USING_DEFAULT_CHARSET",
    0x2a12: "ER_CANT_CREATE_CACHE_FOR_DB_OPT",
    0x2a13: "ER_CANT_IDENTIFY_CHARSET_USING_DEFAULT",
    0x2a14: "ER_DB_OPT_NOT_FOUND_USING_DEFAULT_CHARSET",
    0x2a15: "ER_EVENT_CANT_GET_TIMEZONE_FROM_FIELD",
    0x2a16: "ER_EVENT_CANT_FIND_TIMEZONE",
    0x2a17: "ER_EVENT_CANT_GET_CHARSET",
    0x2a18: "ER_EVENT_CANT_GET_COLLATION",
    0x2a19: "ER_EVENT_CANT_OPEN_TABLE_MYSQL_EVENT",
    0x2a1a: "ER_CANT_PARSE_STORED_ROUTINE_BODY",
    0x2a1b: "ER_CANT_OPEN_TABLE_MYSQL_PROC",
    0x2a1c: "ER_CANT_READ_TABLE_MYSQL_PROC",
    0x2a1d: "ER_FILE_EXISTS_DURING_UPGRADE",
    0x2a1e: "ER_CANT_OPEN_DATADIR_AFTER_UPGRADE_FAILURE",
    0x2a1f: "ER_CANT_SET_PATH_FOR",
    0x2a20: "ER_CANT_OPEN_DIR",
    0x2a21: "ER_NDB_EMPTY_NODEID_IN_NDB_CLUSTER_CONNECTION_POOL_NODEIDS",
    0x2a22: "ER_NDB_CANT_PARSE_NDB_CLUSTER_CONNECTION_POOL_NODEIDS",
    0x2a23: "ER_NDB_INVALID_NODEID_IN_NDB_CLUSTER_CONNECTION_POOL_NODEIDS",
    0x2a24: "ER_NDB_DUPLICATE_NODEID_IN_NDB_CLUSTER_CONNECTION_POOL_NODEIDS",
    0x2a25: "ER_NDB_POOL_SIZE_MUST_MATCH_NDB_CLUSTER_CONNECTION_POOL_NODEIDS",
    0x2a26: "ER_NDB_NODEID_NOT_FIRST_IN_NDB_CLUSTER_CONNECTION_POOL_NODEIDS",
    0x2a27: "ER_NDB_USING_NODEID",
    0x2a28: "ER_NDB_CANT_ALLOC_GLOBAL_NDB_CLUSTER_CONNECTION",
    0x2a29: "ER_NDB_CANT_ALLOC_GLOBAL_NDB_OBJECT",
    0x2a2a: "ER_NDB_USING_NODEID_LIST",
    0x2a2b: "ER_NDB_CANT_ALLOC_NDB_CLUSTER_CONNECTION",
    0x2a2c: "ER_NDB_STARTING_CONNECT_THREAD",
    0x2a2d: "ER_NDB_NODE_INFO",
    0x2a2e: "ER_NDB_CANT_START_CONNECT_THREAD",
    0x2a2f: "ER_NDB_GENERIC_ERROR",
    0x2a30: "ER_NDB_CPU_MASK_TOO_SHORT",
    0x2a31: "ER_EVENT_ERROR_CREATING_QUERY_TO_WRITE_TO_BINLOG",
    0x2a32: "ER_EVENT_SCHEDULER_ERROR_LOADING_FROM_DB",
    0x2a33: "ER_EVENT_SCHEDULER_ERROR_GETTING_EVENT_OBJECT",
    0x2a34: "ER_EVENT_SCHEDULER_GOT_BAD_DATA_FROM_TABLE",
    0x2a35: "ER_EVENT_CANT_GET_LOCK_FOR_DROPPING_EVENT",
    0x2a36: "ER_EVENT_UNABLE_TO_DROP_EVENT",
    0x2a37: "ER_BINLOG_ATTACHING_THREAD_MEMORY_FINALLY_AVAILABLE",
    0x2a38: "ER_BINLOG_CANT_RESIZE_CACHE",
    0x2a39: "ER_BINLOG_FILE_BEING_READ_NOT_PURGED",
    0x2a3a: "ER_BINLOG_IO_ERROR_READING_HEADER",
    0x2a3b: "ER_BINLOG_CANT_OPEN_LOG",
    0x2a3c: "ER_BINLOG_CANT_CREATE_CACHE_FOR_LOG",
    0x2a3d: "ER_BINLOG_FILE_EXTENSION_NUMBER_EXHAUSTED",
    0x2a3e: "ER_BINLOG_FILE_NAME_TOO_LONG",
    0x2a3f: "ER_BINLOG_FILE_EXTENSION_NUMBER_RUNNING_LOW",
    0x2a40: "ER_BINLOG_CANT_OPEN_FOR_LOGGING",
    0x2a41: "ER_BINLOG_FAILED_TO_SYNC_INDEX_FILE",
    0x2a42: "ER_BINLOG_ERROR_READING_GTIDS_FROM_RELAY_LOG",
    0x2a43: "ER_BINLOG_EVENTS_READ_FROM_RELAY_LOG_INFO",
    0x2a44: "ER_BINLOG_ERROR_READING_GTIDS_FROM_BINARY_LOG",
    0x2a45: "ER_BINLOG_EVENTS_READ_FROM_BINLOG_INFO",
    0x2a46: "ER_BINLOG_CANT_GENERATE_NEW_FILE_NAME",
    0x2a47: "ER_BINLOG_FAILED_TO_SYNC_INDEX_FILE_IN_OPEN",
    0x2a48: "ER_BINLOG_CANT_USE_FOR_LOGGING",
    0x2a49: "ER_BINLOG_FAILED_TO_CLOSE_INDEX_FILE_WHILE_REBUILDING",
    0x2a4a: "ER_BINLOG_FAILED_TO_DELETE_INDEX_FILE_WHILE_REBUILDING",
    0x2a4b: "ER_BINLOG_FAILED_TO_RENAME_INDEX_FILE_WHILE_REBUILDING",
    0x2a4c: "ER_BINLOG_FAILED_TO_OPEN_INDEX_FILE_AFTER_REBUILDING",
    0x2a4d: "ER_BINLOG_CANT_APPEND_LOG_TO_TMP_INDEX",
    0x2a4e: "ER_BINLOG_CANT_LOCATE_OLD_BINLOG_OR_RELAY_LOG_FILES",
    0x2a4f: "ER_BINLOG_CANT_DELETE_FILE",
    0x2a50: "ER_BINLOG_CANT_SET_TMP_INDEX_NAME",
    0x2a51: "ER_BINLOG_FAILED_TO_OPEN_TEMPORARY_INDEX_FILE",
    0x2a52: "ER_BINLOG_ERROR_GETTING_NEXT_LOG_FROM_INDEX",
    0x2a53: "ER_BINLOG_CANT_OPEN_TMP_INDEX",
    0x2a54: "ER_BINLOG_CANT_COPY_INDEX_TO_TMP",
    0x2a55: "ER_BINLOG_CANT_CLOSE_TMP_INDEX",
    0x2a56: "ER_BINLOG_CANT_MOVE_TMP_TO_INDEX",
    0x2a57: "ER_BINLOG_PURGE_LOGS_CALLED_WITH_FILE_NOT_IN_INDEX",
    0x2a58: "ER_BINLOG_PURGE_LOGS_CANT_SYNC_INDEX_FILE",
    0x2a59: "ER_BINLOG_PURGE_LOGS_CANT_COPY_TO_REGISTER_FILE",
    0x2a5a: "ER_BINLOG_PURGE_LOGS_CANT_FLUSH_REGISTER_FILE",
    0x2a5b: "ER_BINLOG_PURGE_LOGS_CANT_UPDATE_INDEX_FILE",
    0x2a5c: "ER_BINLOG_PURGE_LOGS_FAILED_TO_PURGE_LOG",
    0x2a5d: "ER_BINLOG_FAILED_TO_SET_PURGE_INDEX_FILE_NAME",
    0x2a5e: "ER_BINLOG_FAILED_TO_OPEN_REGISTER_FILE",
    0x2a5f: "ER_BINLOG_FAILED_TO_REINIT_REGISTER_FILE",
    0x2a60: "ER_BINLOG_FAILED_TO_READ_REGISTER_FILE",
    0x2a61: "ER_CANT_STAT_FILE",
    0x2a62: "ER_BINLOG_CANT_DELETE_LOG_FILE_DOES_INDEX_MATCH_FILES",
    0x2a63: "ER_BINLOG_CANT_DELETE_FILE_AND_READ_BINLOG_INDEX",
    0x2a64: "ER_BINLOG_FAILED_TO_DELETE_LOG_FILE",
    0x2a65: "ER_BINLOG_LOGGING_INCIDENT_TO_STOP_SLAVES",
    0x2a66: "ER_BINLOG_CANT_FIND_LOG_IN_INDEX",
    0x2a67: "ER_BINLOG_RECOVERING_AFTER_CRASH_USING",
    0x2a68: "ER_BINLOG_CANT_OPEN_CRASHED_BINLOG",
    0x2a69: "ER_BINLOG_CANT_TRIM_CRASHED_BINLOG",
    0x2a6a: "ER_BINLOG_CRASHED_BINLOG_TRIMMED",
    0x2a6b: "ER_BINLOG_CANT_CLEAR_IN_USE_FLAG_FOR_CRASHED_BINLOG",
    0x2a6c: "ER_BINLOG_FAILED_TO_RUN_AFTER_SYNC_HOOK",
    0x2a6d: "ER_TURNING_LOGGING_OFF_FOR_THE_DURATION",
    0x2a6e: "ER_BINLOG_FAILED_TO_RUN_AFTER_FLUSH_HOOK",
    0x2a6f: "ER_BINLOG_CRASH_RECOVERY_FAILED",
    0x2a70: "ER_BINLOG_WARNING_SUPPRESSED",
    0x2a71: "ER_NDB_LOG_ENTRY",
    0x2a72: "ER_NDB_LOG_ENTRY_WITH_PREFIX",
    0x2a73: "ER_NDB_BINLOG_CANT_CREATE_PURGE_THD",
    0x2a74: "ER_INNODB_UNKNOWN_COLLATION",
    0x2a75: "ER_INNODB_INVALID_LOG_GROUP_HOME_DIR",
    0x2a76: "ER_INNODB_INVALID_INNODB_UNDO_DIRECTORY",
    0x2a77: "ER_INNODB_ILLEGAL_COLON_IN_POOL",
    0x2a78: "ER_INNODB_INVALID_PAGE_SIZE",
    0x2a79: "ER_INNODB_DIRTY_WATER_MARK_NOT_LOW",
    0x2a7a: "ER_INNODB_IO_CAPACITY_EXCEEDS_MAX",
    0x2a7b: "ER_INNODB_FILES_SAME",
    0x2a7c: "ER_INNODB_UNREGISTERED_TRX_ACTIVE",
    0x2a7d: "ER_INNODB_CLOSING_CONNECTION_ROLLS_BACK",
    0x2a7e: "ER_INNODB_TRX_XLATION_TABLE_OOM",
    0x2a7f: "ER_INNODB_CANT_FIND_INDEX_IN_INNODB_DD",
    0x2a80: "ER_INNODB_INDEX_COLUMN_INFO_UNLIKE_MYSQLS",
    0x2a81: "ER_INNODB_CANT_OPEN_TABLE",
    0x2a82: "ER_INNODB_CANT_BUILD_INDEX_XLATION_TABLE_FOR",
    0x2a83: "ER_INNODB_PK_NOT_IN_MYSQL",
    0x2a84: "ER_INNODB_PK_ONLY_IN_MYSQL",
    0x2a85: "ER_INNODB_CLUSTERED_INDEX_PRIVATE",
    0x2a86: "ER_INNODB_PARTITION_TABLE_LOWERCASED",
    0x2a87: "ER_ERRMSG_REPLACEMENT_DODGY",
    0x2a88: "ER_ERRMSG_REPLACEMENTS_FAILED",
    0x2a89: "ER_NPIPE_CANT_CREATE",
    0x2a8a: "ER_PARTITION_MOVE_CREATED_DUPLICATE_ROW_PLEASE_FIX",
    0x2a8b: "ER_AUDIT_CANT_ABORT_COMMAND",
    0x2a8c: "ER_AUDIT_CANT_ABORT_EVENT",
    0x2a8d: "ER_AUDIT_WARNING",
    0x2a8e: "ER_NDB_NUMBER_OF_CHANNELS",
    0x2a8f: "ER_NDB_SLAVE_PARALLEL_WORKERS",
    0x2a90: "ER_NDB_DISTRIBUTING_ERR",
    0x2a91: "ER_RPL_SLAVE_INSECURE_CHANGE_MASTER",
    0x2a92: "ER_RPL_SLAVE_FLUSH_RELAY_LOGS_NOT_ALLOWED",
    0x2a93: "ER_RPL_SLAVE_INCORRECT_CHANNEL",
    0x2a94: "ER_FAILED_TO_FIND_DL_ENTRY",
    0x2a95: "ER_FAILED_TO_OPEN_SHARED_LIBRARY",
    0x2a96: "ER_THREAD_PRIORITY_IGNORED",
    0x2a97: "ER_BINLOG_CACHE_SIZE_TOO_LARGE",
    0x2a98: "ER_BINLOG_STMT_CACHE_SIZE_TOO_LARGE",
    0x2a99: "ER_FAILED_TO_GENERATE_UNIQUE_LOGFILE",
    0x2a9a: "ER_FAILED_TO_READ_FILE",
    0x2a9b: "ER_FAILED_TO_WRITE_TO_FILE",
    0x2a9c: "ER_BINLOG_UNSAFE_MESSAGE_AND_STATEMENT",
    0x2a9d: "ER_FORCE_CLOSE_THREAD",
    0x2a9e: "ER_SERVER_SHUTDOWN_COMPLETE",
    0x2a9f: "ER_RPL_CANT_HAVE_SAME_BASENAME",
    0x2aa0: "ER_RPL_GTID_MODE_REQUIRES_ENFORCE_GTID_CONSISTENCY_ON",
    0x2aa1: "ER_WARN_NO_SERVERID_SPECIFIED",
    0x2aa2: "ER_ABORTING_USER_CONNECTION",
    0x2aa3: "ER_SQL_MODE_MERGED_WITH_STRICT_MODE",
    0x2aa4: "ER_GTID_PURGED_WAS_UPDATED",
    0x2aa5: "ER_GTID_EXECUTED_WAS_UPDATED",
    0x2aa6: "ER_DEPRECATE_MSG_WITH_REPLACEMENT",
    0x2aa7: "ER_TRG_CREATION_CTX_NOT_SET",
    0x2aa8: "ER_FILE_HAS_OLD_FORMAT",
    0x2aa9: "ER_VIEW_CREATION_CTX_NOT_SET",
    0x2aaa: "ER_TABLE_NAME_CAUSES_TOO_LONG_PATH",
    0x2aab: "ER_TABLE_UPGRADE_REQUIRED",
    0x2aac: "ER_GET_ERRNO_FROM_STORAGE_ENGINE",
    0x2aad: "ER_ACCESS_DENIED_ERROR_WITHOUT_PASSWORD",
    0x2aae: "ER_ACCESS_DENIED_ERROR_WITH_PASSWORD",
    0x2aaf: "ER_ACCESS_DENIED_FOR_USER_ACCOUNT_LOCKED",
    0x2ab0: "ER_MUST_CHANGE_EXPIRED_PASSWORD",
    0x2ab1: "ER_SYSTEM_TABLES_NOT_SUPPORTED_BY_STORAGE_ENGINE",
    0x2ab2: "ER_FILESORT_TERMINATED",
    0x2ab3: "ER_SERVER_STARTUP_MSG",
    0x2ab4: "ER_FAILED_TO_FIND_LOCALE_NAME",
    0x2ab5: "ER_FAILED_TO_FIND_COLLATION_NAME",
    0x2ab6: "ER_SERVER_OUT_OF_RESOURCES",
    0x2ab7: "ER_SERVER_OUTOFMEMORY",
    0x2ab8: "ER_INVALID_COLLATION_FOR_CHARSET",
    0x2ab9: "ER_CANT_START_ERROR_LOG_SERVICE",
    0x2aba: "ER_CREATING_NEW_UUID_FIRST_START",
    0x2abb: "ER_FAILED_TO_GET_ABSOLUTE_PATH",
    0x2abc: "ER_PERFSCHEMA_COMPONENTS_INFRASTRUCTURE_BOOTSTRAP",
    0x2abd: "ER_PERFSCHEMA_COMPONENTS_INFRASTRUCTURE_SHUTDOWN",
    0x2abe: "ER_DUP_FD_OPEN_FAILED",
    0x2abf: "ER_SYSTEM_VIEW_INIT_FAILED",
    0x2ac0: "ER_RESOURCE_GROUP_POST_INIT_FAILED",
    0x2ac1: "ER_RESOURCE_GROUP_SUBSYSTEM_INIT_FAILED",
    0x2ac2: "ER_FAILED_START_MYSQLD_DAEMON",
    0x2ac3: "ER_CANNOT_CHANGE_TO_ROOT_DIR",
    0x2ac4: "ER_PERSISTENT_PRIVILEGES_BOOTSTRAP",
    0x2ac5: "ER_BASEDIR_SET_TO",
    0x2ac6: "ER_RPL_FILTER_ADD_WILD_DO_TABLE_FAILED",
    0x2ac7: "ER_RPL_FILTER_ADD_WILD_IGNORE_TABLE_FAILED",
    0x2ac8: "ER_PRIVILEGE_SYSTEM_INIT_FAILED",
    0x2ac9: "ER_CANNOT_SET_LOG_ERROR_SERVICES",
    0x2aca: "ER_PERFSCHEMA_TABLES_INIT_FAILED",
    0x2acb: "ER_TX_EXTRACTION_ALGORITHM_FOR_BINLOG_TX_DEPEDENCY_TRACKING",
    0x2acc: "ER_INVALID_REPLICATION_TIMESTAMPS",
    0x2acd: "ER_RPL_TIMESTAMPS_RETURNED_TO_NORMAL",
    0x2ace: "ER_BINLOG_FILE_OPEN_FAILED",
    0x2acf: "ER_BINLOG_EVENT_WRITE_TO_STMT_CACHE_FAILED",
    0x2ad0: "ER_SLAVE_RELAY_LOG_TRUNCATE_INFO",
    0x2ad1: "ER_SLAVE_RELAY_LOG_PURGE_FAILED",
    0x2ad2: "ER_RPL_SLAVE_FILTER_CREATE_FAILED",
    0x2ad3: "ER_RPL_SLAVE_GLOBAL_FILTERS_COPY_FAILED",
    0x2ad4: "ER_RPL_SLAVE_RESET_FILTER_OPTIONS",
    0x2ad5: "ER_MISSING_GRANT_SYSTEM_TABLE",
    0x2ad6: "ER_MISSING_ACL_SYSTEM_TABLE",
    0x2ad7: "ER_ANONYMOUS_AUTH_ID_NOT_ALLOWED_IN_MANDATORY_ROLES",
    0x2ad8: "ER_UNKNOWN_AUTH_ID_IN_MANDATORY_ROLE",
    0x2ad9: "ER_WRITE_ROW_TO_PARTITION_FAILED",
    0x2ada: "ER_RESOURCE_GROUP_METADATA_UPDATE_SKIPPED",
    0x2adb: "ER_FAILED_TO_PERSIST_RESOURCE_GROUP_METADATA",
    0x2adc: "ER_FAILED_TO_DESERIALIZE_RESOURCE_GROUP",
    0x2add: "ER_FAILED_TO_UPDATE_RESOURCE_GROUP",
    0x2ade: "ER_RESOURCE_GROUP_VALIDATION_FAILED",
    0x2adf: "ER_FAILED_TO_ALLOCATE_MEMORY_FOR_RESOURCE_GROUP",
    0x2ae0: "ER_FAILED_TO_ALLOCATE_MEMORY_FOR_RESOURCE_GROUP_HASH",
    0x2ae1: "ER_FAILED_TO_ADD_RESOURCE_GROUP_TO_MAP",
    0x2ae2: "ER_RESOURCE_GROUP_IS_DISABLED",
    0x2ae3: "ER_FAILED_TO_APPLY_RESOURCE_GROUP_CONTROLLER",
    0x2ae4: "ER_FAILED_TO_ACQUIRE_LOCK_ON_RESOURCE_GROUP",
    0x2ae5: "ER_PFS_NOTIFICATION_FUNCTION_REGISTER_FAILED",
    0x2ae6: "ER_RES_GRP_SET_THR_AFFINITY_FAILED",
    0x2ae7: "ER_RES_GRP_SET_THR_AFFINITY_TO_CPUS_FAILED",
    0x2ae8: "ER_RES_GRP_THD_UNBIND_FROM_CPU_FAILED",
    0x2ae9: "ER_RES_GRP_SET_THREAD_PRIORITY_FAILED",
    0x2aea: "ER_RES_GRP_FAILED_TO_DETERMINE_NICE_CAPABILITY",
    0x2aeb: "ER_RES_GRP_FAILED_TO_GET_THREAD_HANDLE",
    0x2aec: "ER_RES_GRP_GET_THREAD_PRIO_NOT_SUPPORTED",
    0x2aed: "ER_RES_GRP_FAILED_DETERMINE_CPU_COUNT",
    0x2aee: "ER_RES_GRP_FEATURE_NOT_AVAILABLE",
    0x2aef: "ER_RES_GRP_INVALID_THREAD_PRIORITY",
    0x2af0: "ER_RES_GRP_SOLARIS_PROCESSOR_BIND_TO_CPUID_FAILED",
    0x2af1: "ER_RES_GRP_SOLARIS_PROCESSOR_BIND_TO_THREAD_FAILED",
    0x2af2: "ER_RES_GRP_SOLARIS_PROCESSOR_AFFINITY_FAILED",
    0x2af3: "ER_DD_UPGRADE_RENAME_IDX_STATS_FILE_FAILED",
    0x2af4: "ER_DD_UPGRADE_DD_OPEN_FAILED",
    0x2af5: "ER_DD_UPGRADE_FAILED_TO_FETCH_TABLESPACES",
    0x2af6: "ER_DD_UPGRADE_FAILED_TO_ACQUIRE_TABLESPACE",
    0x2af7: "ER_DD_UPGRADE_FAILED_TO_RESOLVE_TABLESPACE_ENGINE",
    0x2af8: "ER_FAILED_TO_CREATE_SDI_FOR_TABLESPACE",
    0x2af9: "ER_FAILED_TO_STORE_SDI_FOR_TABLESPACE",
    0x2afa: "ER_DD_UPGRADE_FAILED_TO_FETCH_TABLES",
    0x2afb: "ER_DD_UPGRADE_DD_POPULATED",
    0x2afc: "ER_DD_UPGRADE_INFO_FILE_OPEN_FAILED",
    0x2afd: "ER_DD_UPGRADE_INFO_FILE_CLOSE_FAILED",
    0x2afe: "ER_DD_UPGRADE_TABLESPACE_MIGRATION_FAILED",
    0x2aff: "ER_DD_UPGRADE_FAILED_TO_CREATE_TABLE_STATS",
    0x2b00: "ER_DD_UPGRADE_TABLE_STATS_MIGRATE_COMPLETED",
    0x2b01: "ER_DD_UPGRADE_FAILED_TO_CREATE_INDEX_STATS",
    0x2b02: "ER_DD_UPGRADE_INDEX_STATS_MIGRATE_COMPLETED",
    0x2b03: "ER_DD_UPGRADE_FAILED_FIND_VALID_DATA_DIR",
    0x2b04: "ER_DD_UPGRADE_START",
    0x2b05: "ER_DD_UPGRADE_FAILED_INIT_DD_SE",
    0x2b06: "ER_DD_UPGRADE_FOUND_PARTIALLY_UPGRADED_DD_ABORT",
    0x2b07: "ER_DD_UPGRADE_FOUND_PARTIALLY_UPGRADED_DD_CONTINUE",
    0x2b08: "ER_DD_UPGRADE_SE_LOGS_FAILED",
    0x2b09: "ER_DD_UPGRADE_SDI_INFO_UPDATE_FAILED",
    0x2b0a: "ER_SKIP_UPDATING_METADATA_IN_SE_RO_MODE",
    0x2b0b: "ER_CREATED_SYSTEM_WITH_VERSION",
    0x2b0c: "ER_UNKNOWN_ERROR_DETECTED_IN_SE",
    0x2b0d: "ER_READ_LOG_EVENT_FAILED",
    0x2b0e: "ER_ROW_DATA_TOO_BIG_TO_WRITE_IN_BINLOG",
    0x2b0f: "ER_FAILED_TO_CONSTRUCT_DROP_EVENT_QUERY",
    0x2b10: "ER_FAILED_TO_BINLOG_DROP_EVENT",
    0x2b11: "ER_FAILED_TO_START_SLAVE_THREAD",
    0x2b12: "ER_RPL_IO_THREAD_KILLED",
    0x2b13: "ER_SLAVE_RECONNECT_FAILED",
    0x2b14: "ER_SLAVE_KILLED_AFTER_RECONNECT",
    0x2b15: "ER_SLAVE_NOT_STARTED_ON_SOME_CHANNELS",
    0x2b16: "ER_FAILED_TO_ADD_RPL_FILTER",
    0x2b17: "ER_PER_CHANNEL_RPL_FILTER_CONF_FOR_GRP_RPL",
    0x2b18: "ER_RPL_FILTERS_NOT_ATTACHED_TO_CHANNEL",
    0x2b19: "ER_FAILED_TO_BUILD_DO_AND_IGNORE_TABLE_HASHES",
    0x2b1a: "ER_CLONE_PLUGIN_NOT_LOADED",
    0x2b1b: "ER_CLONE_HANDLER_EXISTS",
    0x2b1c: "ER_FAILED_TO_CREATE_CLONE_HANDLER",
    0x2b1d: "ER_CYCLE_TIMER_IS_NOT_AVAILABLE",
    0x2b1e: "ER_NANOSECOND_TIMER_IS_NOT_AVAILABLE",
    0x2b1f: "ER_MICROSECOND_TIMER_IS_NOT_AVAILABLE",
    0x2b20: "ER_PFS_MALLOC_ARRAY_OVERFLOW",
    0x2b21: "ER_PFS_MALLOC_ARRAY_OOM",
    0x2b22: "ER_INNODB_FAILED_TO_FIND_IDX_WITH_KEY_NO",
    0x2b23: "ER_INNODB_FAILED_TO_FIND_IDX",
    0x2b24: "ER_INNODB_FAILED_TO_FIND_IDX_FROM_DICT_CACHE",
    0x2b25: "ER_INNODB_ACTIVE_INDEX_CHANGE_FAILED",
    0x2b26: "ER_INNODB_DIFF_IN_REF_LEN",
    0x2b27: "ER_WRONG_TYPE_FOR_COLUMN_PREFIX_IDX_FLD",
    0x2b28: "ER_INNODB_CANNOT_CREATE_TABLE",
    0x2b29: "ER_INNODB_INTERNAL_INDEX",
    0x2b2a: "ER_INNODB_IDX_CNT_MORE_THAN_DEFINED_IN_MYSQL",
    0x2b2b: "ER_INNODB_IDX_CNT_FEWER_THAN_DEFINED_IN_MYSQL",
    0x2b2c: "ER_INNODB_IDX_COLUMN_CNT_DIFF",
    0x2b2d: "ER_INNODB_USE_MONITOR_GROUP_NAME",
    0x2b2e: "ER_INNODB_MONITOR_DEFAULT_VALUE_NOT_DEFINED",
    0x2b2f: "ER_INNODB_MONITOR_IS_ENABLED",
    0x2b30: "ER_INNODB_INVALID_MONITOR_COUNTER_NAME",
    0x2b31: "ER_WIN_LOAD_LIBRARY_FAILED",
    0x2b32: "ER_PARTITION_HANDLER_ADMIN_MSG",
    0x2b33: "ER_RPL_RLI_INIT_INFO_MSG",
    0x2b34: "ER_DD_UPGRADE_TABLE_INTACT_ERROR",
    0x2b35: "ER_SERVER_INIT_COMPILED_IN_COMMANDS",
    0x2b36: "ER_MYISAM_CHECK_METHOD_ERROR",
    0x2b37: "ER_MYISAM_CRASHED_ERROR",
    0x2b38: "ER_WAITPID_FAILED",
    0x2b39: "ER_FAILED_TO_FIND_MYSQLD_STATUS",
    0x2b3a: "ER_INNODB_ERROR_LOGGER_MSG",
    0x2b3b: "ER_INNODB_ERROR_LOGGER_FATAL_MSG",
    0x2b3c: "ER_DEPRECATED_SYNTAX_WITH_REPLACEMENT",
    0x2b3d: "ER_DEPRECATED_SYNTAX_NO_REPLACEMENT",
    0x2b3e: "ER_DEPRECATE_MSG_NO_REPLACEMENT",
    0x2b3f: "ER_LOG_PRINTF_MSG",
    0x2b40: "ER_BINLOG_LOGGING_NOT_POSSIBLE",
    0x2b41: "ER_FAILED_TO_SET_PERSISTED_OPTIONS",
    0x2b42: "ER_COMPONENTS_FAILED_TO_ACQUIRE_SERVICE_IMPLEMENTATION",
    0x2b43: "ER_RES_GRP_INVALID_VCPU_RANGE",
    0x2b44: "ER_RES_GRP_INVALID_VCPU_ID",
    0x2b45: "ER_ERROR_DURING_FLUSH_LOG_COMMIT_PHASE",
    0x2b46: "ER_DROP_DATABASE_FAILED_RMDIR_MANUALLY",
    0x2b47: "ER_EXPIRE_LOGS_DAYS_IGNORED",
    0x2b48: "ER_BINLOG_MALFORMED_OR_OLD_RELAY_LOG",
    0x2b49: "ER_DD_UPGRADE_VIEW_COLUMN_NAME_TOO_LONG",
    0x2b4a: "ER_TABLE_NEEDS_DUMP_UPGRADE",
    0x2b4b: "ER_DD_UPGRADE_FAILED_TO_UPDATE_VER_NO_IN_TABLESPACE",
    0x2b4c: "ER_KEYRING_MIGRATION_FAILED",
    0x2b4d: "ER_KEYRING_MIGRATION_SUCCESSFUL",
    0x2b4e: "ER_RESTART_RECEIVED_INFO",
    0x2b4f: "ER_LCTN_CHANGED",
    0x2b50: "ER_DD_INITIALIZE",
    0x2b51: "ER_DD_RESTART",
    0x2b52: "ER_DD_UPGRADE",
    0x2b53: "ER_DD_UPGRADE_OFF",
    0x2b54: "ER_DD_UPGRADE_VERSION_NOT_SUPPORTED",
    0x2b55: "ER_DD_UPGRADE_SCHEMA_UNAVAILABLE",
    0x2b56: "ER_DD_MINOR_DOWNGRADE",
    0x2b57: "ER_DD_MINOR_DOWNGRADE_VERSION_NOT_SUPPORTED",
    0x2b58: "ER_DD_NO_VERSION_FOUND",
    0x2b59: "ER_THREAD_POOL_NOT_SUPPORTED_ON_PLATFORM",
    0x2b5a: "ER_THREAD_POOL_SIZE_TOO_LOW",
    0x2b5b: "ER_THREAD_POOL_SIZE_TOO_HIGH",
    0x2b5c: "ER_THREAD_POOL_ALGORITHM_INVALID",
    0x2b5d: "ER_THREAD_POOL_INVALID_STALL_LIMIT",
    0x2b5e: "ER_THREAD_POOL_INVALID_PRIO_KICKUP_TIMER",
    0x2b5f: "ER_THREAD_POOL_MAX_UNUSED_THREADS_INVALID",
    0x2b60: "ER_THREAD_POOL_CON_HANDLER_INIT_FAILED",
    0x2b61: "ER_THREAD_POOL_INIT_FAILED",
    0x2b62: "ER_THREAD_POOL_PLUGIN_STARTED",
    0x2b63: "ER_THREAD_POOL_CANNOT_SET_THREAD_SPECIFIC_DATA",
    0x2b64: "ER_THREAD_POOL_FAILED_TO_CREATE_CONNECT_HANDLER_THD",
    0x2b65: "ER_THREAD_POOL_FAILED_TO_CREATE_THD_AND_AUTH_CONN",
    0x2b66: "ER_THREAD_POOL_FAILED_PROCESS_CONNECT_EVENT",
    0x2b67: "ER_THREAD_POOL_FAILED_TO_CREATE_POOL",
    0x2b68: "ER_THREAD_POOL_RATE_LIMITED_ERROR_MSGS",
    0x2b69: "ER_TRHEAD_POOL_LOW_LEVEL_INIT_FAILED",
    0x2b6a: "ER_THREAD_POOL_LOW_LEVEL_REARM_FAILED",
    0x2b6b: "ER_THREAD_POOL_BUFFER_TOO_SMALL",
    0x2b6c: "ER_MECAB_NOT_SUPPORTED",
    0x2b6d: "ER_MECAB_NOT_VERIFIED",
    0x2b6e: "ER_MECAB_CREATING_MODEL",
    0x2b6f: "ER_MECAB_FAILED_TO_CREATE_MODEL",
    0x2b70: "ER_MECAB_FAILED_TO_CREATE_TRIGGER",
    0x2b71: "ER_MECAB_UNSUPPORTED_CHARSET",
    0x2b72: "ER_MECAB_CHARSET_LOADED",
    0x2b73: "ER_MECAB_PARSE_FAILED",
    0x2b74: "ER_MECAB_OOM_WHILE_PARSING_TEXT",
    0x2b75: "ER_MECAB_CREATE_LATTICE_FAILED",
    0x2b76: "ER_SEMISYNC_TRACE_ENTER_FUNC",
    0x2b77: "ER_SEMISYNC_TRACE_EXIT_WITH_INT_EXIT_CODE",
    0x2b78: "ER_SEMISYNC_TRACE_EXIT_WITH_BOOL_EXIT_CODE",
    0x2b79: "ER_SEMISYNC_TRACE_EXIT",
    0x2b7a: "ER_SEMISYNC_RPL_INIT_FOR_TRX",
    0x2b7b: "ER_SEMISYNC_FAILED_TO_ALLOCATE_TRX_NODE",
    0x2b7c: "ER_SEMISYNC_BINLOG_WRITE_OUT_OF_ORDER",
    0x2b7d: "ER_SEMISYNC_INSERT_LOG_INFO_IN_ENTRY",
    0x2b7e: "ER_SEMISYNC_PROBE_LOG_INFO_IN_ENTRY",
    0x2b7f: "ER_SEMISYNC_CLEARED_ALL_ACTIVE_TRANSACTION_NODES",
    0x2b80: "ER_SEMISYNC_CLEARED_ACTIVE_TRANSACTION_TILL_POS",
    0x2b81: "ER_SEMISYNC_REPLY_MAGIC_NO_ERROR",
    0x2b82: "ER_SEMISYNC_REPLY_PKT_LENGTH_TOO_SMALL",
    0x2b83: "ER_SEMISYNC_REPLY_BINLOG_FILE_TOO_LARGE",
    0x2b84: "ER_SEMISYNC_SERVER_REPLY",
    0x2b85: "ER_SEMISYNC_FUNCTION_CALLED_TWICE",
    0x2b86: "ER_SEMISYNC_RPL_ENABLED_ON_MASTER",
    0x2b87: "ER_SEMISYNC_MASTER_OOM",
    0x2b88: "ER_SEMISYNC_DISABLED_ON_MASTER",
    0x2b89: "ER_SEMISYNC_FORCED_SHUTDOWN",
    0x2b8a: "ER_SEMISYNC_MASTER_GOT_REPLY_AT_POS",
    0x2b8b: "ER_SEMISYNC_MASTER_SIGNAL_ALL_WAITING_THREADS",
    0x2b8c: "ER_SEMISYNC_MASTER_TRX_WAIT_POS",
    0x2b8d: "ER_SEMISYNC_BINLOG_REPLY_IS_AHEAD",
    0x2b8e: "ER_SEMISYNC_MOVE_BACK_WAIT_POS",
    0x2b8f: "ER_SEMISYNC_INIT_WAIT_POS",
    0x2b90: "ER_SEMISYNC_WAIT_TIME_FOR_BINLOG_SENT",
    0x2b91: "ER_SEMISYNC_WAIT_FOR_BINLOG_TIMEDOUT",
    0x2b92: "ER_SEMISYNC_WAIT_TIME_ASSESSMENT_FOR_COMMIT_TRX_FAILED",
    0x2b93: "ER_SEMISYNC_RPL_SWITCHED_OFF",
    0x2b94: "ER_SEMISYNC_RPL_SWITCHED_ON",
    0x2b95: "ER_SEMISYNC_NO_SPACE_IN_THE_PKT",
    0x2b96: "ER_SEMISYNC_SYNC_HEADER_UPDATE_INFO",
    0x2b97: "ER_SEMISYNC_FAILED_TO_INSERT_TRX_NODE",
    0x2b98: "ER_SEMISYNC_TRX_SKIPPED_AT_POS",
    0x2b99: "ER_SEMISYNC_MASTER_FAILED_ON_NET_FLUSH",
    0x2b9a: "ER_SEMISYNC_RECEIVED_ACK_IS_SMALLER",
    0x2b9b: "ER_SEMISYNC_ADD_ACK_TO_SLOT",
    0x2b9c: "ER_SEMISYNC_UPDATE_EXISTING_SLAVE_ACK",
    0x2b9d: "ER_SEMISYNC_FAILED_TO_START_ACK_RECEIVER_THD",
    0x2b9e: "ER_SEMISYNC_STARTING_ACK_RECEIVER_THD",
    0x2b9f: "ER_SEMISYNC_FAILED_TO_WAIT_ON_DUMP_SOCKET",
    0x2ba0: "ER_SEMISYNC_STOPPING_ACK_RECEIVER_THREAD",
    0x2ba1: "ER_SEMISYNC_FAILED_REGISTER_SLAVE_TO_RECEIVER",
    0x2ba2: "ER_SEMISYNC_START_BINLOG_DUMP_TO_SLAVE",
    0x2ba3: "ER_SEMISYNC_STOP_BINLOG_DUMP_TO_SLAVE",
    0x2ba4: "ER_SEMISYNC_UNREGISTER_TRX_OBSERVER_FAILED",
    0x2ba5: "ER_SEMISYNC_UNREGISTER_BINLOG_STORAGE_OBSERVER_FAILED",
    0x2ba6: "ER_SEMISYNC_UNREGISTER_BINLOG_TRANSMIT_OBSERVER_FAILED",
    0x2ba7: "ER_SEMISYNC_UNREGISTERED_REPLICATOR",
    0x2ba8: "ER_SEMISYNC_SOCKET_FD_TOO_LARGE",
    0x2ba9: "ER_SEMISYNC_SLAVE_REPLY",
    0x2baa: "ER_SEMISYNC_MISSING_MAGIC_NO_FOR_SEMISYNC_PKT",
    0x2bab: "ER_SEMISYNC_SLAVE_START",
    0x2bac: "ER_SEMISYNC_SLAVE_REPLY_WITH_BINLOG_INFO",
    0x2bad: "ER_SEMISYNC_SLAVE_NET_FLUSH_REPLY_FAILED",
    0x2bae: "ER_SEMISYNC_SLAVE_SEND_REPLY_FAILED",
    0x2baf: "ER_SEMISYNC_EXECUTION_FAILED_ON_MASTER",
    0x2bb0: "ER_SEMISYNC_NOT_SUPPORTED_BY_MASTER",
    0x2bb1: "ER_SEMISYNC_SLAVE_SET_FAILED",
    0x2bb2: "ER_SEMISYNC_FAILED_TO_STOP_ACK_RECEIVER_THD",
    0x2bb3: "ER_FIREWALL_FAILED_TO_READ_FIREWALL_TABLES",
    0x2bb4: "ER_FIREWALL_FAILED_TO_REG_DYNAMIC_PRIVILEGES",
    0x2bb5: "ER_FIREWALL_RECORDING_STMT_WAS_TRUNCATED",
    0x2bb6: "ER_FIREWALL_RECORDING_STMT_WITHOUT_TEXT",
    0x2bb7: "ER_FIREWALL_SUSPICIOUS_STMT",
    0x2bb8: "ER_FIREWALL_ACCESS_DENIED",
    0x2bb9: "ER_FIREWALL_SKIPPED_UNKNOWN_USER_MODE",
    0x2bba: "ER_FIREWALL_RELOADING_CACHE",
    0x2bbb: "ER_FIREWALL_RESET_FOR_USER",
    0x2bbc: "ER_FIREWALL_STATUS_FLUSHED",
    0x2bbd: "ER_KEYRING_LOGGER_ERROR_MSG",
    0x2bbe: "ER_AUDIT_LOG_FILTER_IS_NOT_INSTALLED",
    0x2bbf: "ER_AUDIT_LOG_SWITCHING_TO_INCLUDE_LIST",
    0x2bc0: "ER_AUDIT_LOG_CANNOT_SET_LOG_POLICY_WITH_OTHER_POLICIES",
    0x2bc1: "ER_AUDIT_LOG_ONLY_INCLUDE_LIST_USED",
    0x2bc2: "ER_AUDIT_LOG_INDEX_MAP_CANNOT_ACCESS_DIR",
    0x2bc3: "ER_AUDIT_LOG_WRITER_RENAME_FILE_FAILED",
    0x2bc4: "ER_AUDIT_LOG_WRITER_DEST_FILE_ALREADY_EXISTS",
    0x2bc5: "ER_AUDIT_LOG_WRITER_RENAME_FILE_FAILED_REMOVE_FILE_MANUALLY",
    0x2bc6: "ER_AUDIT_LOG_WRITER_INCOMPLETE_FILE_RENAMED",
    0x2bc7: "ER_AUDIT_LOG_WRITER_FAILED_TO_WRITE_TO_FILE",
    0x2bc8: "ER_AUDIT_LOG_EC_WRITER_FAILED_TO_INIT_ENCRYPTION",
    0x2bc9: "ER_AUDIT_LOG_EC_WRITER_FAILED_TO_INIT_COMPRESSION",
    0x2bca: "ER_AUDIT_LOG_EC_WRITER_FAILED_TO_CREATE_FILE",
    0x2bcb: "ER_AUDIT_LOG_RENAME_LOG_FILE_BEFORE_FLUSH",
    0x2bcc: "ER_AUDIT_LOG_FILTER_RESULT_MSG",
    0x2bcd: "ER_AUDIT_LOG_JSON_READER_FAILED_TO_PARSE",
    0x2bce: "ER_AUDIT_LOG_JSON_READER_BUF_TOO_SMALL",
    0x2bcf: "ER_AUDIT_LOG_JSON_READER_FAILED_TO_OPEN_FILE",
    0x2bd0: "ER_AUDIT_LOG_JSON_READER_FILE_PARSING_ERROR",
    0x2bd1: "ER_AUDIT_LOG_FILTER_INVALID_COLUMN_COUNT",
    0x2bd2: "ER_AUDIT_LOG_FILTER_INVALID_COLUMN_DEFINITION",
    0x2bd3: "ER_AUDIT_LOG_FILTER_FAILED_TO_STORE_TABLE_FLDS",
    0x2bd4: "ER_AUDIT_LOG_FILTER_FAILED_TO_UPDATE_TABLE",
    0x2bd5: "ER_AUDIT_LOG_FILTER_FAILED_TO_INSERT_INTO_TABLE",
    0x2bd6: "ER_AUDIT_LOG_FILTER_FAILED_TO_DELETE_FROM_TABLE",
    0x2bd7: "ER_AUDIT_LOG_FILTER_FAILED_TO_INIT_TABLE_FOR_READ",
    0x2bd8: "ER_AUDIT_LOG_FILTER_FAILED_TO_READ_TABLE",
    0x2bd9: "ER_AUDIT_LOG_FILTER_FAILED_TO_CLOSE_TABLE_AFTER_READING",
    0x2bda: "ER_AUDIT_LOG_FILTER_USER_AND_HOST_CANNOT_BE_EMPTY",
    0x2bdb: "ER_AUDIT_LOG_FILTER_FLD_FILTERNAME_CANNOT_BE_EMPTY",
    0x2bdc: "ER_VALIDATE_PWD_DICT_FILE_NOT_SPECIFIED",
    0x2bdd: "ER_VALIDATE_PWD_DICT_FILE_NOT_LOADED",
    0x2bde: "ER_VALIDATE_PWD_DICT_FILE_TOO_BIG",
    0x2bdf: "ER_VALIDATE_PWD_FAILED_TO_READ_DICT_FILE",
    0x2be0: "ER_VALIDATE_PWD_FAILED_TO_GET_FLD_FROM_SECURITY_CTX",
    0x2be1: "ER_VALIDATE_PWD_FAILED_TO_GET_SECURITY_CTX",
    0x2be2: "ER_VALIDATE_PWD_LENGTH_CHANGED",
    0x2be3: "ER_REWRITER_QUERY_ERROR_MSG",
    0x2be4: "ER_REWRITER_QUERY_FAILED",
    0x2be5: "ER_XPLUGIN_STARTUP_FAILED",
    0x2be6: "ER_XPLUGIN_SERVER_EXITING",
    0x2be7: "ER_XPLUGIN_SERVER_EXITED",
    0x2be8: "ER_XPLUGIN_USING_SSL_CONF_FROM_SERVER",
    0x2be9: "ER_XPLUGIN_USING_SSL_CONF_FROM_MYSQLX",
    0x2bea: "ER_XPLUGIN_FAILED_TO_USE_SSL_CONF",
    0x2beb: "ER_XPLUGIN_USING_SSL_FOR_TLS_CONNECTION",
    0x2bec: "ER_XPLUGIN_REFERENCE_TO_SECURE_CONN_WITH_XPLUGIN",
    0x2bed: "ER_XPLUGIN_ERROR_MSG",
    0x2bee: "ER_SHA_PWD_FAILED_TO_PARSE_AUTH_STRING",
    0x2bef: "ER_SHA_PWD_FAILED_TO_GENERATE_MULTI_ROUND_HASH",
    0x2bf0: "ER_SHA_PWD_AUTH_REQUIRES_RSA_OR_SSL",
    0x2bf1: "ER_SHA_PWD_RSA_KEY_TOO_LONG",
    0x2bf2: "ER_PLUGIN_COMMON_FAILED_TO_OPEN_FILTER_TABLES",
    0x2bf3: "ER_PLUGIN_COMMON_FAILED_TO_OPEN_TABLE",
    0x2bf4: "ER_AUTH_LDAP_ERROR_LOGGER_ERROR_MSG",
    0x2bf5: "ER_CONN_CONTROL_ERROR_MSG",
    0x2bf6: "ER_GRP_RPL_ERROR_MSG",
    0x2bf7: "ER_SHA_PWD_SALT_FOR_USER_CORRUPT",
    0x2bf8: "ER_SYS_VAR_COMPONENT_OOM",
    0x2bf9: "ER_SYS_VAR_COMPONENT_VARIABLE_SET_READ_ONLY",
    0x2bfa: "ER_SYS_VAR_COMPONENT_UNKNOWN_VARIABLE_TYPE",
    0x2bfb: "ER_SYS_VAR_COMPONENT_FAILED_TO_PARSE_VARIABLE_OPTIONS",
    0x2bfc: "ER_SYS_VAR_COMPONENT_FAILED_TO_MAKE_VARIABLE_PERSISTENT",
    0x2bfd: "ER_COMPONENT_FILTER_CONFUSED",
    0x2bfe: "ER_STOP_SLAVE_IO_THREAD_DISK_SPACE",
    0x2bff: "ER_LOG_FILE_CANNOT_OPEN",
    0x2c04: "ER_PERSIST_OPTION_STATUS",
    0x2c05: "ER_NOT_IMPLEMENTED_GET_TABLESPACE_STATISTICS",
    0x2c08: "ER_SSL_FIPS_MODE_ERROR",
    0x2c09: "ER_CONN_INIT_CONNECT_IGNORED",
    0x2c0a: "ER_UNSUPPORTED_SQL_MODE",
    0x2c0b: "ER_REWRITER_OOM",
    0x2c0c: "ER_REWRITER_TABLE_MALFORMED_ERROR",
    0x2c0d: "ER_REWRITER_LOAD_FAILED",
    0x2c0e: "ER_REWRITER_READ_FAILED",
    0x2c0f: "ER_CONN_CONTROL_EVENT_COORDINATOR_INIT_FAILED",
    0x2c10: "ER_CONN_CONTROL_STAT_CONN_DELAY_TRIGGERED_UPDATE_FAILED",
    0x2c11: "ER_CONN_CONTROL_STAT_CONN_DELAY_TRIGGERED_RESET_FAILED",
    0x2c12: "ER_CONN_CONTROL_INVALID_CONN_DELAY_TYPE",
    0x2c13: "ER_CONN_CONTROL_DELAY_ACTION_INIT_FAILED",
    0x2c14: "ER_CONN_CONTROL_FAILED_TO_SET_CONN_DELAY",
    0x2c15: "ER_CONN_CONTROL_FAILED_TO_UPDATE_CONN_DELAY_HASH",
    0x2c16: "ER_XPLUGIN_FORCE_STOP_CLIENT",
    0x2c17: "ER_XPLUGIN_MAX_AUTH_ATTEMPTS_REACHED",
    0x2c18: "ER_XPLUGIN_BUFFER_PAGE_ALLOC_FAILED",
    0x2c19: "ER_XPLUGIN_DETECTED_HANGING_CLIENTS",
    0x2c1a: "ER_XPLUGIN_FAILED_TO_ACCEPT_CLIENT",
    0x2c1b: "ER_XPLUGIN_FAILED_TO_SCHEDULE_CLIENT",
    0x2c1c: "ER_XPLUGIN_FAILED_TO_PREPARE_IO_INTERFACES",
    0x2c1d: "ER_XPLUGIN_SRV_SESSION_INIT_THREAD_FAILED",
    0x2c1e: "ER_XPLUGIN_UNABLE_TO_USE_USER_SESSION_ACCOUNT",
    0x2c1f: "ER_XPLUGIN_REFERENCE_TO_USER_ACCOUNT_DOC_SECTION",
    0x2c20: "ER_XPLUGIN_UNEXPECTED_EXCEPTION_DISPATCHING_CMD",
    0x2c21: "ER_XPLUGIN_EXCEPTION_IN_TASK_SCHEDULER",
    0x2c22: "ER_XPLUGIN_TASK_SCHEDULING_FAILED",
    0x2c23: "ER_XPLUGIN_EXCEPTION_IN_EVENT_LOOP",
    0x2c24: "ER_XPLUGIN_LISTENER_SETUP_FAILED",
    0x2c25: "ER_XPLUING_NET_STARTUP_FAILED",
    0x2c26: "ER_XPLUGIN_FAILED_AT_SSL_CONF",
    0x2c27: "ER_XPLUGIN_CLIENT_SSL_HANDSHAKE_FAILED",
    0x2c28: "ER_XPLUGIN_SSL_HANDSHAKE_WITH_SERVER_FAILED",
    0x2c29: "ER_XPLUGIN_FAILED_TO_CREATE_SESSION_FOR_CONN",
    0x2c2a: "ER_XPLUGIN_FAILED_TO_INITIALIZE_SESSION",
    0x2c2b: "ER_XPLUGIN_MESSAGE_TOO_LONG",
    0x2c2c: "ER_XPLUGIN_UNINITIALIZED_MESSAGE",
    0x2c2d: "ER_XPLUGIN_FAILED_TO_SET_MIN_NUMBER_OF_WORKERS",
    0x2c2e: "ER_XPLUGIN_UNABLE_TO_ACCEPT_CONNECTION",
    0x2c2f: "ER_XPLUGIN_ALL_IO_INTERFACES_DISABLED",
    0x2c30: "ER_XPLUGIN_INVALID_MSG_DURING_CLIENT_INIT",
    0x2c31: "ER_XPLUGIN_CLOSING_CLIENTS_ON_SHUTDOWN",
    0x2c32: "ER_XPLUGIN_ERROR_READING_SOCKET",
    0x2c33: "ER_XPLUGIN_PEER_DISCONNECTED_WHILE_READING_MSG_BODY",
    0x2c34: "ER_XPLUGIN_READ_FAILED_CLOSING_CONNECTION",
    0x2c35: "ER_XPLUGIN_INVALID_AUTH_METHOD",
    0x2c36: "ER_XPLUGIN_UNEXPECTED_MSG_DURING_AUTHENTICATION",
    0x2c37: "ER_XPLUGIN_ERROR_WRITING_TO_CLIENT",
    0x2c38: "ER_XPLUGIN_SCHEDULER_STARTED",
    0x2c39: "ER_XPLUGIN_SCHEDULER_STOPPED",
    0x2c3a: "ER_XPLUGIN_LISTENER_SYS_VARIABLE_ERROR",
    0x2c3b: "ER_XPLUGIN_LISTENER_STATUS_MSG",
    0x2c3c: "ER_XPLUGIN_RETRYING_BIND_ON_PORT",
    0x2c3d: "ER_XPLUGIN_SHUTDOWN_TRIGGERED",
    0x2c3e: "ER_XPLUGIN_USER_ACCOUNT_WITH_ALL_PERMISSIONS",
    0x2c3f: "ER_XPLUGIN_EXISTING_USER_ACCOUNT_WITH_INCOMPLETE_GRANTS",
    0x2c40: "ER_XPLUGIN_SERVER_STARTS_HANDLING_CONNECTIONS",
    0x2c41: "ER_XPLUGIN_SERVER_STOPPED_HANDLING_CONNECTIONS",
    0x2c42: "ER_XPLUGIN_FAILED_TO_INTERRUPT_SESSION",
    0x2c43: "ER_XPLUGIN_CLIENT_RELEASE_TRIGGERED",
    0x2c44: "ER_XPLUGIN_IPv6_AVAILABLE",
    0x2c45: "ER_XPLUGIN_UNIX_SOCKET_NOT_CONFIGURED",
    0x2c46: "ER_XPLUGIN_CLIENT_KILL_MSG",
    0x2c47: "ER_XPLUGIN_FAILED_TO_GET_SECURITY_CTX",
    0x2c48: "ER_XPLUGIN_FAILED_TO_SWITCH_SECURITY_CTX_TO_ROOT",
    0x2c49: "ER_XPLUGIN_FAILED_TO_CLOSE_SQL_SESSION",
    0x2c4a: "ER_XPLUGIN_FAILED_TO_EXECUTE_ADMIN_CMD",
    0x2c4b: "ER_XPLUGIN_EMPTY_ADMIN_CMD",
    0x2c4c: "ER_XPLUGIN_FAILED_TO_GET_SYS_VAR",
    0x2c4d: "ER_XPLUGIN_FAILED_TO_GET_CREATION_STMT",
    0x2c4e: "ER_XPLUGIN_FAILED_TO_GET_ENGINE_INFO",
    0x2c4f: "ER_XPLUGIN_FAIL_TO_GET_RESULT_DATA",
    0x2c50: "ER_XPLUGIN_CAPABILITY_EXPIRED_PASSWORD",
    0x2c51: "ER_XPLUGIN_FAILED_TO_SET_SO_REUSEADDR_FLAG",
    0x2c52: "ER_XPLUGIN_FAILED_TO_OPEN_INTERNAL_SESSION",
    0x2c53: "ER_XPLUGIN_FAILED_TO_SWITCH_CONTEXT",
    0x2c54: "ER_XPLUGIN_FAILED_TO_UNREGISTER_UDF",
    0x2c55: "ER_XPLUGIN_GET_PEER_ADDRESS_FAILED",
    0x2c56: "ER_XPLUGIN_CAPABILITY_CLIENT_INTERACTIVE_FAILED",
    0x2c57: "ER_XPLUGIN_FAILED_TO_RESET_IPV6_V6ONLY_FLAG",
    0x2c58: "ER_KEYRING_INVALID_KEY_TYPE",
    0x2c59: "ER_KEYRING_INVALID_KEY_LENGTH",
    0x2c5a: "ER_KEYRING_FAILED_TO_CREATE_KEYRING_DIR",
    0x2c5b: "ER_KEYRING_FILE_INIT_FAILED",
    0x2c5c: "ER_KEYRING_INTERNAL_EXCEPTION_FAILED_FILE_INIT",
    0x2c5d: "ER_KEYRING_FAILED_TO_GENERATE_KEY",
    0x2c5e: "ER_KEYRING_CHECK_KEY_FAILED_DUE_TO_INVALID_KEY",
    0x2c5f: "ER_KEYRING_CHECK_KEY_FAILED_DUE_TO_EMPTY_KEY_ID",
    0x2c60: "ER_KEYRING_OPERATION_FAILED_DUE_TO_INTERNAL_ERROR",
    0x2c61: "ER_KEYRING_INCORRECT_FILE",
    0x2c62: "ER_KEYRING_FOUND_MALFORMED_BACKUP_FILE",
    0x2c63: "ER_KEYRING_FAILED_TO_RESTORE_FROM_BACKUP_FILE",
    0x2c64: "ER_KEYRING_FAILED_TO_FLUSH_KEYRING_TO_FILE",
    0x2c65: "ER_KEYRING_FAILED_TO_GET_FILE_STAT",
    0x2c66: "ER_KEYRING_FAILED_TO_REMOVE_FILE",
    0x2c67: "ER_KEYRING_FAILED_TO_TRUNCATE_FILE",
    0x2c68: "ER_KEYRING_UNKNOWN_ERROR",
    0x2c69: "ER_KEYRING_FAILED_TO_SET_KEYRING_FILE_DATA",
    0x2c6a: "ER_KEYRING_FILE_IO_ERROR",
    0x2c6b: "ER_KEYRING_FAILED_TO_LOAD_KEYRING_CONTENT",
    0x2c6c: "ER_KEYRING_FAILED_TO_FLUSH_KEYS_TO_KEYRING",
    0x2c6d: "ER_KEYRING_FAILED_TO_FLUSH_KEYS_TO_KEYRING_BACKUP",
    0x2c6e: "ER_KEYRING_KEY_FETCH_FAILED_DUE_TO_EMPTY_KEY_ID",
    0x2c6f: "ER_KEYRING_FAILED_TO_REMOVE_KEY_DUE_TO_EMPTY_ID",
    0x2c70: "ER_KEYRING_OKV_INCORRECT_KEY_VAULT_CONFIGURED",
    0x2c71: "ER_KEYRING_OKV_INIT_FAILED_DUE_TO_INCORRECT_CONF",
    0x2c72: "ER_KEYRING_OKV_INIT_FAILED_DUE_TO_INTERNAL_ERROR",
    0x2c73: "ER_KEYRING_OKV_INVALID_KEY_TYPE",
    0x2c74: "ER_KEYRING_OKV_INVALID_KEY_LENGTH_FOR_CIPHER",
    0x2c75: "ER_KEYRING_OKV_FAILED_TO_GENERATE_KEY_DUE_TO_INTERNAL_ERROR",
    0x2c76: "ER_KEYRING_OKV_FAILED_TO_FIND_SERVER_ENTRY",
    0x2c77: "ER_KEYRING_OKV_FAILED_TO_FIND_STANDBY_SERVER_ENTRY",
    0x2c78: "ER_KEYRING_OKV_FAILED_TO_PARSE_CONF_FILE",
    0x2c79: "ER_KEYRING_OKV_FAILED_TO_LOAD_KEY_UID",
    0x2c7a: "ER_KEYRING_OKV_FAILED_TO_INIT_SSL_LAYER",
    0x2c7b: "ER_KEYRING_OKV_FAILED_TO_INIT_CLIENT",
    0x2c7c: "ER_KEYRING_OKV_CONNECTION_TO_SERVER_FAILED",
    0x2c7d: "ER_KEYRING_OKV_FAILED_TO_REMOVE_KEY",
    0x2c7e: "ER_KEYRING_OKV_FAILED_TO_ADD_ATTRIBUTE",
    0x2c7f: "ER_KEYRING_OKV_FAILED_TO_GENERATE_KEY",
    0x2c80: "ER_KEYRING_OKV_FAILED_TO_STORE_KEY",
    0x2c81: "ER_KEYRING_OKV_FAILED_TO_ACTIVATE_KEYS",
    0x2c82: "ER_KEYRING_OKV_FAILED_TO_FETCH_KEY",
    0x2c83: "ER_KEYRING_OKV_FAILED_TO_STORE_OR_GENERATE_KEY",
    0x2c84: "ER_KEYRING_OKV_FAILED_TO_RETRIEVE_KEY_SIGNATURE",
    0x2c85: "ER_KEYRING_OKV_FAILED_TO_RETRIEVE_KEY",
    0x2c86: "ER_KEYRING_OKV_FAILED_TO_LOAD_SSL_TRUST_STORE",
    0x2c87: "ER_KEYRING_OKV_FAILED_TO_SET_CERTIFICATE_FILE",
    0x2c88: "ER_KEYRING_OKV_FAILED_TO_SET_KEY_FILE",
    0x2c89: "ER_KEYRING_OKV_KEY_MISMATCH",
    0x2c8a: "ER_KEYRING_ENCRYPTED_FILE_INCORRECT_KEYRING_FILE",
    0x2c8b: "ER_KEYRING_ENCRYPTED_FILE_DECRYPTION_FAILED",
    0x2c8c: "ER_KEYRING_ENCRYPTED_FILE_FOUND_MALFORMED_BACKUP_FILE",
    0x2c8d: "ER_KEYRING_ENCRYPTED_FILE_FAILED_TO_RESTORE_KEYRING",
    0x2c8e: "ER_KEYRING_ENCRYPTED_FILE_FAILED_TO_FLUSH_KEYRING",
    0x2c8f: "ER_KEYRING_ENCRYPTED_FILE_ENCRYPTION_FAILED",
    0x2c90: "ER_KEYRING_ENCRYPTED_FILE_INVALID_KEYRING_DIR",
    0x2c91: "ER_KEYRING_ENCRYPTED_FILE_FAILED_TO_CREATE_KEYRING_DIR",
    0x2c92: "ER_KEYRING_ENCRYPTED_FILE_PASSWORD_IS_INVALID",
    0x2c93: "ER_KEYRING_ENCRYPTED_FILE_PASSWORD_IS_TOO_LONG",
    0x2c94: "ER_KEYRING_ENCRYPTED_FILE_INIT_FAILURE",
    0x2c95: "ER_KEYRING_ENCRYPTED_FILE_INIT_FAILED_DUE_TO_INTERNAL_ERROR",
    0x2c96: "ER_KEYRING_ENCRYPTED_FILE_GEN_KEY_FAILED_DUE_TO_INTERNAL_ERROR",
    0x2c97: "ER_KEYRING_AWS_FAILED_TO_SET_CMK_ID",
    0x2c98: "ER_KEYRING_AWS_FAILED_TO_SET_REGION",
    0x2c99: "ER_KEYRING_AWS_FAILED_TO_OPEN_CONF_FILE",
    0x2c9a: "ER_KEYRING_AWS_FAILED_TO_ACCESS_KEY_ID_FROM_CONF_FILE",
    0x2c9b: "ER_KEYRING_AWS_FAILED_TO_ACCESS_KEY_FROM_CONF_FILE",
    0x2c9c: "ER_KEYRING_AWS_INVALID_CONF_FILE_PATH",
    0x2c9d: "ER_KEYRING_AWS_INVALID_DATA_FILE_PATH",
    0x2c9e: "ER_KEYRING_AWS_FAILED_TO_ACCESS_OR_CREATE_KEYRING_DIR",
    0x2c9f: "ER_KEYRING_AWS_FAILED_TO_ACCESS_OR_CREATE_KEYRING_DATA_FILE",
    0x2ca0: "ER_KEYRING_AWS_FAILED_TO_INIT_DUE_TO_INTERNAL_ERROR",
    0x2ca1: "ER_KEYRING_AWS_FAILED_TO_ACCESS_DATA_FILE",
    0x2ca2: "ER_KEYRING_AWS_CMK_ID_NOT_SET",
    0x2ca3: "ER_KEYRING_AWS_FAILED_TO_GET_KMS_CREDENTIAL_FROM_CONF_FILE",
    0x2ca4: "ER_KEYRING_AWS_INIT_FAILURE",
    0x2ca5: "ER_KEYRING_AWS_FAILED_TO_INIT_DUE_TO_PLUGIN_INTERNAL_ERROR",
    0x2ca6: "ER_KEYRING_AWS_INVALID_KEY_LENGTH_FOR_CIPHER",
    0x2ca7: "ER_KEYRING_AWS_FAILED_TO_GENERATE_KEY_DUE_TO_INTERNAL_ERROR",
    0x2ca8: "ER_KEYRING_AWS_INCORRECT_FILE",
    0x2ca9: "ER_KEYRING_AWS_FOUND_MALFORMED_BACKUP_FILE",
    0x2caa: "ER_KEYRING_AWS_FAILED_TO_RESTORE_FROM_BACKUP_FILE",
    0x2cab: "ER_KEYRING_AWS_FAILED_TO_FLUSH_KEYRING_TO_FILE",
    0x2cac: "ER_KEYRING_AWS_INCORRECT_REGION",
    0x2cad: "ER_KEYRING_AWS_FAILED_TO_CONNECT_KMS",
    0x2cae: "ER_KEYRING_AWS_FAILED_TO_GENERATE_NEW_KEY",
    0x2caf: "ER_KEYRING_AWS_FAILED_TO_ENCRYPT_KEY",
    0x2cb0: "ER_KEYRING_AWS_FAILED_TO_RE_ENCRYPT_KEY",
    0x2cb1: "ER_KEYRING_AWS_FAILED_TO_DECRYPT_KEY",
    0x2cb2: "ER_KEYRING_AWS_FAILED_TO_ROTATE_CMK",
    0x2cb3: "ER_GRP_RPL_GTID_ALREADY_USED",
    0x2cb4: "ER_GRP_RPL_APPLIER_THD_KILLED",
    0x2cb5: "ER_GRP_RPL_EVENT_HANDLING_ERROR",
    0x2cb6: "ER_GRP_RPL_ERROR_GTID_EXECUTION_INFO",
    0x2cb7: "ER_GRP_RPL_CERTIFICATE_SIZE_ERROR",
    0x2cb8: "ER_GRP_RPL_CREATE_APPLIER_CACHE_ERROR",
    0x2cb9: "ER_GRP_RPL_UNBLOCK_WAITING_THD",
    0x2cba: "ER_GRP_RPL_APPLIER_PIPELINE_NOT_DISPOSED",
    0x2cbb: "ER_GRP_RPL_APPLIER_THD_EXECUTION_ABORTED",
    0x2cbc: "ER_GRP_RPL_APPLIER_EXECUTION_FATAL_ERROR",
    0x2cbd: "ER_GRP_RPL_ERROR_STOPPING_CHANNELS",
    0x2cbe: "ER_GRP_RPL_ERROR_SENDING_SINGLE_PRIMARY_MSSG",
    0x2cbf: "ER_GRP_RPL_UPDATE_TRANS_SNAPSHOT_VER_ERROR",
    0x2cc0: "ER_GRP_RPL_SIDNO_FETCH_ERROR",
    0x2cc1: "ER_GRP_RPL_BROADCAST_COMMIT_TRANS_MSSG_FAILED",
    0x2cc2: "ER_GRP_RPL_GROUP_NAME_PARSE_ERROR",
    0x2cc3: "ER_GRP_RPL_ADD_GRPSID_TO_GRPGTIDSID_MAP_ERROR",
    0x2cc4: "ER_GRP_RPL_UPDATE_GRPGTID_EXECUTED_ERROR",
    0x2cc5: "ER_GRP_RPL_DONOR_TRANS_INFO_ERROR",
    0x2cc6: "ER_GRP_RPL_SERVER_CONN_ERROR",
    0x2cc7: "ER_GRP_RPL_ERROR_FETCHING_GTID_EXECUTED_SET",
    0x2cc8: "ER_GRP_RPL_ADD_GTID_TO_GRPGTID_EXECUTED_ERROR",
    0x2cc9: "ER_GRP_RPL_ERROR_FETCHING_GTID_SET",
    0x2cca: "ER_GRP_RPL_ADD_RETRIEVED_SET_TO_GRP_GTID_EXECUTED_ERROR",
    0x2ccb: "ER_GRP_RPL_CERTIFICATION_INITIALIZATION_FAILURE",
    0x2ccc: "ER_GRP_RPL_UPDATE_LAST_CONFLICT_FREE_TRANS_ERROR",
    0x2ccd: "ER_GRP_RPL_UPDATE_TRANS_SNAPSHOT_REF_VER_ERROR",
    0x2cce: "ER_GRP_RPL_FETCH_TRANS_SIDNO_ERROR",
    0x2ccf: "ER_GRP_RPL_ERROR_VERIFYING_SIDNO",
    0x2cd0: "ER_GRP_RPL_CANT_GENERATE_GTID",
    0x2cd1: "ER_GRP_RPL_INVALID_GTID_SET",
    0x2cd2: "ER_GRP_RPL_UPDATE_GTID_SET_ERROR",
    0x2cd3: "ER_GRP_RPL_RECEIVED_SET_MISSING_GTIDS",
    0x2cd4: "ER_GRP_RPL_SKIP_COMPUTATION_TRANS_COMMITTED",
    0x2cd5: "ER_GRP_RPL_NULL_PACKET",
    0x2cd6: "ER_GRP_RPL_CANT_READ_GTID",
    0x2cd7: "ER_GRP_RPL_PROCESS_GTID_SET_ERROR",
    0x2cd8: "ER_GRP_RPL_PROCESS_INTERSECTION_GTID_SET_ERROR",
    0x2cd9: "ER_GRP_RPL_SET_STABLE_TRANS_ERROR",
    0x2cda: "ER_GRP_RPL_CANT_READ_GRP_GTID_EXTRACTED",
    0x2cdb: "ER_GRP_RPL_CANT_READ_WRITE_SET_ITEM",
    0x2cdc: "ER_GRP_RPL_INIT_CERTIFICATION_INFO_FAILURE",
    0x2cdd: "ER_GRP_RPL_CONFLICT_DETECTION_DISABLED",
    0x2cde: "ER_GRP_RPL_MSG_DISCARDED",
    0x2cdf: "ER_GRP_RPL_MISSING_GRP_RPL_APPLIER",
    0x2ce0: "ER_GRP_RPL_CERTIFIER_MSSG_PROCESS_ERROR",
    0x2ce1: "ER_GRP_RPL_SRV_NOT_ONLINE",
    0x2ce2: "ER_GRP_RPL_SRV_ONLINE",
    0x2ce3: "ER_GRP_RPL_DISABLE_SRV_READ_MODE_RESTRICTED",
    0x2ce4: "ER_GRP_RPL_MEM_ONLINE",
    0x2ce5: "ER_GRP_RPL_MEM_UNREACHABLE",
    0x2ce6: "ER_GRP_RPL_MEM_REACHABLE",
    0x2ce7: "ER_GRP_RPL_SRV_BLOCKED",
    0x2ce8: "ER_GRP_RPL_SRV_BLOCKED_FOR_SECS",
    0x2ce9: "ER_GRP_RPL_CHANGE_GRP_MEM_NOT_PROCESSED",
    0x2cea: "ER_GRP_RPL_MEMBER_CONTACT_RESTORED",
    0x2ceb: "ER_GRP_RPL_MEMBER_REMOVED",
    0x2cec: "ER_GRP_RPL_PRIMARY_MEMBER_LEFT_GRP",
    0x2ced: "ER_GRP_RPL_MEMBER_ADDED",
    0x2cee: "ER_GRP_RPL_MEMBER_EXIT_PLUGIN_ERROR",
    0x2cef: "ER_GRP_RPL_MEMBER_CHANGE",
    0x2cf0: "ER_GRP_RPL_MEMBER_LEFT_GRP",
    0x2cf1: "ER_GRP_RPL_MEMBER_EXPELLED",
    0x2cf2: "ER_GRP_RPL_SESSION_OPEN_FAILED",
    0x2cf3: "ER_GRP_RPL_NEW_PRIMARY_ELECTED",
    0x2cf4: "ER_GRP_RPL_DISABLE_READ_ONLY_FAILED",
    0x2cf5: "ER_GRP_RPL_ENABLE_READ_ONLY_FAILED",
    0x2cf6: "ER_GRP_RPL_SRV_PRIMARY_MEM",
    0x2cf7: "ER_GRP_RPL_SRV_SECONDARY_MEM",
    0x2cf8: "ER_GRP_RPL_NO_SUITABLE_PRIMARY_MEM",
    0x2cf9: "ER_GRP_RPL_SUPER_READ_ONLY_ACTIVATE_ERROR",
    0x2cfa: "ER_GRP_RPL_EXCEEDS_AUTO_INC_VALUE",
    0x2cfb: "ER_GRP_RPL_DATA_NOT_PROVIDED_BY_MEM",
    0x2cfc: "ER_GRP_RPL_MEMBER_ALREADY_EXISTS",
    0x2cfd: "ER_GRP_RPL_GRP_CHANGE_INFO_EXTRACT_ERROR",
    0x2cfe: "ER_GRP_RPL_GTID_EXECUTED_EXTRACT_ERROR",
    0x2cff: "ER_GRP_RPL_GTID_SET_EXTRACT_ERROR",
    0x2d00: "ER_GRP_RPL_START_FAILED",
    0x2d01: "ER_GRP_RPL_MEMBER_VER_INCOMPATIBLE",
    0x2d02: "ER_GRP_RPL_TRANS_NOT_PRESENT_IN_GRP",
    0x2d03: "ER_GRP_RPL_TRANS_GREATER_THAN_GRP",
    0x2d04: "ER_GRP_RPL_MEMBER_VERSION_LOWER_THAN_GRP",
    0x2d05: "ER_GRP_RPL_LOCAL_GTID_SETS_PROCESS_ERROR",
    0x2d06: "ER_GRP_RPL_MEMBER_TRANS_GREATER_THAN_GRP",
    0x2d07: "ER_GRP_RPL_BLOCK_SIZE_DIFF_FROM_GRP",
    0x2d08: "ER_GRP_RPL_TRANS_WRITE_SET_EXTRACT_DIFF_FROM_GRP",
    0x2d09: "ER_GRP_RPL_MEMBER_CFG_INCOMPATIBLE_WITH_GRP_CFG",
    0x2d0a: "ER_GRP_RPL_MEMBER_STOP_RPL_CHANNELS_ERROR",
    0x2d0b: "ER_GRP_RPL_PURGE_APPLIER_LOGS",
    0x2d0c: "ER_GRP_RPL_RESET_APPLIER_MODULE_LOGS_ERROR",
    0x2d0d: "ER_GRP_RPL_APPLIER_THD_SETUP_ERROR",
    0x2d0e: "ER_GRP_RPL_APPLIER_THD_START_ERROR",
    0x2d0f: "ER_GRP_RPL_APPLIER_THD_STOP_ERROR",
    0x2d10: "ER_GRP_RPL_FETCH_TRANS_DATA_FAILED",
    0x2d11: "ER_GRP_RPL_SLAVE_IO_THD_PRIMARY_UNKNOWN",
    0x2d12: "ER_GRP_RPL_SALVE_IO_THD_ON_SECONDARY_MEMBER",
    0x2d13: "ER_GRP_RPL_SLAVE_SQL_THD_PRIMARY_UNKNOWN",
    0x2d14: "ER_GRP_RPL_SLAVE_SQL_THD_ON_SECONDARY_MEMBER",
    0x2d15: "ER_GRP_RPL_NEEDS_INNODB_TABLE",
    0x2d16: "ER_GRP_RPL_PRIMARY_KEY_NOT_DEFINED",
    0x2d17: "ER_GRP_RPL_FK_WITH_CASCADE_UNSUPPORTED",
    0x2d18: "ER_GRP_RPL_AUTO_INC_RESET",
    0x2d19: "ER_GRP_RPL_AUTO_INC_OFFSET_RESET",
    0x2d1a: "ER_GRP_RPL_AUTO_INC_SET",
    0x2d1b: "ER_GRP_RPL_AUTO_INC_OFFSET_SET",
    0x2d1c: "ER_GRP_RPL_FETCH_TRANS_CONTEXT_FAILED",
    0x2d1d: "ER_GRP_RPL_FETCH_FORMAT_DESC_LOG_EVENT_FAILED",
    0x2d1e: "ER_GRP_RPL_FETCH_TRANS_CONTEXT_LOG_EVENT_FAILED",
    0x2d1f: "ER_GRP_RPL_FETCH_SNAPSHOT_VERSION_FAILED",
    0x2d20: "ER_GRP_RPL_FETCH_GTID_LOG_EVENT_FAILED",
    0x2d21: "ER_GRP_RPL_UPDATE_SERV_CERTIFICATE_FAILED",
    0x2d22: "ER_GRP_RPL_ADD_GTID_INFO_WITH_LOCAL_GTID_FAILED",
    0x2d23: "ER_GRP_RPL_ADD_GTID_INFO_WITHOUT_LOCAL_GTID_FAILED",
    0x2d24: "ER_GRP_RPL_NOTIFY_CERTIFICATION_OUTCOME_FAILED",
    0x2d25: "ER_GRP_RPL_ADD_GTID_INFO_WITH_REMOTE_GTID_FAILED",
    0x2d26: "ER_GRP_RPL_ADD_GTID_INFO_WITHOUT_REMOTE_GTID_FAILED",
    0x2d27: "ER_GRP_RPL_FETCH_VIEW_CHANGE_LOG_EVENT_FAILED",
    0x2d28: "ER_GRP_RPL_CONTACT_WITH_SRV_FAILED",
    0x2d29: "ER_GRP_RPL_SRV_WAIT_TIME_OUT",
    0x2d2a: "ER_GRP_RPL_FETCH_LOG_EVENT_FAILED",
    0x2d2b: "ER_GRP_RPL_START_GRP_RPL_FAILED",
    0x2d2c: "ER_GRP_RPL_CONN_INTERNAL_PLUGIN_FAIL",
    0x2d2d: "ER_GRP_RPL_SUPER_READ_ON",
    0x2d2e: "ER_GRP_RPL_SUPER_READ_OFF",
    0x2d2f: "ER_GRP_RPL_KILLED_SESSION_ID",
    0x2d30: "ER_GRP_RPL_KILLED_FAILED_ID",
    0x2d31: "ER_GRP_RPL_INTERNAL_QUERY",
    0x2d32: "ER_GRP_RPL_COPY_FROM_EMPTY_STRING",
    0x2d33: "ER_GRP_RPL_QUERY_FAIL",
    0x2d34: "ER_GRP_RPL_CREATE_SESSION_UNABLE",
    0x2d35: "ER_GRP_RPL_MEMBER_NOT_FOUND",
    0x2d36: "ER_GRP_RPL_MAXIMUM_CONNECTION_RETRIES_REACHED",
    0x2d37: "ER_GRP_RPL_ALL_DONORS_LEFT_ABORT_RECOVERY",
    0x2d38: "ER_GRP_RPL_ESTABLISH_RECOVERY_WITH_DONOR",
    0x2d39: "ER_GRP_RPL_ESTABLISH_RECOVERY_WITH_ANOTHER_DONOR",
    0x2d3a: "ER_GRP_RPL_NO_VALID_DONOR",
    0x2d3b: "ER_GRP_RPL_CONFIG_RECOVERY",
    0x2d3c: "ER_GRP_RPL_ESTABLISHING_CONN_GRP_REC_DONOR",
    0x2d3d: "ER_GRP_RPL_CREATE_GRP_RPL_REC_CHANNEL",
    0x2d3e: "ER_GRP_RPL_DONOR_SERVER_CONN",
    0x2d3f: "ER_GRP_RPL_CHECK_STATUS_TABLE",
    0x2d40: "ER_GRP_RPL_STARTING_GRP_REC",
    0x2d41: "ER_GRP_RPL_DONOR_CONN_TERMINATION",
    0x2d42: "ER_GRP_RPL_STOPPING_GRP_REC",
    0x2d43: "ER_GRP_RPL_PURGE_REC",
    0x2d44: "ER_GRP_RPL_UNABLE_TO_KILL_CONN_REC_DONOR_APPLIER",
    0x2d45: "ER_GRP_RPL_UNABLE_TO_KILL_CONN_REC_DONOR_FAILOVER",
    0x2d46: "ER_GRP_RPL_FAILED_TO_NOTIFY_GRP_MEMBERSHIP_EVENT",
    0x2d47: "ER_GRP_RPL_FAILED_TO_BROADCAST_GRP_MEMBERSHIP_NOTIFICATION",
    0x2d48: "ER_GRP_RPL_FAILED_TO_BROADCAST_MEMBER_STATUS_NOTIFICATION",
    0x2d49: "ER_GRP_RPL_OOM_FAILED_TO_GENERATE_IDENTIFICATION_HASH",
    0x2d4a: "ER_GRP_RPL_WRITE_IDENT_HASH_BASE64_ENCODING_FAILED",
    0x2d4b: "ER_GRP_RPL_INVALID_BINLOG_FORMAT",
    0x2d4c: "ER_GRP_RPL_BINLOG_CHECKSUM_SET",
    0x2d4d: "ER_GRP_RPL_TRANS_WRITE_SET_EXTRACTION_NOT_SET",
    0x2d4e: "ER_GRP_RPL_UNSUPPORTED_TRANS_ISOLATION",
    0x2d4f: "ER_GRP_RPL_CANNOT_EXECUTE_TRANS_WHILE_STOPPING",
    0x2d50: "ER_GRP_RPL_CANNOT_EXECUTE_TRANS_WHILE_RECOVERING",
    0x2d51: "ER_GRP_RPL_CANNOT_EXECUTE_TRANS_IN_ERROR_STATE",
    0x2d52: "ER_GRP_RPL_CANNOT_EXECUTE_TRANS_IN_OFFLINE_MODE",
    0x2d53: "ER_GRP_RPL_MULTIPLE_CACHE_TYPE_NOT_SUPPORTED_FOR_SESSION",
    0x2d54: "ER_GRP_RPL_FAILED_TO_REINIT_BINLOG_CACHE_FOR_READ",
    0x2d55: "ER_GRP_RPL_FAILED_TO_CREATE_TRANS_CONTEXT",
    0x2d56: "ER_GRP_RPL_FAILED_TO_EXTRACT_TRANS_WRITE_SET",
    0x2d57: "ER_GRP_RPL_FAILED_TO_GATHER_TRANS_WRITE_SET",
    0x2d58: "ER_GRP_RPL_TRANS_SIZE_EXCEEDS_LIMIT",
    0x2d59: "ER_GRP_RPL_REINIT_OF_INTERNAL_CACHE_FOR_READ_FAILED",
    0x2d5a: "ER_GRP_RPL_APPENDING_DATA_TO_INTERNAL_CACHE_FAILED",
    0x2d5b: "ER_GRP_RPL_WRITE_TO_BINLOG_CACHE_FAILED",
    0x2d5c: "ER_GRP_RPL_FAILED_TO_REGISTER_TRANS_OUTCOME_NOTIFICTION",
    0x2d5d: "ER_GRP_RPL_MSG_TOO_LONG_BROADCASTING_TRANS_FAILED",
    0x2d5e: "ER_GRP_RPL_BROADCASTING_TRANS_TO_GRP_FAILED",
    0x2d5f: "ER_GRP_RPL_ERROR_WHILE_WAITING_FOR_CONFLICT_DETECTION",
    0x2d60: "ER_GRP_RPL_REINIT_OF_INTERNAL_CACHE_FOR_WRITE_FAILED",
    0x2d61: "ER_GRP_RPL_FAILED_TO_CREATE_COMMIT_CACHE",
    0x2d62: "ER_GRP_RPL_REINIT_OF_COMMIT_CACHE_FOR_WRITE_FAILED",
    0x2d63: "ER_GRP_RPL_PREV_REC_SESSION_RUNNING",
    0x2d64: "ER_GRP_RPL_FATAL_REC_PROCESS",
    0x2d65: "ER_GRP_RPL_WHILE_STOPPING_REP_CHANNEL",
    0x2d66: "ER_GRP_RPL_UNABLE_TO_EVALUATE_APPLIER_STATUS",
    0x2d67: "ER_GRP_RPL_ONLY_ONE_SERVER_ALIVE",
    0x2d68: "ER_GRP_RPL_CERTIFICATION_REC_PROCESS",
    0x2d69: "ER_GRP_RPL_UNABLE_TO_ENSURE_EXECUTION_REC",
    0x2d6a: "ER_GRP_RPL_WHILE_SENDING_MSG_REC",
    0x2d6b: "ER_GRP_RPL_READ_UNABLE_FOR_SUPER_READ_ONLY",
    0x2d6c: "ER_GRP_RPL_READ_UNABLE_FOR_READ_ONLY_SUPER_READ_ONLY",
    0x2d6d: "ER_GRP_RPL_UNABLE_TO_RESET_SERVER_READ_MODE",
    0x2d6e: "ER_GRP_RPL_UNABLE_TO_CERTIFY_PLUGIN_TRANS",
    0x2d6f: "ER_GRP_RPL_UNBLOCK_CERTIFIED_TRANS",
    0x2d70: "ER_GRP_RPL_SERVER_WORKING_AS_SECONDARY",
    0x2d71: "ER_GRP_RPL_FAILED_TO_START_WITH_INVALID_SERVER_ID",
    0x2d72: "ER_GRP_RPL_FORCE_MEMBERS_MUST_BE_EMPTY",
    0x2d73: "ER_GRP_RPL_PLUGIN_STRUCT_INIT_NOT_POSSIBLE_ON_SERVER_START",
    0x2d74: "ER_GRP_RPL_FAILED_TO_ENABLE_SUPER_READ_ONLY_MODE",
    0x2d75: "ER_GRP_RPL_FAILED_TO_INIT_COMMUNICATION_ENGINE",
    0x2d76: "ER_GRP_RPL_FAILED_TO_START_ON_SECONDARY_WITH_ASYNC_CHANNELS",
    0x2d77: "ER_GRP_RPL_FAILED_TO_START_COMMUNICATION_ENGINE",
    0x2d78: "ER_GRP_RPL_TIMEOUT_ON_VIEW_AFTER_JOINING_GRP",
    0x2d79: "ER_GRP_RPL_FAILED_TO_CALL_GRP_COMMUNICATION_INTERFACE",
    0x2d7a: "ER_GRP_RPL_MEMBER_SERVER_UUID_IS_INCOMPATIBLE_WITH_GRP",
    0x2d7b: "ER_GRP_RPL_MEMBER_CONF_INFO",
    0x2d7c: "ER_GRP_RPL_FAILED_TO_CONFIRM_IF_SERVER_LEFT_GRP",
    0x2d7d: "ER_GRP_RPL_SERVER_IS_ALREADY_LEAVING",
    0x2d7e: "ER_GRP_RPL_SERVER_ALREADY_LEFT",
    0x2d7f: "ER_GRP_RPL_WAITING_FOR_VIEW_UPDATE",
    0x2d80: "ER_GRP_RPL_TIMEOUT_RECEIVING_VIEW_CHANGE_ON_SHUTDOWN",
    0x2d81: "ER_GRP_RPL_REQUESTING_NON_MEMBER_SERVER_TO_LEAVE",
    0x2d82: "ER_GRP_RPL_IS_STOPPING",
    0x2d83: "ER_GRP_RPL_IS_STOPPED",
    0x2d84: "ER_GRP_RPL_FAILED_TO_ENABLE_READ_ONLY_MODE_ON_SHUTDOWN",
    0x2d85: "ER_GRP_RPL_RECOVERY_MODULE_TERMINATION_TIMED_OUT_ON_SHUTDOWN",
    0x2d86: "ER_GRP_RPL_APPLIER_TERMINATION_TIMED_OUT_ON_SHUTDOWN",
    0x2d87: "ER_GRP_RPL_FAILED_TO_SHUTDOWN_REGISTRY_MODULE",
    0x2d88: "ER_GRP_RPL_FAILED_TO_INIT_HANDLER",
    0x2d89: "ER_GRP_RPL_FAILED_TO_REGISTER_SERVER_STATE_OBSERVER",
    0x2d8a: "ER_GRP_RPL_FAILED_TO_REGISTER_TRANS_STATE_OBSERVER",
    0x2d8b: "ER_GRP_RPL_FAILED_TO_REGISTER_BINLOG_STATE_OBSERVER",
    0x2d8c: "ER_GRP_RPL_FAILED_TO_START_ON_BOOT",
    0x2d8d: "ER_GRP_RPL_FAILED_TO_STOP_ON_PLUGIN_UNINSTALL",
    0x2d8e: "ER_GRP_RPL_FAILED_TO_UNREGISTER_SERVER_STATE_OBSERVER",
    0x2d8f: "ER_GRP_RPL_FAILED_TO_UNREGISTER_TRANS_STATE_OBSERVER",
    0x2d90: "ER_GRP_RPL_FAILED_TO_UNREGISTER_BINLOG_STATE_OBSERVER",
    0x2d91: "ER_GRP_RPL_ALL_OBSERVERS_UNREGISTERED",
    0x2d92: "ER_GRP_RPL_FAILED_TO_PARSE_THE_GRP_NAME",
    0x2d93: "ER_GRP_RPL_FAILED_TO_GENERATE_SIDNO_FOR_GRP",
    0x2d94: "ER_GRP_RPL_APPLIER_NOT_STARTED_DUE_TO_RUNNING_PREV_SHUTDOWN",
    0x2d95: "ER_GRP_RPL_FAILED_TO_INIT_APPLIER_MODULE",
    0x2d96: "ER_GRP_RPL_APPLIER_INITIALIZED",
    0x2d97: "ER_GRP_RPL_COMMUNICATION_SSL_CONF_INFO",
    0x2d98: "ER_GRP_RPL_ABORTS_AS_SSL_NOT_SUPPORTED_BY_MYSQLD",
    0x2d99: "ER_GRP_RPL_SSL_DISABLED",
    0x2d9a: "ER_GRP_RPL_UNABLE_TO_INIT_COMMUNICATION_ENGINE",
    0x2d9b: "ER_GRP_RPL_BINLOG_DISABLED",
    0x2d9c: "ER_GRP_RPL_GTID_MODE_OFF",
    0x2d9d: "ER_GRP_RPL_LOG_SLAVE_UPDATES_NOT_SET",
    0x2d9e: "ER_GRP_RPL_INVALID_TRANS_WRITE_SET_EXTRACTION_VALUE",
    0x2d9f: "ER_GRP_RPL_RELAY_LOG_INFO_REPO_MUST_BE_TABLE",
    0x2da0: "ER_GRP_RPL_MASTER_INFO_REPO_MUST_BE_TABLE",
    0x2da1: "ER_GRP_RPL_INCORRECT_TYPE_SET_FOR_PARALLEL_APPLIER",
    0x2da2: "ER_GRP_RPL_SLAVE_PRESERVE_COMMIT_ORDER_NOT_SET",
    0x2da3: "ER_GRP_RPL_SINGLE_PRIM_MODE_NOT_ALLOWED_WITH_UPDATE_EVERYWHERE",
    0x2da4: "ER_GRP_RPL_MODULE_TERMINATE_ERROR",
    0x2da5: "ER_GRP_RPL_GRP_NAME_OPTION_MANDATORY",
    0x2da6: "ER_GRP_RPL_GRP_NAME_IS_TOO_LONG",
    0x2da7: "ER_GRP_RPL_GRP_NAME_IS_NOT_VALID_UUID",
    0x2da8: "ER_GRP_RPL_FLOW_CTRL_MIN_QUOTA_GREATER_THAN_MAX_QUOTA",
    0x2da9: "ER_GRP_RPL_FLOW_CTRL_MIN_RECOVERY_QUOTA_GREATER_THAN_MAX_QUOTA",
    0x2daa: "ER_GRP_RPL_FLOW_CTRL_MAX_QUOTA_SMALLER_THAN_MIN_QUOTAS",
    0x2dab: "ER_GRP_RPL_INVALID_SSL_RECOVERY_STRING",
    0x2dac: "ER_GRP_RPL_SUPPORTS_ONLY_ONE_FORCE_MEMBERS_SET",
    0x2dad: "ER_GRP_RPL_FORCE_MEMBERS_SET_UPDATE_NOT_ALLOWED",
    0x2dae: "ER_GRP_RPL_GRP_COMMUNICATION_INIT_WITH_CONF",
    0x2daf: "ER_GRP_RPL_UNKNOWN_GRP_RPL_APPLIER_PIPELINE_REQUESTED",
    0x2db0: "ER_GRP_RPL_FAILED_TO_BOOTSTRAP_EVENT_HANDLING_INFRASTRUCTURE",
    0x2db1: "ER_GRP_RPL_APPLIER_HANDLER_NOT_INITIALIZED",
    0x2db2: "ER_GRP_RPL_APPLIER_HANDLER_IS_IN_USE",
    0x2db3: "ER_GRP_RPL_APPLIER_HANDLER_ROLE_IS_IN_USE",
    0x2db4: "ER_GRP_RPL_FAILED_TO_INIT_APPLIER_HANDLER",
    0x2db5: "ER_GRP_RPL_SQL_SERVICE_FAILED_TO_INIT_SESSION_THREAD",
    0x2db6: "ER_GRP_RPL_SQL_SERVICE_COMM_SESSION_NOT_INITIALIZED",
    0x2db7: "ER_GRP_RPL_SQL_SERVICE_SERVER_SESSION_KILLED",
    0x2db8: "ER_GRP_RPL_SQL_SERVICE_FAILED_TO_RUN_SQL_QUERY",
    0x2db9: "ER_GRP_RPL_SQL_SERVICE_SERVER_INTERNAL_FAILURE",
    0x2dba: "ER_GRP_RPL_SQL_SERVICE_RETRIES_EXCEEDED_ON_SESSION_STATE",
    0x2dbb: "ER_GRP_RPL_SQL_SERVICE_FAILED_TO_FETCH_SECURITY_CTX",
    0x2dbc: "ER_GRP_RPL_SQL_SERVICE_SERVER_ACCESS_DENIED_FOR_USER",
    0x2dbd: "ER_GRP_RPL_SQL_SERVICE_MAX_CONN_ERROR_FROM_SERVER",
    0x2dbe: "ER_GRP_RPL_SQL_SERVICE_SERVER_ERROR_ON_CONN",
    0x2dbf: "ER_GRP_RPL_UNREACHABLE_MAJORITY_TIMEOUT_FOR_MEMBER",
    0x2dc0: "ER_GRP_RPL_SERVER_SET_TO_READ_ONLY_DUE_TO_ERRORS",
    0x2dc1: "ER_GRP_RPL_GMS_LISTENER_FAILED_TO_LOG_NOTIFICATION",
    0x2dc2: "ER_GRP_RPL_GRP_COMMUNICATION_ENG_INIT_FAILED",
    0x2dc3: "ER_GRP_RPL_SET_GRP_COMMUNICATION_ENG_LOGGER_FAILED",
    0x2dc4: "ER_GRP_RPL_DEBUG_OPTIONS",
    0x2dc5: "ER_GRP_RPL_INVALID_DEBUG_OPTIONS",
    0x2dc6: "ER_GRP_RPL_EXIT_GRP_GCS_ERROR",
    0x2dc7: "ER_GRP_RPL_GRP_MEMBER_OFFLINE",
    0x2dc8: "ER_GRP_RPL_GCS_INTERFACE_ERROR",
    0x2dc9: "ER_GRP_RPL_FORCE_MEMBER_VALUE_SET_ERROR",
    0x2dca: "ER_GRP_RPL_FORCE_MEMBER_VALUE_SET",
    0x2dcb: "ER_GRP_RPL_FORCE_MEMBER_VALUE_TIME_OUT",
    0x2dcc: "ER_GRP_RPL_BROADCAST_COMMIT_MSSG_TOO_BIG",
    0x2dcd: "ER_GRP_RPL_SEND_STATS_ERROR",
    0x2dce: "ER_GRP_RPL_MEMBER_STATS_INFO",
    0x2dcf: "ER_GRP_RPL_FLOW_CONTROL_STATS",
    0x2dd0: "ER_GRP_RPL_UNABLE_TO_CONVERT_PACKET_TO_EVENT",
    0x2dd1: "ER_GRP_RPL_PIPELINE_CREATE_FAILED",
    0x2dd2: "ER_GRP_RPL_PIPELINE_REINIT_FAILED_WRITE",
    0x2dd3: "ER_GRP_RPL_UNABLE_TO_CONVERT_EVENT_TO_PACKET",
    0x2dd4: "ER_GRP_RPL_PIPELINE_FLUSH_FAIL",
    0x2dd5: "ER_GRP_RPL_PIPELINE_REINIT_FAILED_READ",
    0x2dd6: "ER_GRP_RPL_STOP_REP_CHANNEL",
    0x2dd7: "ER_GRP_RPL_GCS_GR_ERROR_MSG",
    0x2dd8: "ER_GRP_RPL_SLAVE_IO_THREAD_UNBLOCKED",
    0x2dd9: "ER_GRP_RPL_SLAVE_IO_THREAD_ERROR_OUT",
    0x2dda: "ER_GRP_RPL_SLAVE_APPLIER_THREAD_UNBLOCKED",
    0x2ddb: "ER_GRP_RPL_SLAVE_APPLIER_THREAD_ERROR_OUT",
    0x2ddc: "ER_LDAP_AUTH_FAILED_TO_CREATE_OR_GET_CONNECTION",
    0x2ddd: "ER_LDAP_AUTH_DEINIT_FAILED",
    0x2dde: "ER_LDAP_AUTH_SKIPPING_USER_GROUP_SEARCH",
    0x2ddf: "ER_LDAP_AUTH_POOL_DISABLE_MAX_SIZE_ZERO",
    0x2de0: "ER_LDAP_AUTH_FAILED_TO_CREATE_LDAP_OBJECT_CREATOR",
    0x2de1: "ER_LDAP_AUTH_FAILED_TO_CREATE_LDAP_OBJECT",
    0x2de2: "ER_LDAP_AUTH_TLS_CONF",
    0x2de3: "ER_LDAP_AUTH_TLS_CONNECTION",
    0x2de4: "ER_LDAP_AUTH_CONN_POOL_NOT_CREATED",
    0x2de5: "ER_LDAP_AUTH_CONN_POOL_INITIALIZING",
    0x2de6: "ER_LDAP_AUTH_CONN_POOL_DEINITIALIZING",
    0x2de7: "ER_LDAP_AUTH_ZERO_MAX_POOL_SIZE_UNCHANGED",
    0x2de8: "ER_LDAP_AUTH_POOL_REINITIALIZING",
    0x2de9: "ER_LDAP_AUTH_FAILED_TO_WRITE_PACKET",
    0x2dea: "ER_LDAP_AUTH_SETTING_USERNAME",
    0x2deb: "ER_LDAP_AUTH_USER_AUTH_DATA",
    0x2dec: "ER_LDAP_AUTH_INFO_FOR_USER",
    0x2ded: "ER_LDAP_AUTH_USER_GROUP_SEARCH_INFO",
    0x2dee: "ER_LDAP_AUTH_GRP_SEARCH_SPECIAL_HDL",
    0x2def: "ER_LDAP_AUTH_GRP_IS_FULL_DN",
    0x2df0: "ER_LDAP_AUTH_USER_NOT_FOUND_IN_ANY_GRP",
    0x2df1: "ER_LDAP_AUTH_USER_FOUND_IN_MANY_GRPS",
    0x2df2: "ER_LDAP_AUTH_USER_HAS_MULTIPLE_GRP_NAMES",
    0x2df3: "ER_LDAP_AUTH_SEARCHED_USER_GRP_NAME",
    0x2df4: "ER_LDAP_AUTH_OBJECT_CREATE_TIMESTAMP",
    0x2df5: "ER_LDAP_AUTH_CERTIFICATE_NAME",
    0x2df6: "ER_LDAP_AUTH_FAILED_TO_POOL_DEINIT",
    0x2df7: "ER_LDAP_AUTH_FAILED_TO_INITIALIZE_POOL_IN_RECONSTRUCTING",
    0x2df8: "ER_LDAP_AUTH_FAILED_TO_INITIALIZE_POOL_IN_INIT_STATE",
    0x2df9: "ER_LDAP_AUTH_FAILED_TO_INITIALIZE_POOL_IN_DEINIT_STATE",
    0x2dfa: "ER_LDAP_AUTH_FAILED_TO_DEINITIALIZE_POOL_IN_RECONSTRUCT_STATE",
    0x2dfb: "ER_LDAP_AUTH_FAILED_TO_DEINITIALIZE_NOT_READY_POOL",
    0x2dfc: "ER_LDAP_AUTH_FAILED_TO_GET_CONNECTION_AS_PLUGIN_NOT_READY",
    0x2dfd: "ER_LDAP_AUTH_CONNECTION_POOL_INIT_FAILED",
    0x2dfe: "ER_LDAP_AUTH_MAX_ALLOWED_CONNECTION_LIMIT_HIT",
    0x2dff: "ER_LDAP_AUTH_MAX_POOL_SIZE_SET_FAILED",
    0x2e00: "ER_LDAP_AUTH_PLUGIN_FAILED_TO_READ_PACKET",
    0x2e01: "ER_LDAP_AUTH_CREATING_LDAP_CONNECTION",
    0x2e02: "ER_LDAP_AUTH_GETTING_CONNECTION_FROM_POOL",
    0x2e03: "ER_LDAP_AUTH_RETURNING_CONNECTION_TO_POOL",
    0x2e04: "ER_LDAP_AUTH_SEARCH_USER_GROUP_ATTR_NOT_FOUND",
    0x2e05: "ER_LDAP_AUTH_LDAP_INFO_NULL",
    0x2e06: "ER_LDAP_AUTH_FREEING_CONNECTION",
    0x2e07: "ER_LDAP_AUTH_CONNECTION_PUSHED_TO_POOL",
    0x2e08: "ER_LDAP_AUTH_CONNECTION_CREATOR_ENTER",
    0x2e09: "ER_LDAP_AUTH_STARTING_TLS",
    0x2e0a: "ER_LDAP_AUTH_CONNECTION_GET_LDAP_INFO_NULL",
    0x2e0b: "ER_LDAP_AUTH_DELETING_CONNECTION_KEY",
    0x2e0c: "ER_LDAP_AUTH_POOLED_CONNECTION_KEY",
    0x2e0d: "ER_LDAP_AUTH_CREATE_CONNECTION_KEY",
    0x2e0e: "ER_LDAP_AUTH_COMMUNICATION_HOST_INFO",
    0x2e0f: "ER_LDAP_AUTH_METHOD_TO_CLIENT",
    0x2e10: "ER_LDAP_AUTH_SASL_REQUEST_FROM_CLIENT",
    0x2e11: "ER_LDAP_AUTH_SASL_PROCESS_SASL",
    0x2e12: "ER_LDAP_AUTH_SASL_BIND_SUCCESS_INFO",
    0x2e13: "ER_LDAP_AUTH_STARTED_FOR_USER",
    0x2e14: "ER_LDAP_AUTH_DISTINGUISHED_NAME",
    0x2e15: "ER_LDAP_AUTH_INIT_FAILED",
    0x2e16: "ER_LDAP_AUTH_OR_GROUP_RETRIEVAL_FAILED",
    0x2e17: "ER_LDAP_AUTH_USER_GROUP_SEARCH_FAILED",
    0x2e18: "ER_LDAP_AUTH_USER_BIND_FAILED",
    0x2e19: "ER_LDAP_AUTH_POOL_GET_FAILED_TO_CREATE_CONNECTION",
    0x2e1a: "ER_LDAP_AUTH_FAILED_TO_CREATE_LDAP_CONNECTION",
    0x2e1b: "ER_LDAP_AUTH_FAILED_TO_ESTABLISH_TLS_CONNECTION",
    0x2e1c: "ER_LDAP_AUTH_FAILED_TO_SEARCH_DN",
    0x2e1d: "ER_LDAP_AUTH_CONNECTION_POOL_REINIT_ENTER",
    0x2e1e: "ER_SYSTEMD_NOTIFY_PATH_TOO_LONG",
    0x2e1f: "ER_SYSTEMD_NOTIFY_CONNECT_FAILED",
    0x2e20: "ER_SYSTEMD_NOTIFY_WRITE_FAILED",
    0x2e21: "ER_FOUND_MISSING_GTIDS",
    0x2e22: "ER_PID_FILE_PRIV_DIRECTORY_INSECURE",
    0x2e23: "ER_CANT_CHECK_PID_PATH",
    0x2e24: "ER_VALIDATE_PWD_STATUS_VAR_REGISTRATION_FAILED",
    0x2e25: "ER_VALIDATE_PWD_STATUS_VAR_UNREGISTRATION_FAILED",
    0x2e26: "ER_VALIDATE_PWD_DICT_FILE_OPEN_FAILED",
    0x2e27: "ER_VALIDATE_PWD_COULD_BE_NULL",
    0x2e28: "ER_VALIDATE_PWD_STRING_CONV_TO_LOWERCASE_FAILED",
    0x2e29: "ER_VALIDATE_PWD_STRING_CONV_TO_BUFFER_FAILED",
    0x2e2a: "ER_VALIDATE_PWD_STRING_HANDLER_MEM_ALLOCATION_FAILED",
    0x2e2b: "ER_VALIDATE_PWD_STRONG_POLICY_DICT_FILE_UNSPECIFIED",
    0x2e2c: "ER_VALIDATE_PWD_CONVERT_TO_BUFFER_FAILED",
    0x2e2d: "ER_VALIDATE_PWD_VARIABLE_REGISTRATION_FAILED",
    0x2e2e: "ER_VALIDATE_PWD_VARIABLE_UNREGISTRATION_FAILED",
    0x2e2f: "ER_KEYRING_MIGRATION_EXTRA_OPTIONS",
    0x2e31: "ER_IB_MSG_0",
    0x2e32: "ER_IB_MSG_1",
    0x2e33: "ER_IB_MSG_2",
    0x2e34: "ER_IB_MSG_3",
    0x2e35: "ER_IB_MSG_4",
    0x2e36: "ER_IB_MSG_5",
    0x2e37: "ER_IB_MSG_6",
    0x2e38: "ER_IB_MSG_7",
    0x2e39: "ER_IB_MSG_8",
    0x2e3a: "ER_IB_MSG_9",
    0x2e3b: "ER_IB_MSG_10",
    0x2e3c: "ER_IB_MSG_11",
    0x2e3d: "ER_IB_MSG_12",
    0x2e3e: "ER_IB_MSG_13",
    0x2e3f: "ER_IB_MSG_14",
    0x2e40: "ER_IB_MSG_15",
    0x2e41: "ER_IB_MSG_16",
    0x2e42: "ER_IB_MSG_17",
    0x2e43: "ER_IB_MSG_18",
    0x2e44: "ER_IB_MSG_19",
    0x2e45: "ER_IB_MSG_20",
    0x2e46: "ER_IB_MSG_21",
    0x2e47: "ER_IB_MSG_22",
    0x2e48: "ER_IB_MSG_23",
    0x2e49: "ER_IB_MSG_24",
    0x2e4a: "ER_IB_MSG_25",
    0x2e4b: "ER_IB_MSG_26",
    0x2e4c: "ER_IB_MSG_27",
    0x2e4d: "ER_IB_MSG_28",
    0x2e4e: "ER_IB_MSG_29",
    0x2e4f: "ER_IB_MSG_30",
    0x2e50: "ER_IB_MSG_31",
    0x2e51: "ER_IB_MSG_32",
    0x2e52: "ER_IB_MSG_33",
    0x2e53: "ER_IB_MSG_34",
    0x2e54: "ER_IB_MSG_35",
    0x2e55: "ER_IB_MSG_36",
    0x2e56: "ER_IB_MSG_37",
    0x2e57: "ER_IB_MSG_38",
    0x2e58: "ER_IB_MSG_39",
    0x2e59: "ER_IB_MSG_40",
    0x2e5a: "ER_IB_MSG_41",
    0x2e5b: "ER_IB_MSG_42",
    0x2e5c: "ER_IB_MSG_43",
    0x2e5d: "ER_IB_MSG_44",
    0x2e5e: "ER_IB_MSG_45",
    0x2e5f: "ER_IB_MSG_46",
    0x2e60: "ER_IB_MSG_47",
    0x2e61: "ER_IB_MSG_48",
    0x2e62: "ER_IB_MSG_49",
    0x2e63: "ER_IB_MSG_50",
    0x2e64: "ER_IB_MSG_51",
    0x2e65: "ER_IB_MSG_52",
    0x2e66: "ER_IB_MSG_53",
    0x2e67: "ER_IB_MSG_54",
    0x2e68: "ER_IB_MSG_55",
    0x2e69: "ER_IB_MSG_56",
    0x2e6a: "ER_IB_MSG_57",
    0x2e6b: "ER_IB_MSG_58",
    0x2e6c: "ER_IB_MSG_59",
    0x2e6d: "ER_IB_MSG_60",
    0x2e6e: "ER_IB_MSG_61",
    0x2e6f: "ER_IB_MSG_62",
    0x2e70: "ER_IB_MSG_63",
    0x2e71: "ER_IB_MSG_64",
    0x2e72: "ER_IB_MSG_65",
    0x2e73: "ER_IB_MSG_66",
    0x2e74: "ER_IB_MSG_67",
    0x2e75: "ER_IB_MSG_68",
    0x2e76: "ER_IB_MSG_69",
    0x2e77: "ER_IB_MSG_70",
    0x2e78: "ER_IB_MSG_71",
    0x2e79: "ER_IB_MSG_72",
    0x2e7a: "ER_IB_MSG_73",
    0x2e7b: "ER_IB_MSG_74",
    0x2e7c: "ER_IB_MSG_75",
    0x2e7d: "ER_IB_MSG_76",
    0x2e7e: "ER_IB_MSG_77",
    0x2e7f: "ER_IB_MSG_78",
    0x2e80: "ER_IB_MSG_79",
    0x2e81: "ER_IB_MSG_80",
    0x2e82: "ER_IB_MSG_81",
    0x2e83: "ER_IB_MSG_82",
    0x2e84: "ER_IB_MSG_83",
    0x2e85: "ER_IB_MSG_84",
    0x2e86: "ER_IB_MSG_85",
    0x2e87: "ER_IB_MSG_86",
    0x2e88: "ER_IB_MSG_87",
    0x2e89: "ER_IB_MSG_88",
    0x2e8a: "ER_IB_MSG_89",
    0x2e8b: "ER_IB_MSG_90",
    0x2e8c: "ER_IB_MSG_91",
    0x2e8d: "ER_IB_MSG_92",
    0x2e8e: "ER_IB_MSG_93",
    0x2e8f: "ER_IB_MSG_94",
    0x2e90: "ER_IB_MSG_95",
    0x2e91: "ER_IB_MSG_96",
    0x2e92: "ER_IB_MSG_97",
    0x2e93: "ER_IB_MSG_98",
    0x2e94: "ER_IB_MSG_99",
    0x2e95: "ER_IB_MSG_100",
    0x2e96: "ER_IB_MSG_101",
    0x2e97: "ER_IB_MSG_102",
    0x2e98: "ER_IB_MSG_103",
    0x2e99: "ER_IB_MSG_104",
    0x2e9a: "ER_IB_MSG_105",
    0x2e9b: "ER_IB_MSG_106",
    0x2e9c: "ER_IB_MSG_107",
    0x2e9d: "ER_IB_MSG_108",
    0x2e9e: "ER_IB_MSG_109",
    0x2e9f: "ER_IB_MSG_110",
    0x2ea0: "ER_IB_MSG_111",
    0x2ea1: "ER_IB_MSG_112",
    0x2ea2: "ER_IB_MSG_113",
    0x2ea3: "ER_IB_MSG_114",
    0x2ea4: "ER_IB_MSG_115",
    0x2ea5: "ER_IB_MSG_116",
    0x2ea6: "ER_IB_MSG_117",
    0x2ea7: "ER_IB_MSG_118",
    0x2ea8: "ER_IB_MSG_119",
    0x2ea9: "ER_IB_MSG_120",
    0x2eaa: "ER_IB_MSG_121",
    0x2eab: "ER_IB_MSG_122",
    0x2eac: "ER_IB_MSG_123",
    0x2ead: "ER_IB_MSG_124",
    0x2eae: "ER_IB_MSG_125",
    0x2eaf: "ER_IB_MSG_126",
    0x2eb0: "ER_IB_MSG_127",
    0x2eb1: "ER_IB_MSG_128",
    0x2eb2: "ER_IB_MSG_129",
    0x2eb3: "ER_IB_MSG_130",
    0x2eb4: "ER_IB_MSG_131",
    0x2eb5: "ER_IB_MSG_132",
    0x2eb6: "ER_IB_MSG_133",
    0x2eb7: "ER_IB_MSG_134",
    0x2eb8: "ER_IB_MSG_135",
    0x2eb9: "ER_IB_MSG_136",
    0x2eba: "ER_IB_MSG_137",
    0x2ebb: "ER_IB_MSG_138",
    0x2ebc: "ER_IB_MSG_139",
    0x2ebd: "ER_IB_MSG_140",
    0x2ebe: "ER_IB_MSG_141",
    0x2ebf: "ER_IB_MSG_142",
    0x2ec0: "ER_IB_MSG_143",
    0x2ec1: "ER_IB_MSG_144",
    0x2ec2: "ER_IB_MSG_145",
    0x2ec3: "ER_IB_MSG_146",
    0x2ec4: "ER_IB_MSG_147",
    0x2ec5: "ER_IB_MSG_148",
    0x2ec6: "ER_IB_MSG_149",
    0x2ec7: "ER_IB_MSG_150",
    0x2ec8: "ER_IB_MSG_151",
    0x2ec9: "ER_IB_MSG_152",
    0x2eca: "ER_IB_MSG_153",
    0x2ecb: "ER_IB_MSG_154",
    0x2ecc: "ER_IB_MSG_155",
    0x2ecd: "ER_IB_MSG_156",
    0x2ece: "ER_IB_MSG_157",
    0x2ecf: "ER_IB_MSG_158",
    0x2ed0: "ER_IB_MSG_159",
    0x2ed1: "ER_IB_MSG_160",
    0x2ed2: "ER_IB_MSG_161",
    0x2ed3: "ER_IB_MSG_162",
    0x2ed4: "ER_IB_MSG_163",
    0x2ed5: "ER_IB_MSG_164",
    0x2ed6: "ER_IB_MSG_165",
    0x2ed7: "ER_IB_MSG_166",
    0x2ed8: "ER_IB_MSG_167",
    0x2ed9: "ER_IB_MSG_168",
    0x2eda: "ER_IB_MSG_169",
    0x2edb: "ER_IB_MSG_170",
    0x2edc: "ER_IB_MSG_171",
    0x2edd: "ER_IB_MSG_172",
    0x2ede: "ER_IB_MSG_173",
    0x2edf: "ER_IB_MSG_174",
    0x2ee0: "ER_IB_MSG_175",
    0x2ee1: "ER_IB_MSG_176",
    0x2ee2: "ER_IB_MSG_177",
    0x2ee3: "ER_IB_MSG_178",
    0x2ee4: "ER_IB_MSG_179",
    0x2ee5: "ER_IB_MSG_180",
    0x2ee6: "ER_IB_MSG_181",
    0x2ee7: "ER_IB_MSG_182",
    0x2ee8: "ER_IB_MSG_183",
    0x2ee9: "ER_IB_MSG_184",
    0x2eea: "ER_IB_MSG_185",
    0x2eeb: "ER_IB_MSG_186",
    0x2eec: "ER_IB_MSG_187",
    0x2eed: "ER_IB_MSG_188",
    0x2eee: "ER_IB_MSG_189",
    0x2eef: "ER_IB_MSG_190",
    0x2ef0: "ER_IB_MSG_191",
    0x2ef1: "ER_IB_MSG_192",
    0x2ef2: "ER_IB_MSG_193",
    0x2ef3: "ER_IB_MSG_194",
    0x2ef4: "ER_IB_MSG_195",
    0x2ef5: "ER_IB_MSG_196",
    0x2ef6: "ER_IB_MSG_197",
    0x2ef7: "ER_IB_MSG_198",
    0x2ef8: "ER_IB_MSG_199",
    0x2ef9: "ER_IB_MSG_200",
    0x2efa: "ER_IB_MSG_201",
    0x2efb: "ER_IB_MSG_202",
    0x2efc: "ER_IB_MSG_203",
    0x2efd: "ER_IB_MSG_204",
    0x2efe: "ER_IB_MSG_205",
    0x2eff: "ER_IB_MSG_206",
    0x2f00: "ER_IB_MSG_207",
    0x2f01: "ER_IB_MSG_208",
    0x2f02: "ER_IB_MSG_209",
    0x2f03: "ER_IB_MSG_210",
    0x2f04: "ER_IB_MSG_211",
    0x2f05: "ER_IB_MSG_212",
    0x2f06: "ER_IB_MSG_213",
    0x2f07: "ER_IB_MSG_214",
    0x2f08: "ER_IB_MSG_215",
    0x2f09: "ER_IB_MSG_216",
    0x2f0a: "ER_IB_MSG_217",
    0x2f0b: "ER_IB_MSG_218",
    0x2f0c: "ER_IB_MSG_219",
    0x2f0d: "ER_IB_MSG_220",
    0x2f0e: "ER_IB_MSG_221",
    0x2f0f: "ER_IB_MSG_222",
    0x2f10: "ER_IB_MSG_223",
    0x2f11: "ER_IB_MSG_224",
    0x2f12: "ER_IB_MSG_225",
    0x2f13: "ER_IB_MSG_226",
    0x2f14: "ER_IB_MSG_227",
    0x2f15: "ER_IB_MSG_228",
    0x2f16: "ER_IB_MSG_229",
    0x2f17: "ER_IB_MSG_230",
    0x2f18: "ER_IB_MSG_231",
    0x2f19: "ER_IB_MSG_232",
    0x2f1a: "ER_IB_MSG_233",
    0x2f1b: "ER_IB_MSG_234",
    0x2f1c: "ER_IB_MSG_235",
    0x2f1d: "ER_IB_MSG_236",
    0x2f1e: "ER_IB_MSG_237",
    0x2f1f: "ER_IB_MSG_238",
    0x2f20: "ER_IB_MSG_239",
    0x2f21: "ER_IB_MSG_240",
    0x2f22: "ER_IB_MSG_241",
    0x2f23: "ER_IB_MSG_242",
    0x2f24: "ER_IB_MSG_243",
    0x2f25: "ER_IB_MSG_244",
    0x2f26: "ER_IB_MSG_245",
    0x2f27: "ER_IB_MSG_246",
    0x2f28: "ER_IB_MSG_247",
    0x2f29: "ER_IB_MSG_248",
    0x2f2a: "ER_IB_MSG_249",
    0x2f2b: "ER_IB_MSG_250",
    0x2f2c: "ER_IB_MSG_251",
    0x2f2d: "ER_IB_MSG_252",
    0x2f2e: "ER_IB_MSG_253",
    0x2f2f: "ER_IB_MSG_254",
    0x2f30: "ER_IB_MSG_255",
    0x2f31: "ER_IB_MSG_256",
    0x2f32: "ER_IB_MSG_257",
    0x2f33: "ER_IB_MSG_258",
    0x2f34: "ER_IB_MSG_259",
    0x2f35: "ER_IB_MSG_260",
    0x2f36: "ER_IB_MSG_261",
    0x2f37: "ER_IB_MSG_262",
    0x2f38: "ER_IB_MSG_263",
    0x2f39: "ER_IB_MSG_264",
    0x2f3a: "ER_IB_MSG_265",
    0x2f3b: "ER_IB_MSG_266",
    0x2f3c: "ER_IB_MSG_267",
    0x2f3d: "ER_IB_MSG_268",
    0x2f3e: "ER_IB_MSG_269",
    0x2f3f: "ER_IB_MSG_270",
    0x2f40: "ER_IB_MSG_271",
    0x2f41: "ER_IB_MSG_272",
    0x2f42: "ER_IB_MSG_273",
    0x2f43: "ER_IB_MSG_274",
    0x2f44: "ER_IB_MSG_275",
    0x2f45: "ER_IB_MSG_276",
    0x2f46: "ER_IB_MSG_277",
    0x2f47: "ER_IB_MSG_278",
    0x2f48: "ER_IB_MSG_279",
    0x2f49: "ER_IB_MSG_280",
    0x2f4a: "ER_IB_MSG_281",
    0x2f4b: "ER_IB_MSG_282",
    0x2f4c: "ER_IB_MSG_283",
    0x2f4d: "ER_IB_MSG_284",
    0x2f4e: "ER_IB_MSG_285",
    0x2f4f: "ER_IB_MSG_286",
    0x2f50: "ER_IB_MSG_287",
    0x2f51: "ER_IB_MSG_288",
    0x2f52: "ER_IB_MSG_289",
    0x2f53: "ER_IB_MSG_290",
    0x2f54: "ER_IB_MSG_291",
    0x2f55: "ER_IB_MSG_292",
    0x2f56: "ER_IB_MSG_293",
    0x2f57: "ER_IB_MSG_294",
    0x2f58: "ER_IB_MSG_295",
    0x2f59: "ER_IB_MSG_296",
    0x2f5a: "ER_IB_MSG_297",
    0x2f5b: "ER_IB_MSG_298",
    0x2f5c: "ER_IB_MSG_299",
    0x2f5d: "ER_IB_MSG_300",
    0x2f5e: "ER_IB_MSG_301",
    0x2f5f: "ER_IB_MSG_302",
    0x2f60: "ER_IB_MSG_303",
    0x2f61: "ER_IB_MSG_304",
    0x2f62: "ER_IB_MSG_305",
    0x2f63: "ER_IB_MSG_306",
    0x2f64: "ER_IB_MSG_307",
    0x2f65: "ER_IB_MSG_308",
    0x2f66: "ER_IB_MSG_309",
    0x2f67: "ER_IB_MSG_310",
    0x2f68: "ER_IB_MSG_311",
    0x2f69: "ER_IB_MSG_312",
    0x2f6a: "ER_IB_MSG_313",
    0x2f6b: "ER_IB_MSG_314",
    0x2f6c: "ER_IB_MSG_315",
    0x2f6d: "ER_IB_MSG_316",
    0x2f6e: "ER_IB_MSG_317",
    0x2f6f: "ER_IB_MSG_318",
    0x2f70: "ER_IB_MSG_319",
    0x2f71: "ER_IB_MSG_320",
    0x2f72: "ER_IB_MSG_321",
    0x2f73: "ER_IB_MSG_322",
    0x2f74: "ER_IB_MSG_323",
    0x2f75: "ER_IB_MSG_324",
    0x2f76: "ER_IB_MSG_325",
    0x2f77: "ER_IB_MSG_326",
    0x2f78: "ER_IB_MSG_327",
    0x2f79: "ER_IB_MSG_328",
    0x2f7a: "ER_IB_MSG_329",
    0x2f7b: "ER_IB_MSG_330",
    0x2f7c: "ER_IB_MSG_331",
    0x2f7d: "ER_IB_MSG_332",
    0x2f7e: "ER_IB_MSG_333",
    0x2f7f: "ER_IB_MSG_334",
    0x2f80: "ER_IB_MSG_335",
    0x2f81: "ER_IB_MSG_336",
    0x2f82: "ER_IB_MSG_337",
    0x2f83: "ER_IB_MSG_338",
    0x2f84: "ER_IB_MSG_339",
    0x2f85: "ER_IB_MSG_340",
    0x2f86: "ER_IB_MSG_341",
    0x2f87: "ER_IB_MSG_342",
    0x2f88: "ER_IB_MSG_343",
    0x2f89: "ER_IB_MSG_344",
    0x2f8a: "ER_IB_MSG_345",
    0x2f8b: "ER_IB_MSG_346",
    0x2f8c: "ER_IB_MSG_347",
    0x2f8d: "ER_IB_MSG_348",
    0x2f8e: "ER_IB_MSG_349",
    0x2f8f: "ER_IB_MSG_350",
    0x2f90: "ER_IB_MSG_351",
    0x2f91: "ER_IB_MSG_352",
    0x2f92: "ER_IB_MSG_353",
    0x2f93: "ER_IB_MSG_354",
    0x2f94: "ER_IB_MSG_355",
    0x2f95: "ER_IB_MSG_356",
    0x2f96: "ER_IB_MSG_357",
    0x2f97: "ER_IB_MSG_358",
    0x2f98: "ER_IB_MSG_359",
    0x2f99: "ER_IB_MSG_360",
    0x2f9a: "ER_IB_MSG_361",
    0x2f9b: "ER_IB_MSG_362",
    0x2f9c: "ER_IB_MSG_363",
    0x2f9d: "ER_IB_MSG_364",
    0x2f9e: "ER_IB_MSG_365",
    0x2f9f: "ER_IB_MSG_366",
    0x2fa0: "ER_IB_MSG_367",
    0x2fa1: "ER_IB_MSG_368",
    0x2fa2: "ER_IB_MSG_369",
    0x2fa3: "ER_IB_MSG_370",
    0x2fa4: "ER_IB_MSG_371",
    0x2fa5: "ER_IB_MSG_372",
    0x2fa6: "ER_IB_MSG_373",
    0x2fa7: "ER_IB_MSG_374",
    0x2fa8: "ER_IB_MSG_375",
    0x2fa9: "ER_IB_MSG_376",
    0x2faa: "ER_IB_MSG_377",
    0x2fab: "ER_IB_MSG_378",
    0x2fac: "ER_IB_MSG_379",
    0x2fad: "ER_IB_MSG_380",
    0x2fae: "ER_IB_MSG_381",
    0x2faf: "ER_IB_MSG_382",
    0x2fb0: "ER_IB_MSG_383",
    0x2fb1: "ER_IB_MSG_384",
    0x2fb2: "ER_IB_MSG_385",
    0x2fb3: "ER_IB_MSG_386",
    0x2fb4: "ER_IB_MSG_387",
    0x2fb5: "ER_IB_MSG_388",
    0x2fb6: "ER_IB_MSG_389",
    0x2fb7: "ER_IB_MSG_390",
    0x2fb8: "ER_IB_MSG_391",
    0x2fb9: "ER_IB_MSG_392",
    0x2fba: "ER_IB_MSG_393",
    0x2fbb: "ER_IB_MSG_394",
    0x2fbc: "ER_IB_MSG_395",
    0x2fbd: "ER_IB_MSG_396",
    0x2fbe: "ER_IB_MSG_397",
    0x2fbf: "ER_IB_MSG_398",
    0x2fc0: "ER_IB_MSG_399",
    0x2fc1: "ER_IB_MSG_400",
    0x2fc2: "ER_IB_MSG_401",
    0x2fc3: "ER_IB_MSG_402",
    0x2fc4: "ER_IB_MSG_403",
    0x2fc5: "ER_IB_MSG_404",
    0x2fc6: "ER_IB_MSG_405",
    0x2fc7: "ER_IB_MSG_406",
    0x2fc8: "ER_IB_MSG_407",
    0x2fc9: "ER_IB_MSG_408",
    0x2fca: "ER_IB_MSG_409",
    0x2fcb: "ER_IB_MSG_410",
    0x2fcc: "ER_IB_MSG_411",
    0x2fcd: "ER_IB_MSG_412",
    0x2fce: "ER_IB_MSG_413",
    0x2fcf: "ER_IB_MSG_414",
    0x2fd0: "ER_IB_MSG_415",
    0x2fd1: "ER_IB_MSG_416",
    0x2fd2: "ER_IB_MSG_417",
    0x2fd3: "ER_IB_MSG_418",
    0x2fd4: "ER_IB_MSG_419",
    0x2fd5: "ER_IB_MSG_420",
    0x2fd6: "ER_IB_MSG_421",
    0x2fd7: "ER_IB_MSG_422",
    0x2fd8: "ER_IB_MSG_423",
    0x2fd9: "ER_IB_MSG_424",
    0x2fda: "ER_IB_MSG_425",
    0x2fdb: "ER_IB_MSG_426",
    0x2fdc: "ER_IB_MSG_427",
    0x2fdd: "ER_IB_MSG_428",
    0x2fde: "ER_IB_MSG_429",
    0x2fdf: "ER_IB_MSG_430",
    0x2fe0: "ER_IB_MSG_431",
    0x2fe1: "ER_IB_MSG_432",
    0x2fe2: "ER_IB_MSG_433",
    0x2fe3: "ER_IB_MSG_434",
    0x2fe4: "ER_IB_MSG_435",
    0x2fe5: "ER_IB_MSG_436",
    0x2fe6: "ER_IB_MSG_437",
    0x2fe7: "ER_IB_MSG_438",
    0x2fe8: "ER_IB_MSG_439",
    0x2fe9: "ER_IB_MSG_440",
    0x2fea: "ER_IB_MSG_441",
    0x2feb: "ER_IB_MSG_442",
    0x2fec: "ER_IB_MSG_443",
    0x2fed: "ER_IB_MSG_444",
    0x2fee: "ER_IB_MSG_445",
    0x2fef: "ER_IB_MSG_446",
    0x2ff0: "ER_IB_MSG_447",
    0x2ff1: "ER_IB_MSG_448",
    0x2ff2: "ER_IB_MSG_449",
    0x2ff3: "ER_IB_MSG_450",
    0x2ff4: "ER_IB_MSG_451",
    0x2ff5: "ER_IB_MSG_452",
    0x2ff6: "ER_IB_MSG_453",
    0x2ff7: "ER_IB_MSG_454",
    0x2ff8: "ER_IB_MSG_455",
    0x2ff9: "ER_IB_MSG_456",
    0x2ffa: "ER_IB_MSG_457",
    0x2ffb: "ER_IB_MSG_458",
    0x2ffc: "ER_IB_MSG_459",
    0x2ffd: "ER_IB_MSG_460",
    0x2ffe: "ER_IB_MSG_461",
    0x2fff: "ER_IB_MSG_462",
    0x3000: "ER_IB_MSG_463",
    0x3001: "ER_IB_MSG_464",
    0x3002: "ER_IB_MSG_465",
    0x3003: "ER_IB_MSG_466",
    0x3004: "ER_IB_MSG_467",
    0x3005: "ER_IB_MSG_468",
    0x3006: "ER_IB_MSG_469",
    0x3007: "ER_IB_MSG_470",
    0x3008: "ER_IB_MSG_471",
    0x3009: "ER_IB_MSG_472",
    0x300a: "ER_IB_MSG_473",
    0x300b: "ER_IB_MSG_474",
    0x300c: "ER_IB_MSG_475",
    0x300d: "ER_IB_MSG_476",
    0x300e: "ER_IB_MSG_477",
    0x300f: "ER_IB_MSG_478",
    0x3010: "ER_IB_MSG_479",
    0x3011: "ER_IB_MSG_480",
    0x3012: "ER_IB_MSG_481",
    0x3013: "ER_IB_MSG_482",
    0x3014: "ER_IB_MSG_483",
    0x3015: "ER_IB_MSG_484",
    0x3016: "ER_IB_MSG_485",
    0x3017: "ER_IB_MSG_486",
    0x3018: "ER_IB_MSG_487",
    0x3019: "ER_IB_MSG_488",
    0x301a: "ER_IB_MSG_489",
    0x301b: "ER_IB_MSG_490",
    0x301c: "ER_IB_MSG_491",
    0x301d: "ER_IB_MSG_492",
    0x301e: "ER_IB_MSG_493",
    0x301f: "ER_IB_MSG_494",
    0x3020: "ER_IB_MSG_495",
    0x3021: "ER_IB_MSG_496",
    0x3022: "ER_IB_MSG_497",
    0x3023: "ER_IB_MSG_498",
    0x3024: "ER_IB_MSG_499",
    0x3025: "ER_IB_MSG_500",
    0x3026: "ER_IB_MSG_501",
    0x3027: "ER_IB_MSG_502",
    0x3028: "ER_IB_MSG_503",
    0x3029: "ER_IB_MSG_504",
    0x302a: "ER_IB_MSG_505",
    0x302b: "ER_IB_MSG_506",
    0x302c: "ER_IB_MSG_507",
    0x302d: "ER_IB_MSG_508",
    0x302e: "ER_IB_MSG_509",
    0x302f: "ER_IB_MSG_510",
    0x3030: "ER_IB_MSG_511",
    0x3031: "ER_IB_MSG_512",
    0x3032: "ER_IB_MSG_513",
    0x3033: "ER_IB_MSG_514",
    0x3034: "ER_IB_MSG_515",
    0x3035: "ER_IB_MSG_516",
    0x3036: "ER_IB_MSG_517",
    0x3037: "ER_IB_MSG_518",
    0x3038: "ER_IB_MSG_519",
    0x3039: "ER_IB_MSG_520",
    0x303a: "ER_IB_MSG_521",
    0x303b: "ER_IB_MSG_522",
    0x303c: "ER_IB_MSG_523",
    0x303d: "ER_IB_MSG_524",
    0x303e: "ER_IB_MSG_525",
    0x303f: "ER_IB_MSG_526",
    0x3040: "ER_IB_MSG_527",
    0x3041: "ER_IB_MSG_528",
    0x3042: "ER_IB_MSG_529",
    0x3043: "ER_IB_MSG_530",
    0x3044: "ER_IB_MSG_531",
    0x3045: "ER_IB_MSG_532",
    0x3046: "ER_IB_MSG_533",
    0x3047: "ER_IB_MSG_534",
    0x3048: "ER_IB_MSG_535",
    0x3049: "ER_IB_MSG_536",
    0x304a: "ER_IB_MSG_537",
    0x304b: "ER_IB_MSG_538",
    0x304c: "ER_IB_MSG_539",
    0x304d: "ER_IB_MSG_540",
    0x304e: "ER_IB_MSG_541",
    0x304f: "ER_IB_MSG_542",
    0x3050: "ER_IB_MSG_543",
    0x3051: "ER_IB_MSG_544",
    0x3052: "ER_IB_MSG_545",
    0x3053: "ER_IB_MSG_546",
    0x3054: "ER_IB_MSG_547",
    0x3055: "ER_IB_MSG_548",
    0x3056: "ER_IB_MSG_549",
    0x3057: "ER_IB_MSG_550",
    0x3058: "ER_IB_MSG_551",
    0x3059: "ER_IB_MSG_552",
    0x305a: "ER_IB_MSG_553",
    0x305b: "ER_IB_MSG_554",
    0x305c: "ER_IB_MSG_555",
    0x305d: "ER_IB_MSG_556",
    0x305e: "ER_IB_MSG_557",
    0x305f: "ER_IB_MSG_558",
    0x3060: "ER_IB_MSG_559",
    0x3061: "ER_IB_MSG_560",
    0x3062: "ER_IB_MSG_561",
    0x3063: "ER_IB_MSG_562",
    0x3064: "ER_IB_MSG_563",
    0x3065: "ER_IB_MSG_564",
    0x3066: "ER_IB_MSG_565",
    0x3067: "ER_IB_MSG_566",
    0x3068: "ER_IB_MSG_567",
    0x3069: "ER_IB_MSG_568",
    0x306a: "ER_IB_MSG_569",
    0x306b: "ER_IB_MSG_570",
    0x306c: "ER_IB_MSG_571",
    0x306d: "ER_IB_MSG_572",
    0x306e: "ER_IB_MSG_573",
    0x306f: "ER_IB_MSG_574",
    0x3070: "ER_IB_MSG_575",
    0x3071: "ER_IB_MSG_576",
    0x3072: "ER_IB_MSG_577",
    0x3073: "ER_IB_MSG_578",
    0x3074: "ER_IB_MSG_579",
    0x3075: "ER_IB_MSG_580",
    0x3076: "ER_IB_MSG_581",
    0x3077: "ER_IB_MSG_582",
    0x3078: "ER_IB_MSG_583",
    0x3079: "ER_IB_MSG_584",
    0x307a: "ER_IB_MSG_585",
    0x307b: "ER_IB_MSG_586",
    0x307c: "ER_IB_MSG_587",
    0x307d: "ER_IB_MSG_588",
    0x307e: "ER_IB_MSG_589",
    0x307f: "ER_IB_MSG_590",
    0x3080: "ER_IB_MSG_591",
    0x3081: "ER_IB_MSG_592",
    0x3082: "ER_IB_MSG_593",
    0x3083: "ER_IB_MSG_594",
    0x3084: "ER_IB_MSG_595",
    0x3085: "ER_IB_MSG_596",
    0x3086: "ER_IB_MSG_597",
    0x3087: "ER_IB_MSG_598",
    0x3088: "ER_IB_MSG_599",
    0x3089: "ER_IB_MSG_600",
    0x308a: "ER_IB_MSG_601",
    0x308b: "ER_IB_MSG_602",
    0x308c: "ER_IB_MSG_603",
    0x308d: "ER_IB_MSG_604",
    0x308e: "ER_IB_MSG_605",
    0x308f: "ER_IB_MSG_606",
    0x3090: "ER_IB_MSG_607",
    0x3091: "ER_IB_MSG_608",
    0x3092: "ER_IB_MSG_609",
    0x3093: "ER_IB_MSG_610",
    0x3094: "ER_IB_MSG_611",
    0x3095: "ER_IB_MSG_612",
    0x3096: "ER_IB_MSG_613",
    0x3097: "ER_IB_MSG_614",
    0x3098: "ER_IB_MSG_615",
    0x3099: "ER_IB_MSG_616",
    0x309a: "ER_IB_MSG_617",
    0x309b: "ER_IB_MSG_618",
    0x309c: "ER_IB_MSG_619",
    0x309d: "ER_IB_MSG_620",
    0x309e: "ER_IB_MSG_621",
    0x309f: "ER_IB_MSG_622",
    0x30a0: "ER_IB_MSG_623",
    0x30a1: "ER_IB_MSG_624",
    0x30a2: "ER_IB_MSG_625",
    0x30a3: "ER_IB_MSG_626",
    0x30a4: "ER_IB_MSG_627",
    0x30a5: "ER_IB_MSG_628",
    0x30a6: "ER_IB_MSG_629",
    0x30a7: "ER_IB_MSG_630",
    0x30a8: "ER_IB_MSG_631",
    0x30a9: "ER_IB_MSG_632",
    0x30aa: "ER_IB_MSG_633",
    0x30ab: "ER_IB_MSG_634",
    0x30ac: "ER_IB_MSG_635",
    0x30ad: "ER_IB_MSG_636",
    0x30ae: "ER_IB_MSG_637",
    0x30af: "ER_IB_MSG_638",
    0x30b0: "ER_IB_MSG_639",
    0x30b1: "ER_IB_MSG_640",
    0x30b2: "ER_IB_MSG_641",
    0x30b3: "ER_IB_MSG_642",
    0x30b4: "ER_IB_MSG_643",
    0x30b5: "ER_IB_MSG_644",
    0x30b6: "ER_IB_MSG_645",
    0x30b7: "ER_IB_MSG_646",
    0x30b8: "ER_IB_MSG_647",
    0x30b9: "ER_IB_MSG_648",
    0x30ba: "ER_IB_MSG_649",
    0x30bb: "ER_IB_MSG_650",
    0x30bc: "ER_IB_MSG_651",
    0x30bd: "ER_IB_MSG_652",
    0x30be: "ER_IB_MSG_653",
    0x30bf: "ER_IB_MSG_654",
    0x30c0: "ER_IB_MSG_655",
    0x30c1: "ER_IB_MSG_656",
    0x30c2: "ER_IB_MSG_657",
    0x30c3: "ER_IB_MSG_658",
    0x30c4: "ER_IB_MSG_659",
    0x30c5: "ER_IB_MSG_660",
    0x30c6: "ER_IB_MSG_661",
    0x30c7: "ER_IB_MSG_662",
    0x30c8: "ER_IB_MSG_663",
    0x30c9: "ER_IB_MSG_664",
    0x30ca: "ER_IB_MSG_665",
    0x30cb: "ER_IB_MSG_666",
    0x30cc: "ER_IB_MSG_667",
    0x30cd: "ER_IB_MSG_668",
    0x30ce: "ER_IB_MSG_669",
    0x30cf: "ER_IB_MSG_670",
    0x30d0: "ER_IB_MSG_671",
    0x30d1: "ER_IB_MSG_672",
    0x30d2: "ER_IB_MSG_673",
    0x30d3: "ER_IB_MSG_674",
    0x30d4: "ER_IB_MSG_675",
    0x30d5: "ER_IB_MSG_676",
    0x30d6: "ER_IB_MSG_677",
    0x30d7: "ER_IB_MSG_678",
    0x30d8: "ER_IB_MSG_679",
    0x30d9: "ER_IB_MSG_680",
    0x30da: "ER_IB_MSG_681",
    0x30db: "ER_IB_MSG_682",
    0x30dc: "ER_IB_MSG_683",
    0x30dd: "ER_IB_MSG_684",
    0x30de: "ER_IB_MSG_685",
    0x30df: "ER_IB_MSG_686",
    0x30e0: "ER_IB_MSG_687",
    0x30e1: "ER_IB_MSG_688",
    0x30e2: "ER_IB_MSG_689",
    0x30e3: "ER_IB_MSG_690",
    0x30e4: "ER_IB_MSG_691",
    0x30e5: "ER_IB_MSG_692",
    0x30e6: "ER_IB_MSG_693",
    0x30e7: "ER_IB_MSG_694",
    0x30e8: "ER_IB_MSG_695",
    0x30e9: "ER_IB_MSG_696",
    0x30ea: "ER_IB_MSG_697",
    0x30eb: "ER_IB_MSG_698",
    0x30ec: "ER_IB_MSG_699",
    0x30ed: "ER_IB_MSG_700",
    0x30ee: "ER_IB_MSG_701",
    0x30ef: "ER_IB_MSG_702",
    0x30f0: "ER_IB_MSG_703",
    0x30f1: "ER_IB_MSG_704",
    0x30f2: "ER_IB_MSG_705",
    0x30f3: "ER_IB_MSG_706",
    0x30f4: "ER_IB_MSG_707",
    0x30f5: "ER_IB_MSG_708",
    0x30f6: "ER_IB_MSG_709",
    0x30f7: "ER_IB_MSG_710",
    0x30f8: "ER_IB_MSG_711",
    0x30f9: "ER_IB_MSG_712",
    0x30fa: "ER_IB_MSG_713",
    0x30fb: "ER_IB_MSG_714",
    0x30fc: "ER_IB_MSG_715",
    0x30fd: "ER_IB_MSG_716",
    0x30fe: "ER_IB_MSG_717",
    0x30ff: "ER_IB_MSG_718",
    0x3100: "ER_IB_MSG_719",
    0x3101: "ER_IB_MSG_720",
    0x3102: "ER_IB_MSG_721",
    0x3103: "ER_IB_MSG_722",
    0x3104: "ER_IB_MSG_723",
    0x3105: "ER_IB_MSG_724",
    0x3106: "ER_IB_MSG_725",
    0x3107: "ER_IB_MSG_726",
    0x3108: "ER_IB_MSG_727",
    0x3109: "ER_IB_MSG_728",
    0x310a: "ER_IB_MSG_729",
    0x310b: "ER_IB_MSG_730",
    0x310c: "ER_IB_MSG_731",
    0x310d: "ER_IB_MSG_732",
    0x310e: "ER_IB_MSG_733",
    0x310f: "ER_IB_MSG_734",
    0x3110: "ER_IB_MSG_735",
    0x3111: "ER_IB_MSG_736",
    0x3112: "ER_IB_MSG_737",
    0x3113: "ER_IB_MSG_738",
    0x3114: "ER_IB_MSG_739",
    0x3115: "ER_IB_MSG_740",
    0x3116: "ER_IB_MSG_741",
    0x3117: "ER_IB_MSG_742",
    0x3118: "ER_IB_MSG_743",
    0x3119: "ER_IB_MSG_744",
    0x311a: "ER_IB_MSG_745",
    0x311b: "ER_IB_MSG_746",
    0x311c: "ER_IB_MSG_747",
    0x311d: "ER_IB_MSG_748",
    0x311e: "ER_IB_MSG_749",
    0x311f: "ER_IB_MSG_750",
    0x3120: "ER_IB_MSG_751",
    0x3121: "ER_IB_MSG_752",
    0x3122: "ER_IB_MSG_753",
    0x3123: "ER_IB_MSG_754",
    0x3124: "ER_IB_MSG_755",
    0x3125: "ER_IB_MSG_756",
    0x3126: "ER_IB_MSG_757",
    0x3127: "ER_IB_MSG_758",
    0x3128: "ER_IB_MSG_759",
    0x3129: "ER_IB_MSG_760",
    0x312a: "ER_IB_MSG_761",
    0x312b: "ER_IB_MSG_762",
    0x312c: "ER_IB_MSG_763",
    0x312d: "ER_IB_MSG_764",
    0x312e: "ER_IB_MSG_765",
    0x312f: "ER_IB_MSG_766",
    0x3130: "ER_IB_MSG_767",
    0x3131: "ER_IB_MSG_768",
    0x3132: "ER_IB_MSG_769",
    0x3133: "ER_IB_MSG_770",
    0x3134: "ER_IB_MSG_771",
    0x3135: "ER_IB_MSG_772",
    0x3136: "ER_IB_MSG_773",
    0x3137: "ER_IB_MSG_774",
    0x3138: "ER_IB_MSG_775",
    0x3139: "ER_IB_MSG_776",
    0x313a: "ER_IB_MSG_777",
    0x313b: "ER_IB_MSG_778",
    0x313c: "ER_IB_MSG_779",
    0x313d: "ER_IB_MSG_780",
    0x313e: "ER_IB_MSG_781",
    0x313f: "ER_IB_MSG_782",
    0x3140: "ER_IB_MSG_783",
    0x3141: "ER_IB_MSG_784",
    0x3142: "ER_IB_MSG_785",
    0x3143: "ER_IB_MSG_786",
    0x3144: "ER_IB_MSG_787",
    0x3145: "ER_IB_MSG_788",
    0x3146: "ER_IB_MSG_789",
    0x3147: "ER_IB_MSG_790",
    0x3148: "ER_IB_MSG_791",
    0x3149: "ER_IB_MSG_792",
    0x314a: "ER_IB_MSG_793",
    0x314b: "ER_IB_MSG_794",
    0x314c: "ER_IB_MSG_795",
    0x314d: "ER_IB_MSG_796",
    0x314e: "ER_IB_MSG_797",
    0x314f: "ER_IB_MSG_798",
    0x3150: "ER_IB_MSG_799",
    0x3151: "ER_IB_MSG_800",
    0x3152: "ER_IB_MSG_801",
    0x3153: "ER_IB_MSG_802",
    0x3154: "ER_IB_MSG_803",
    0x3155: "ER_IB_MSG_804",
    0x3156: "ER_IB_MSG_805",
    0x3157: "ER_IB_MSG_806",
    0x3158: "ER_IB_MSG_807",
    0x3159: "ER_IB_MSG_808",
    0x315a: "ER_IB_MSG_809",
    0x315b: "ER_IB_MSG_810",
    0x315c: "ER_IB_MSG_811",
    0x315d: "ER_IB_MSG_812",
    0x315e: "ER_IB_MSG_813",
    0x315f: "ER_IB_MSG_814",
    0x3160: "ER_IB_MSG_815",
    0x3161: "ER_IB_MSG_816",
    0x3162: "ER_IB_MSG_817",
    0x3163: "ER_IB_MSG_818",
    0x3164: "ER_IB_MSG_819",
    0x3165: "ER_IB_MSG_820",
    0x3166: "ER_IB_MSG_821",
    0x3167: "ER_IB_MSG_822",
    0x3168: "ER_IB_MSG_823",
    0x3169: "ER_IB_MSG_824",
    0x316a: "ER_IB_MSG_825",
    0x316b: "ER_IB_MSG_826",
    0x316c: "ER_IB_MSG_827",
    0x316d: "ER_IB_MSG_828",
    0x316e: "ER_IB_MSG_829",
    0x316f: "ER_IB_MSG_830",
    0x3170: "ER_IB_MSG_831",
    0x3171: "ER_IB_MSG_832",
    0x3172: "ER_IB_MSG_833",
    0x3173: "ER_IB_MSG_834",
    0x3174: "ER_IB_MSG_835",
    0x3175: "ER_IB_MSG_836",
    0x3176: "ER_IB_MSG_837",
    0x3177: "ER_IB_MSG_838",
    0x3178: "ER_IB_MSG_839",
    0x3179: "ER_IB_MSG_840",
    0x317a: "ER_IB_MSG_841",
    0x317b: "ER_IB_MSG_842",
    0x317c: "ER_IB_MSG_843",
    0x317d: "ER_IB_MSG_844",
    0x317e: "ER_IB_MSG_845",
    0x317f: "ER_IB_MSG_846",
    0x3180: "ER_IB_MSG_847",
    0x3181: "ER_IB_MSG_848",
    0x3182: "ER_IB_MSG_849",
    0x3183: "ER_IB_MSG_850",
    0x3184: "ER_IB_MSG_851",
    0x3185: "ER_IB_MSG_852",
    0x3186: "ER_IB_MSG_853",
    0x3187: "ER_IB_MSG_854",
    0x3188: "ER_IB_MSG_855",
    0x3189: "ER_IB_MSG_856",
    0x318a: "ER_IB_MSG_857",
    0x318b: "ER_IB_MSG_858",
    0x318c: "ER_IB_MSG_859",
    0x318d: "ER_IB_MSG_860",
    0x318e: "ER_IB_MSG_861",
    0x318f: "ER_IB_MSG_862",
    0x3190: "ER_IB_MSG_863",
    0x3191: "ER_IB_MSG_864",
    0x3192: "ER_IB_MSG_865",
    0x3193: "ER_IB_MSG_866",
    0x3194: "ER_IB_MSG_867",
    0x3195: "ER_IB_MSG_868",
    0x3196: "ER_IB_MSG_869",
    0x3197: "ER_IB_MSG_870",
    0x3198: "ER_IB_MSG_871",
    0x3199: "ER_IB_MSG_872",
    0x319a: "ER_IB_MSG_873",
    0x319b: "ER_IB_MSG_874",
    0x319c: "ER_IB_MSG_875",
    0x319d: "ER_IB_MSG_876",
    0x319e: "ER_IB_MSG_877",
    0x319f: "ER_IB_MSG_878",
    0x31a0: "ER_IB_MSG_879",
    0x31a1: "ER_IB_MSG_880",
    0x31a2: "ER_IB_MSG_881",
    0x31a3: "ER_IB_MSG_882",
    0x31a4: "ER_IB_MSG_883",
    0x31a5: "ER_IB_MSG_884",
    0x31a6: "ER_IB_MSG_885",
    0x31a7: "ER_IB_MSG_886",
    0x31a8: "ER_IB_MSG_887",
    0x31a9: "ER_IB_MSG_888",
    0x31aa: "ER_IB_MSG_889",
    0x31ab: "ER_IB_MSG_890",
    0x31ac: "ER_IB_MSG_891",
    0x31ad: "ER_IB_MSG_892",
    0x31ae: "ER_IB_MSG_893",
    0x31af: "ER_IB_MSG_894",
    0x31b0: "ER_IB_MSG_895",
    0x31b1: "ER_IB_MSG_896",
    0x31b2: "ER_IB_MSG_897",
    0x31b3: "ER_IB_MSG_898",
    0x31b4: "ER_IB_MSG_899",
    0x31b5: "ER_IB_MSG_900",
    0x31b6: "ER_IB_MSG_901",
    0x31b7: "ER_IB_MSG_902",
    0x31b8: "ER_IB_MSG_903",
    0x31b9: "ER_IB_MSG_904",
    0x31ba: "ER_IB_MSG_905",
    0x31bb: "ER_IB_MSG_906",
    0x31bc: "ER_IB_MSG_907",
    0x31bd: "ER_IB_MSG_908",
    0x31be: "ER_IB_MSG_909",
    0x31bf: "ER_IB_MSG_910",
    0x31c0: "ER_IB_MSG_911",
    0x31c1: "ER_IB_MSG_912",
    0x31c2: "ER_IB_MSG_913",
    0x31c3: "ER_IB_MSG_914",
    0x31c4: "ER_IB_MSG_915",
    0x31c5: "ER_IB_MSG_916",
    0x31c6: "ER_IB_MSG_917",
    0x31c7: "ER_IB_MSG_918",
    0x31c8: "ER_IB_MSG_919",
    0x31c9: "ER_IB_MSG_920",
    0x31ca: "ER_IB_MSG_921",
    0x31cb: "ER_IB_MSG_922",
    0x31cc: "ER_IB_MSG_923",
    0x31cd: "ER_IB_MSG_924",
    0x31ce: "ER_IB_MSG_925",
    0x31cf: "ER_IB_MSG_926",
    0x31d0: "ER_IB_MSG_927",
    0x31d1: "ER_IB_MSG_928",
    0x31d2: "ER_IB_MSG_929",
    0x31d3: "ER_IB_MSG_930",
    0x31d4: "ER_IB_MSG_931",
    0x31d5: "ER_IB_MSG_932",
    0x31d6: "ER_IB_MSG_933",
    0x31d7: "ER_IB_MSG_934",
    0x31d8: "ER_IB_MSG_935",
    0x31d9: "ER_IB_MSG_936",
    0x31da: "ER_IB_MSG_937",
    0x31db: "ER_IB_MSG_938",
    0x31dc: "ER_IB_MSG_939",
    0x31dd: "ER_IB_MSG_940",
    0x31de: "ER_IB_MSG_941",
    0x31df: "ER_IB_MSG_942",
    0x31e0: "ER_IB_MSG_943",
    0x31e1: "ER_IB_MSG_944",
    0x31e2: "ER_IB_MSG_945",
    0x31e3: "ER_IB_MSG_946",
    0x31e4: "ER_IB_MSG_947",
    0x31e5: "ER_IB_MSG_948",
    0x31e6: "ER_IB_MSG_949",
    0x31e7: "ER_IB_MSG_950",
    0x31e8: "ER_IB_MSG_951",
    0x31e9: "ER_IB_MSG_952",
    0x31ea: "ER_IB_MSG_953",
    0x31eb: "ER_IB_MSG_954",
    0x31ec: "ER_IB_MSG_955",
    0x31ed: "ER_IB_MSG_956",
    0x31ee: "ER_IB_MSG_957",
    0x31ef: "ER_IB_MSG_958",
    0x31f0: "ER_IB_MSG_959",
    0x31f1: "ER_IB_MSG_960",
    0x31f2: "ER_IB_MSG_961",
    0x31f3: "ER_IB_MSG_962",
    0x31f4: "ER_IB_MSG_963",
    0x31f5: "ER_IB_MSG_964",
    0x31f6: "ER_IB_MSG_965",
    0x31f7: "ER_IB_MSG_966",
    0x31f8: "ER_IB_MSG_967",
    0x31f9: "ER_IB_MSG_968",
    0x31fa: "ER_IB_MSG_969",
    0x31fb: "ER_IB_MSG_970",
    0x31fc: "ER_IB_MSG_971",
    0x31fd: "ER_IB_MSG_972",
    0x31fe: "ER_IB_MSG_973",
    0x31ff: "ER_IB_MSG_974",
    0x3200: "ER_IB_MSG_975",
    0x3201: "ER_IB_MSG_976",
    0x3202: "ER_IB_MSG_977",
    0x3203: "ER_IB_MSG_978",
    0x3204: "ER_IB_MSG_979",
    0x3205: "ER_IB_MSG_980",
    0x3206: "ER_IB_MSG_981",
    0x3207: "ER_IB_MSG_982",
    0x3208: "ER_IB_MSG_983",
    0x3209: "ER_IB_MSG_984",
    0x320a: "ER_IB_MSG_985",
    0x320b: "ER_IB_MSG_986",
    0x320c: "ER_IB_MSG_987",
    0x320d: "ER_IB_MSG_988",
    0x320e: "ER_IB_MSG_989",
    0x320f: "ER_IB_MSG_990",
    0x3210: "ER_IB_MSG_991",
    0x3211: "ER_IB_MSG_992",
    0x3212: "ER_IB_MSG_993",
    0x3213: "ER_IB_MSG_994",
    0x3214: "ER_IB_MSG_995",
    0x3215: "ER_IB_MSG_996",
    0x3216: "ER_IB_MSG_997",
    0x3217: "ER_IB_MSG_998",
    0x3218: "ER_IB_MSG_999",
    0x3219: "ER_IB_MSG_1000",
    0x321a: "ER_IB_MSG_1001",
    0x321b: "ER_IB_MSG_1002",
    0x321c: "ER_IB_MSG_1003",
    0x321d: "ER_IB_MSG_1004",
    0x321e: "ER_IB_MSG_1005",
    0x321f: "ER_IB_MSG_1006",
    0x3220: "ER_IB_MSG_1007",
    0x3221: "ER_IB_MSG_1008",
    0x3222: "ER_IB_MSG_1009",
    0x3223: "ER_IB_MSG_1010",
    0x3224: "ER_IB_MSG_1011",
    0x3225: "ER_IB_MSG_1012",
    0x3226: "ER_IB_MSG_1013",
    0x3227: "ER_IB_MSG_1014",
    0x3228: "ER_IB_MSG_1015",
    0x3229: "ER_IB_MSG_1016",
    0x322a: "ER_IB_MSG_1017",
    0x322b: "ER_IB_MSG_1018",
    0x322c: "ER_IB_MSG_1019",
    0x322d: "ER_IB_MSG_1020",
    0x322e: "ER_IB_MSG_1021",
    0x322f: "ER_IB_MSG_1022",
    0x3230: "ER_IB_MSG_1023",
    0x3231: "ER_IB_MSG_1024",
    0x3232: "ER_IB_MSG_1025",
    0x3233: "ER_IB_MSG_1026",
    0x3234: "ER_IB_MSG_1027",
    0x3235: "ER_IB_MSG_1028",
    0x3236: "ER_IB_MSG_1029",
    0x3237: "ER_IB_MSG_1030",
    0x3238: "ER_IB_MSG_1031",
    0x3239: "ER_IB_MSG_1032",
    0x323a: "ER_IB_MSG_1033",
    0x323b: "ER_IB_MSG_1034",
    0x323c: "ER_IB_MSG_1035",
    0x323d: "ER_IB_MSG_1036",
    0x323e: "ER_IB_MSG_1037",
    0x323f: "ER_IB_MSG_1038",
    0x3240: "ER_IB_MSG_1039",
    0x3241: "ER_IB_MSG_1040",
    0x3242: "ER_IB_MSG_1041",
    0x3243: "ER_IB_MSG_1042",
    0x3244: "ER_IB_MSG_1043",
    0x3245: "ER_IB_MSG_1044",
    0x3246: "ER_IB_MSG_1045",
    0x3247: "ER_IB_MSG_1046",
    0x3248: "ER_IB_MSG_1047",
    0x3249: "ER_IB_MSG_1048",
    0x324a: "ER_IB_MSG_1049",
    0x324b: "ER_IB_MSG_1050",
    0x324c: "ER_IB_MSG_1051",
    0x324d: "ER_IB_MSG_1052",
    0x324e: "ER_IB_MSG_1053",
    0x324f: "ER_IB_MSG_1054",
    0x3250: "ER_IB_MSG_1055",
    0x3251: "ER_IB_MSG_1056",
    0x3252: "ER_IB_MSG_1057",
    0x3253: "ER_IB_MSG_1058",
    0x3254: "ER_IB_MSG_1059",
    0x3255: "ER_IB_MSG_1060",
    0x3256: "ER_IB_MSG_1061",
    0x3257: "ER_IB_MSG_1062",
    0x3258: "ER_IB_MSG_1063",
    0x3259: "ER_IB_MSG_1064",
    0x325a: "ER_IB_MSG_1065",
    0x325b: "ER_IB_MSG_1066",
    0x325c: "ER_IB_MSG_1067",
    0x325d: "ER_IB_MSG_1068",
    0x325e: "ER_IB_MSG_1069",
    0x325f: "ER_IB_MSG_1070",
    0x3260: "ER_IB_MSG_1071",
    0x3261: "ER_IB_MSG_1072",
    0x3262: "ER_IB_MSG_1073",
    0x3263: "ER_IB_MSG_1074",
    0x3264: "ER_IB_MSG_1075",
    0x3265: "ER_IB_MSG_1076",
    0x3266: "ER_IB_MSG_1077",
    0x3267: "ER_IB_MSG_1078",
    0x3268: "ER_IB_MSG_1079",
    0x3269: "ER_IB_MSG_1080",
    0x326a: "ER_IB_MSG_1081",
    0x326b: "ER_IB_MSG_1082",
    0x326c: "ER_IB_MSG_1083",
    0x326d: "ER_IB_MSG_1084",
    0x326e: "ER_IB_MSG_1085",
    0x326f: "ER_IB_MSG_1086",
    0x3270: "ER_IB_MSG_1087",
    0x3271: "ER_IB_MSG_1088",
    0x3272: "ER_IB_MSG_1089",
    0x3273: "ER_IB_MSG_1090",
    0x3274: "ER_IB_MSG_1091",
    0x3275: "ER_IB_MSG_1092",
    0x3276: "ER_IB_MSG_1093",
    0x3277: "ER_IB_MSG_1094",
    0x3278: "ER_IB_MSG_1095",
    0x3279: "ER_IB_MSG_1096",
    0x327a: "ER_IB_MSG_1097",
    0x327b: "ER_IB_MSG_1098",
    0x327c: "ER_IB_MSG_1099",
    0x327d: "ER_IB_MSG_1100",
    0x327e: "ER_IB_MSG_1101",
    0x327f: "ER_IB_MSG_1102",
    0x3280: "ER_IB_MSG_1103",
    0x3281: "ER_IB_MSG_1104",
    0x3282: "ER_IB_MSG_1105",
    0x3283: "ER_IB_MSG_1106",
    0x3284: "ER_IB_MSG_1107",
    0x3285: "ER_IB_MSG_1108",
    0x3286: "ER_IB_MSG_1109",
    0x3287: "ER_IB_MSG_1110",
    0x3288: "ER_IB_MSG_1111",
    0x3289: "ER_IB_MSG_1112",
    0x328a: "ER_IB_MSG_1113",
    0x328b: "ER_IB_MSG_1114",
    0x328c: "ER_IB_MSG_1115",
    0x328d: "ER_IB_MSG_1116",
    0x328e: "ER_IB_MSG_1117",
    0x328f: "ER_IB_MSG_1118",
    0x3290: "ER_IB_MSG_1119",
    0x3291: "ER_IB_MSG_1120",
    0x3292: "ER_IB_MSG_1121",
    0x3293: "ER_IB_MSG_1122",
    0x3294: "ER_IB_MSG_1123",
    0x3295: "ER_IB_MSG_1124",
    0x3296: "ER_IB_MSG_1125",
    0x3297: "ER_IB_MSG_1126",
    0x3298: "ER_IB_MSG_1127",
    0x3299: "ER_IB_MSG_1128",
    0x329a: "ER_IB_MSG_1129",
    0x329b: "ER_IB_MSG_1130",
    0x329c: "ER_IB_MSG_1131",
    0x329d: "ER_IB_MSG_1132",
    0x329e: "ER_IB_MSG_1133",
    0x329f: "ER_IB_MSG_1134",
    0x32a0: "ER_IB_MSG_1135",
    0x32a1: "ER_IB_MSG_1136",
    0x32a2: "ER_IB_MSG_1137",
    0x32a3: "ER_IB_MSG_1138",
    0x32a4: "ER_IB_MSG_1139",
    0x32a5: "ER_IB_MSG_1140",
    0x32a6: "ER_IB_MSG_1141",
    0x32a7: "ER_IB_MSG_1142",
    0x32a8: "ER_IB_MSG_1143",
    0x32a9: "ER_IB_MSG_1144",
    0x32aa: "ER_IB_MSG_1145",
    0x32ab: "ER_IB_MSG_1146",
    0x32ac: "ER_IB_MSG_1147",
    0x32ad: "ER_IB_MSG_1148",
    0x32ae: "ER_IB_MSG_1149",
    0x32af: "ER_IB_MSG_1150",
    0x32b0: "ER_IB_MSG_1151",
    0x32b1: "ER_IB_MSG_1152",
    0x32b2: "ER_IB_MSG_1153",
    0x32b3: "ER_IB_MSG_1154",
    0x32b4: "ER_IB_MSG_1155",
    0x32b5: "ER_IB_MSG_1156",
    0x32b6: "ER_IB_MSG_1157",
    0x32b7: "ER_IB_MSG_1158",
    0x32b8: "ER_IB_MSG_1159",
    0x32b9: "ER_IB_MSG_1160",
    0x32ba: "ER_IB_MSG_1161",
    0x32bb: "ER_IB_MSG_1162",
    0x32bc: "ER_IB_MSG_1163",
    0x32bd: "ER_IB_MSG_1164",
    0x32be: "ER_IB_MSG_1165",
    0x32bf: "ER_IB_MSG_1166",
    0x32c0: "ER_IB_MSG_1167",
    0x32c1: "ER_IB_MSG_1168",
    0x32c2: "ER_IB_MSG_1169",
    0x32c3: "ER_IB_MSG_1170",
    0x32c4: "ER_IB_MSG_1171",
    0x32c5: "ER_IB_MSG_1172",
    0x32c6: "ER_IB_MSG_1173",
    0x32c7: "ER_IB_MSG_1174",
    0x32c8: "ER_IB_MSG_1175",
    0x32c9: "ER_IB_MSG_1176",
    0x32ca: "ER_IB_MSG_1177",
    0x32cb: "ER_IB_MSG_1178",
    0x32cc: "ER_IB_MSG_1179",
    0x32cd: "ER_IB_MSG_1180",
    0x32ce: "ER_IB_MSG_1181",
    0x32cf: "ER_IB_MSG_1182",
    0x32d0: "ER_IB_MSG_1183",
    0x32d1: "ER_IB_MSG_1184",
    0x32d2: "ER_IB_MSG_1185",
    0x32d3: "ER_IB_MSG_1186",
    0x32d4: "ER_IB_MSG_1187",
    0x32d5: "ER_IB_MSG_1188",
    0x32d6: "ER_IB_MSG_1189",
    0x32d7: "ER_IB_MSG_1190",
    0x32d8: "ER_IB_MSG_1191",
    0x32d9: "ER_IB_MSG_1192",
    0x32da: "ER_IB_MSG_1193",
    0x32db: "ER_IB_MSG_1194",
    0x32dc: "ER_IB_MSG_1195",
    0x32dd: "ER_IB_MSG_1196",
    0x32de: "ER_IB_MSG_1197",
    0x32df: "ER_IB_MSG_1198",
    0x32e0: "ER_IB_MSG_1199",
    0x32e1: "ER_IB_MSG_1200",
    0x32e2: "ER_IB_MSG_1201",
    0x32e3: "ER_IB_MSG_1202",
    0x32e4: "ER_IB_MSG_1203",
    0x32e5: "ER_IB_MSG_1204",
    0x32e6: "ER_IB_MSG_1205",
    0x32e7: "ER_IB_MSG_1206",
    0x32e8: "ER_IB_MSG_1207",
    0x32e9: "ER_IB_MSG_1208",
    0x32ea: "ER_IB_MSG_1209",
    0x32eb: "ER_IB_MSG_1210",
    0x32ec: "ER_IB_MSG_1211",
    0x32ed: "ER_IB_MSG_1212",
    0x32ee: "ER_IB_MSG_1213",
    0x32ef: "ER_IB_MSG_1214",
    0x32f0: "ER_IB_MSG_1215",
    0x32f1: "ER_IB_MSG_1216",
    0x32f2: "ER_IB_MSG_1217",
    0x32f3: "ER_IB_MSG_1218",
    0x32f4: "ER_IB_MSG_1219",
    0x32f5: "ER_IB_MSG_1220",
    0x32f6: "ER_IB_MSG_1221",
    0x32f7: "ER_IB_MSG_1222",
    0x32f8: "ER_IB_MSG_1223",
    0x32f9: "ER_IB_MSG_1224",
    0x32fa: "ER_IB_MSG_1225",
    0x32fb: "ER_IB_MSG_1226",
    0x32fc: "ER_IB_MSG_1227",
    0x32fd: "ER_IB_MSG_1228",
    0x32fe: "ER_IB_MSG_1229",
    0x32ff: "ER_IB_MSG_1230",
    0x3300: "ER_IB_MSG_1231",
    0x3301: "ER_IB_MSG_1232",
    0x3302: "ER_IB_MSG_1233",
    0x3303: "ER_IB_MSG_1234",
    0x3304: "ER_IB_MSG_1235",
    0x3305: "ER_IB_MSG_1236",
    0x3306: "ER_IB_MSG_1237",
    0x3307: "ER_IB_MSG_1238",
    0x3308: "ER_IB_MSG_1239",
    0x3309: "ER_IB_MSG_1240",
    0x330a: "ER_IB_MSG_1241",
    0x330b: "ER_IB_MSG_1242",
    0x330c: "ER_IB_MSG_1243",
    0x330d: "ER_IB_MSG_1244",
    0x330e: "ER_IB_MSG_1245",
    0x330f: "ER_IB_MSG_1246",
    0x3310: "ER_IB_MSG_1247",
    0x3311: "ER_IB_MSG_1248",
    0x3312: "ER_IB_MSG_1249",
    0x3313: "ER_IB_MSG_1250",
    0x3314: "ER_IB_MSG_1251",
    0x3315: "ER_IB_MSG_1252",
    0x3316: "ER_IB_MSG_1253",
    0x3317: "ER_IB_MSG_1254",
    0x3318: "ER_IB_MSG_1255",
    0x3319: "ER_IB_MSG_1256",
    0x331a: "ER_IB_MSG_1257",
    0x331b: "ER_IB_MSG_1258",
    0x331c: "ER_IB_MSG_1259",
    0x331d: "ER_IB_MSG_1260",
    0x331e: "ER_IB_MSG_1261",
    0x331f: "ER_IB_MSG_1262",
    0x3320: "ER_IB_MSG_1263",
    0x3321: "ER_IB_MSG_1264",
    0x3322: "ER_IB_MSG_1265",
    0x3323: "ER_IB_MSG_1266",
    0x3324: "ER_IB_MSG_1267",
    0x3325: "ER_IB_MSG_1268",
    0x3326: "ER_IB_MSG_1269",
    0x3327: "ER_IB_MSG_1270",
    0x3328: "ER_RPL_SLAVE_SQL_THREAD_STOP_CMD_EXEC_TIMEOUT",
    0x3329: "ER_RPL_SLAVE_IO_THREAD_STOP_CMD_EXEC_TIMEOUT",
    0x332a: "ER_RPL_GTID_UNSAFE_STMT_ON_NON_TRANS_TABLE",
    0x332b: "ER_RPL_GTID_UNSAFE_STMT_CREATE_SELECT",
    0x332c: "ER_RPL_GTID_UNSAFE_STMT_ON_TEMPORARY_TABLE",
    0x332d: "ER_BINLOG_ROW_VALUE_OPTION_IGNORED",
    0x332e: "ER_BINLOG_USE_V1_ROW_EVENTS_IGNORED",
    0x332f: "ER_BINLOG_ROW_VALUE_OPTION_USED_ONLY_FOR_AFTER_IMAGES",
    0x3330: "ER_CONNECTION_ABORTED",
    0x3331: "ER_NORMAL_SERVER_SHUTDOWN",
    0x3332: "ER_KEYRING_MIGRATE_FAILED",
    0x3333: "ER_GRP_RPL_LOWER_CASE_TABLE_NAMES_DIFF_FROM_GRP",
    0x3334: "ER_OOM_SAVE_GTIDS",
    0x3335: "ER_LCTN_NOT_FOUND",
    0x3336: "ER_REGEXP_INVALID_CAPTURE_GROUP_NAME",
    0x3337: "ER_COMPONENT_FILTER_WRONG_VALUE",
    0x3338: "ER_XPLUGIN_FAILED_TO_STOP_SERVICES",
    0x3339: "ER_INCONSISTENT_ERROR",
    0x333a: "ER_SERVER_MASTER_FATAL_ERROR_READING_BINLOG",
    0x333b: "ER_NETWORK_READ_EVENT_CHECKSUM_FAILURE",
    0x333c: "ER_SLAVE_CREATE_EVENT_FAILURE",
    0x333d: "ER_SLAVE_FATAL_ERROR",
    0x333e: "ER_SLAVE_HEARTBEAT_FAILURE",
    0x333f: "ER_SLAVE_INCIDENT",
    0x3340: "ER_SLAVE_MASTER_COM_FAILURE",
    0x3341: "ER_SLAVE_RELAY_LOG_READ_FAILURE",
    0x3342: "ER_SLAVE_RELAY_LOG_WRITE_FAILURE",
    0x3343: "ER_SERVER_SLAVE_MI_INIT_REPOSITORY",
    0x3344: "ER_SERVER_SLAVE_RLI_INIT_REPOSITORY",
    0x3345: "ER_SERVER_NET_PACKET_TOO_LARGE",
    0x3346: "ER_SERVER_NO_SYSTEM_TABLE_ACCESS",
    0x3347: "ER_SERVER_UNKNOWN_ERROR",
    0x3348: "ER_SERVER_UNKNOWN_SYSTEM_VARIABLE",
    0x3349: "ER_SERVER_NO_SESSION_TO_SEND_TO",
    0x334a: "ER_SERVER_NEW_ABORTING_CONNECTION",
    0x334b: "ER_SERVER_OUT_OF_SORTMEMORY",
    0x334c: "ER_SERVER_RECORD_FILE_FULL",
    0x334d: "ER_SERVER_DISK_FULL_NOWAIT",
    0x334e: "ER_SERVER_HANDLER_ERROR",
    0x334f: "ER_SERVER_NOT_FORM_FILE",
    0x3350: "ER_SERVER_CANT_OPEN_FILE",
    0x3351: "ER_SERVER_FILE_NOT_FOUND",
    0x3352: "ER_SERVER_FILE_USED",
    0x3353: "ER_SERVER_CANNOT_LOAD_FROM_TABLE_V2",
    0x3354: "ER_ERROR_INFO_FROM_DA",
    0x3355: "ER_SERVER_TABLE_CHECK_FAILED",
    0x3356: "ER_SERVER_COL_COUNT_DOESNT_MATCH_PLEASE_UPDATE_V2",
    0x3357: "ER_SERVER_COL_COUNT_DOESNT_MATCH_CORRUPTED_V2",
    0x3358: "ER_SERVER_ACL_TABLE_ERROR",
    0x3359: "ER_SERVER_SLAVE_INIT_QUERY_FAILED",
    0x335a: "ER_SERVER_SLAVE_CONVERSION_FAILED",
    0x335b: "ER_SERVER_SLAVE_IGNORED_TABLE",
    0x335c: "ER_CANT_REPLICATE_ANONYMOUS_WITH_AUTO_POSITION",
    0x335d: "ER_CANT_REPLICATE_ANONYMOUS_WITH_GTID_MODE_ON",
    0x335e: "ER_CANT_REPLICATE_GTID_WITH_GTID_MODE_OFF",
    0x335f: "ER_SERVER_TEST_MESSAGE",
    0x3360: "ER_AUDIT_LOG_JSON_FILTER_PARSING_ERROR",
    0x3361: "ER_AUDIT_LOG_JSON_FILTERING_NOT_ENABLED",
    0x3362: "ER_PLUGIN_FAILED_TO_OPEN_TABLES",
    0x3363: "ER_PLUGIN_FAILED_TO_OPEN_TABLE",
    0x3364: "ER_AUDIT_LOG_JSON_FILTER_NAME_CANNOT_BE_EMPTY",
    0x3365: "ER_AUDIT_LOG_USER_NAME_INVALID_CHARACTER",
    0x3366: "ER_AUDIT_LOG_UDF_INSUFFICIENT_PRIVILEGE",
    0x3367: "ER_AUDIT_LOG_NO_KEYRING_PLUGIN_INSTALLED",
    0x3368: "ER_AUDIT_LOG_HOST_NAME_INVALID_CHARACTER",
    0x3369: "ER_AUDIT_LOG_ENCRYPTION_PASSWORD_HAS_NOT_BEEN_SET",
    0x336a: "ER_AUDIT_LOG_COULD_NOT_CREATE_AES_KEY",
    0x336b: "ER_AUDIT_LOG_ENCRYPTION_PASSWORD_CANNOT_BE_FETCHED",
    0x336c: "ER_COULD_NOT_REINITIALIZE_AUDIT_LOG_FILTERS",
    0x336d: "ER_AUDIT_LOG_JSON_USER_NAME_CANNOT_BE_EMPTY",
    0x336e: "ER_AUDIT_LOG_USER_FIRST_CHARACTER_MUST_BE_ALPHANUMERIC",
    0x336f: "ER_AUDIT_LOG_JSON_FILTER_DOES_NOT_EXIST",
    0x3370: "ER_IB_MSG_1271",
    0x3371: "ER_STARTING_INIT",
    0x3372: "ER_ENDING_INIT",
    0x3373: "ER_IB_MSG_1272",
    0x3374: "ER_SERVER_SHUTDOWN_INFO",
    0x3375: "ER_GRP_RPL_PLUGIN_ABORT",
    0x3376: "ER_REGEXP_INVALID_FLAG",
    0x3377: "ER_XA_REPLICATION_FILTERS",
    0x3378: "ER_UPDATE_GTID_PURGED_WITH_GR",
    0x3379: "ER_AUDIT_LOG_TABLE_DEFINITION_NOT_UPDATED",
    0x337a: "ER_NO_PATH_FOR_SHARED_LIBRARY",
    0x337b: "ER_UDF_ALREADY_EXISTS",
    0x337c: "ER_SET_EVENT_FAILED",
    0x337d: "ER_FAILED_TO_ALLOCATE_SSL_BIO",
    0x337e: "ER_IB_MSG_1273",
    0x337f: "ER_PID_FILEPATH_LOCATIONS_INACCESSIBLE",
    0x3380: "ER_UNKNOWN_VARIABLE_IN_PERSISTED_CONFIG_FILE",
    0x3381: "ER_FAILED_TO_HANDLE_DEFAULTS_FILE",
    0x3382: "ER_DUPLICATE_SYS_VAR",
    0x3383: "ER_FAILED_TO_INIT_SYS_VAR",
    0x3384: "ER_SYS_VAR_NOT_FOUND",
}
